2009-10-22  Oliver Hader  <oliver@typo3.org>

	* Release of TYPO3 4.1.13

2009-10-22  Ernesto Baschny <ernst@cron-it.de>

	* Fixed bug #11586: Potential SQL injection in frontend editing (thanks to Oliver Klee)
	* Fixed bug #12309: It was possible to gain access to the Install Tool by only knowing the md5 hash of the password.
	* Fixed bug #12310: Encryption key can be recalculated when using normal mailform when [FE][strictFormmail] == 0 (thanks to Oliver Klee)
	* Fixed bug #12090: Filenames should be escaped with escapeshellarg before passing them to imagemagick (thanks to Oliver Klee)
	* Fixed bug #12303: XSS vulnerability due to not proper sanitizing in function t3lib_div::quoteJSvalue (thanks to Oliver Klee)
	* Fixed bug #12304: Frame inclusion in the backend through alt_mod_frameset (thanks to Oliver Klee)
	* Fixed bug #12305: XSS vulnerability in view_help.php / tfID parameter (thanks to Oliver Klee)
	* Fixed bug #12306: XSS vulnerability in module dispatcher
	* Fixed bug #12307: XSS vulnerability in alt_palette (thanks to Oliver Klee)
	* Fixed bug #12308: XSS vulnerability in "DB > Full search" functionality
	* Fixed bug #10501: XSS vulnerability in the install tool (thanks to Oliver Klee)

2009-10-21  Rupert Germann  <rupi@gmx.li>

	* Fixed bug #12300 (Follow-up to 11995): Output compression breaks prompt for keyboard input in CLI scripts

2009-10-11  Rupert Germann  <rupi@gmx.li>

	* Fixed bug #10971: Fatal error in impexp module: Call to a member function includeLLFile() on a non-object (thanks to Andre Steiling)

2009-09-29  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #11433: touch(): Utime failed in install tool (thanks to Steffen Gebert)

2009-09-20  Francois Suter  <francois@typo3.org>

	* Fixed bug #11995: Prompt for keyboard input does not get displayed in CLI scripts

2009-09-17  Rupert Germann  <rupi@gmx.li>

	* Fixed bug #9270: Editors can´t undelete records in history (thanks to Christian Hernmarck)

2009-09-15  Stanislas Rolland  <typo3@sjbr.ca>

	* Updated htmlArea RTE version to 1.5.10
	* Follow-up to bug #11946: htmlArea RTE: reference was made to context menu item after context menu was closed

2009-09-13  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #11847: htmlArea RTE displays empty editing area in Opera 10
	* Fixed bug #11946: htmlArea RTE: table properties editing dialogue windows loose focus after opening in IE8

2009-08-28  Michael Stucki  <michael@typo3.org>

	* Fixed bug #11731: ENABLE_INSTALL_TOOL file check in yellow box does not check the file age (thanks to Moreno Feltscher)

2009-07-03  Michael Stucki  <michael@typo3.org>

	* Release of TYPO3 4.1.12
	* Follow-up to issue #11391: Backport of the admin button was only half-way finished, in fact it was never visible due to a missing variable

2009-07-03  Oliver Hader  <oliver@typo3.org>

	* Fixed issue #10656: htmlArea RTE: Initialization fails in presence of Firefox extension Ant.com Toolbar 1.3 (patch by Stanislas Rolland)

2009-07-02  Ingmar Schlecht  <ingmar@typo3.org>

	* Release of TYPO3 4.1.11

2009-07-01  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up to issue #11009: External links get prepended with base url in RTE htmlArea in Firefox 3.0.11/3.5b4

2009-06-29  Michael Stucki  <michael@typo3.org>

	* Added feature #11391: Add a button to let admins create the file ENABLE_INSTALL_TOOL from the backend (since it is automatically removed after 1 hour since this version) - thanks to Steffen Kamper who wrote this code!

2009-06-28  Benjamin Mack  <benni@typo3.org>

	* Fixed #10136: tslib_pibase page browser may hurt search engines by the incorrect "Next" link (On behalf of Dmitry Dulepov)

2009-06-23  Michael Stucki  <michael@typo3.org>

	* Fixed bug #11369: jumpUrl should only allow files matching fileDenyPattern (thanks to Ingmar Schlecht)
	* Fixed bug #11368: Ignore ENABLE_INSTALL_TOOL file if it is older than one hour

2009-05-18  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #11009: External Links get prepended with http://typo3 in the RTEhtmlarea in Firefox 3.0.11/3.5b4

2009-05-16  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #10165: FlexForms: wrong mm-relations after copy and localize (thanks to Peter Kuehn)

2009-05-08  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #11040: ENGINE modifier in ext_tables.sql cannot be parsed

2009-04-24  Christian Kuhn  <lolli@schwarzbu.ch>

	* Fixed bug #10977: Copyright in TYPO3 comment still 2006 (Thanks to Johannes Feustel)

2009-04-21  Patrick Broens  <patrick@patrickbroens.nl>

	* Fixed bug #10939: Wrong nesting of <ul> <li> tags in expanded mount root in module file > filelist

2009-04-09  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up for issue #10844: htmlArea RTE: IE8 creates erroneous ranges when selection is empty

2009-04-08  Christian Kuhn  <lolli@schwarzbu.ch>

	* Fixed bug #10266: No user authentication for >1 TYPO3 installation under one domain (Thanks to Marcus Krause)

2009-04-06  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed issue #10834: htmlArea RTE: IE8 now uses standard name for DOM class attribute
	* Updated htmlArea RTE version to 1.5.8 for TYPO3 4.1.11
	* Fixed issue #10837: htmlArea RTE: IE8 reports unknown "complete" attribute on img nodes
	* Fixed bug #10844: htmlArea RTE: IE8 creates erroneous ranges when selection is empty

2009-04-03  Ingo Renner  <ingo@typo3.org>

	* Fixed bug #10838: t3lib_cs->utf8_decode() does not check whether the target charset is utf8

2009-03-31  Benjamin Mack  <benni@typo3.org>

	* Fixed bug #10567: Added IE8+ support / Get rid of browser version dependent t3lib_div::clientInfo() (Thanks to Steffen Gebert)

2009-03-23  Jeff Segars  <jeff@webempoweredchurch.org>

	* Fixed bug #10410: Generation of encryption key does not work in IE7 (thanks to Steffen Mueller)

2009-02-27  Michael Stucki  <michael@typo3.org>

	* Follow-up to #10083: Constant styles.content.imgtext.separateRows has a wrong default value. This was changed accidentally during a bugfix on 2009-01-09. Reverting back to the old bahaviour (4.1.7 and before). Thanks to Adrian Fischer for pointing this out!

2009-02-27  Francois Suter  <francois@typo3.org>

	* Fixed bug #10313: Fileadmin-module wrongly allows creation of trailing dot directories on UTF8 FS (Thanks to Steffen Gebert)
	* Fixed bug #10417: Remove debugging code from sysext t3skin (thanks to Markus Krause)

2009-02-10  Michael Stucki  <michael@typo3.org>

	* Release of TYPO3 4.1.10
	* Fixed bug #10364: Jumpurl feature allows to access arbitrary files on a server (thanks to the TYPO3 Security Team and especially Marcus Krause)
	* Fixed bug #10298: Various XSS issues in the BE user admin module (thanks to Jelmer de Hen and Dmitry Dulepov)

2009-02-05  Francois Suter  <francois@typo3.org>

	* Fixed bug #10346: l10n_display option abusively hides field for "All" languages when set to defaultAsReadonly

2009-02-05  Benjamin Mack  <benni@typo3.org>

	* Fixed bug #9266: Bug: strcmp() with array as parameter in t3lib_div::linkThisScript() produces warnings with PHP 5.3 (Thanks to Niels Pardon)

2009-02-03  Francois Suter  <francois@typo3.org>

	* Fixed bug #1527: t3lib_svbase: Method init returns wrong value  (thanks to Stefano Kowalke and Michael Miousse)

2009-01-30  Benjamin Mack  <benni@typo3.org>

	* Fixed bug #7123: Select wizard doesn't work in Safari (Thanks to Ismael Bidau)

2009-01-24  Ingmar Schlecht  <ingmar@typo3.org>

	* Release of TYPO3 4.1.9

2009-01-24  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug #10205: DB session record is only created when user is authenticated (thanks also to Michael Stucki)

2009-01-22  Michael Stucki  <michael@typo3.org>

	* Improvement to bugfix #10218: Quote the match-word properly

2009-01-18  Francois Suter  <francois@typo3.org>

	* Fixed bug #10218: For fixing bug #10143 the function str_ireplace was introduced, which does not exist in PHP4 (thanks to Helmut Hummel)

2009-01-21  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #10214: md5's second argument is only valid for PHP5 (thanks to Marcus Krause)

2009-01-21  Ingo Renner  <ingo@typo3.org>

	* Fixed bug #10204: PHP error due to "public static" keywords in PHP4 in t3lib_div::generateRandomBytes() (thanks to Marcus Krause)

2009-01-20  Ingmar Schlecht  <ingmar@typo3.org>

	* Release of TYPO3 4.1.8

2009-01-20  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug #10146: Session fixation vulnerability in user authentication (thanks to the TYPO3 Security Team and especially Marcus Krause)
	* Fixed bug #10159: XSS vulnerability in workspace module (thanks to the TYPO3 Security Team and especially Marcus Krause)

2009-01-20  Ingo Renner  <ingo@typo3.org>

	* Fixed bug #10134: XSS vulnerability in sysext indexed_search (thanks to the TYPO3 Security Team and especially Marcus Krause)
	* Fixed bug #10133: Command execution in sysext indexed_search (thanks to the TYPO3 Security Team and especially Marcus Krause)
	* Fixed bug #10154: Weak encryption key generation vulnerability in sysext install (thanks to the TYPO3 Security Team, and especially Marcus Krause)

2009-01-18  Francois Suter  <francois@typo3.org>

	* Cleanup #10125: Replace deprecated function calls in sysext indexed_search (thanks to Markus Krause)

2009-01-17  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #7677: Constants are not correctly substituted on some PHP5 distributions

2009-01-16  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #10157: t3lib/config_default.php textfile_ext should be updated to include xml and other text types

2009-01-14  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #10143 spamProtectEmailAddresses_atSubst does not work correctly if linktext contains email address with uppercase charachters (thanks to Helmut Hummel)

2009-01-14  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #10116: Remove/protect adodb testfiles (thanks to Marcus Krause)

2009-01-13  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #10109: Google reports duplicate title tag
	* Fixed bug #10120: Add .buildpath to svn:ignore

2009-01-12  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #7265: Submodules of Web module can't work with mod.php and the _DISPATCH system

2009-01-09  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #10083: Constant styles.content.imgtext.separateRows is not defined

2009-01-08  Benjamin Mack  <benni@typo3.org>

	* Fixed bug #9194: Bug: wrong handling of 'is_in' list in TCA element type 'input' (Thanks to Vladimir Podkovanov)

2009-01-05  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #10055: Add contrib directory to list of allowed paths (thanks to Dan Osipov)
	* Fixed bug #10056: Misspelling english word "guesbooks"

2009-01-03  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #10047: typo3/contrib is not prefixed with config.absRefPrefix

2009-01-01  Benjamin Mack  <benni@typo3.org>

	* Fixed bug #8361: Stage change notification emails not send when publishing from Live workspace (Thanks to Andreas Wolf)

2008-12-25  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #10012: TYPO3 generates incorrect ETag

2008-12-23  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #9999: Setting [BE][compressionLevel]=true causes problems

2008-12-22  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #9977: Extensions class.ext_update.php scripts are executed even when extension isn't loaded

2008-12-20  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #8952: Flags are missing
	* Fixed bug #8525: added Korean flag
	* Fixed bug #5628: added Slovak flag

2008-12-18  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #9947: gzip compression does not work in BE at all
	* Fixed bug #9741: wrong anchor links with absRefPrefix option enabled (thanks to Stefan Galinski)

2008-12-11  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #9836: RTE TSconfig lost when uploading files or creating folders

2008-12-09  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #9915: Typing error in tslib_content ($gifCreateor => $gifCreator)

2008-12-03  Martin Kutschker  <masi@typo3.org>

	* Fixed bug #6415: preg_replace error on PHP 5.2 sometimes resulting in empty pages (thanks to Francois Suter)

2008-12-01  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #9790: class.gzip_encode.php fails with open_basedir restrictions

2008-11-27  Dmitry Dulepov  <dmitry.dulepov@gmail.com>

	* Fixed bug #8944: PHP-Error in class.em_index.php on line 4333

2008-11-22  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #9798: Don't show fe_users password in page module

2008-11-01  Oliver Hader  <oliver@typo3.org>

	* Follow-up to bug #9664: t3lib_div::strtolower() is not implemented (thanks to Marcus Krause)
	* Fixed bug #9632: Multiple fileuploads into folders with special characters (umlauts) not possible (thanks to Marcus Krause)

2008-10-31  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #9659: TCEmain wrongly tests required input-type fields (thanks to Francois Suter)

2008-10-28  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #9664: EM fails on retrieving files of uppercase extension keys (thanks to Marcus Krause)

2008-10-21  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #9553: Form validation script jsfunc.validateform.js sometimes fails in IE (thanks to Vladimir Podkovanov)

2008-10-14  Martin Kutschker  <masi@typo3.org>

	* Fixed bug #9501: Titles of content columns in classic page module doesn't take into account backend charset (thanx to Steffen Kamper and Vladimir Podkovanov)

2008-10-10  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #9522: t3lib_BEfunc::BEenableFields generates invalid SQL

2008-10-04  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #9479: Selected items are not visible after saving the form in BE

2008-09-20  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #9384: FE session hijacking

2008-09-18  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	Fixed bug #8588: Admin tools -> User Admin -> List users online broken when [BE][lockIP] is set to < 4

2008-09-10  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #9315: Description of tslib_fe::includeTCA is incorrect

2008-09-09  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #9268: TCA is not loaded in FE when config cache is disabled

2008-09-08  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #3546: htmlArea RTE: wrong charset used by mb_regex in spell checker

2008-09-01  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #9249: Misspelling in Install tool (thanks to Christian Kuhn)

2008-08-25  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed issue #9196: In htmlArea RTE, unable to create an external URL containing german umlauts
	* Updated htmlArea RTE version to 1.5.7 for TYPO3 4.1.8

2008-08-21  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #8826: calls to ini_set produces warnings

2008-08-20  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #5205: pi_loadLL() + no language file == full path disclosure

2008-08-18  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #9141: Update Wizard uses wrong scheme to write compat_version to localconf.php
	* Fixed bug #9152: Deprecated code into stdgraphic

2008-08-11  Ingo Renner  <ingo@typo3.org>

	* Reverted Change from 2008-08-06 in t3lib_div leading to nonfunctional clipboard

2008-08-06  Ingo Renner  <ingo@typo3.org>

	* Fixed bug: PHP 5.3 throws a warning in class.t3lib_befunc.php on line 3348: trim() expects parameter 1 to be string, array given
	* Fixed bug: PHP 5.3 throws a deprecation warning in typo3/mod/tools/em/class.em_soap.php on lines 108, 112, 115, 213, 218: Assigning the return value of new by reference is deprecated
	* Fixed bug: PHP 5.3 throws a warning in class.t3lib_div.php on line 3286: strcmp() expects parameter 1 to be string, array given

2008-08-05  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #6992: t3ib_refindex requires t3lib_BEfunc but does not include it

2008-08-01  Benjamin Mack  <benni@typo3.org>

	* Fixed bug #9099: Wrong path to pages.gif in linkbrowser (Thanks to Xander Damen)

2008-07-30  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed bug #9076: iso-ir-109 detected as iso-8859-2 instead of iso-8859-3

2008-07-23  Dmitry Dulepov  <dmitry@typo3.org>

	* Changed LICENSE.txt to reference GPL "version 2 or later"

2008-07-14  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #8566: Unable to match TS condition when variable is not set

2008-07-13  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed bug #5476: links entered in <th>-tag with the RTE are not parsed on the frontend because parseFunc doesn't recognize <th> as cells (thanks to Daniel Ellermann)

2008-07-12  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed bug #8922: setStage operation of t3lib_TCAmain::process_cmdmap() overwrites $id parameter making it inaccessible for post-processing hooks

2008-07-07  Ernesto Baschny  <ernst@cron-it.de>

	* Fixed bug #8703: More Options>Access wasn't being shown in the pages click-menus (Thanks to Andreas Wagner)

2008-07-03  Ernesto Baschny  <ernst@cron-it.de>

	* Fixed bug #7711: Element browser ignores "Hide in menu" flag (Thanks to Christian Kuhn)
	* Fixed bug #8840: Wrong title of edit icon of "Include basis template" section when editing template records (Thanks to Christian Kuhn)

2008-06-22  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #8724: getElementsByClassName does not work properly in Firefox 3 and Safari 3.1 (thanks to Helmut Hummel)

2008-06-13  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #8239: Wrong parameter order for strpos in t3lib_div::getHostname

2008-06-11  Michael Stucki  <michael@typo3.org>

	* Release of TYPO3 4.1.7
	* (security) Fixed a low-severity Cross Site Scripting issue in fe_adminLib.inc. For details, see http://typo3.org/teams/security/security-bulletins/typo3-20080611-1/ - thanks to Christian Seifert, Jeroen van Iddekinge and Arnd Messer for discovering and reporting this issue.

2008-06-11  Ingo Renner  <ingo@typo3.org>

	* Fixed bug #7646: Firefox 3.0 mixes up frames (versions before TYPO3 4.2)

2008-06-11  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug #8674: Vulnerability of security bulletin typo3-20080611-1: Default value of fileDenyPattern allows arbitrary code execution on Apache (Patch by Henning Pingel, thanks!)

2008-06-06  Ernesto Baschny  <ernst@cron-it.de>

	* Fixed bug #8362: Duplicate entry for [tstamp] and [crdate] in Web->List module for single table in selector-box (thanks to Steffen Kamper)
	* Fixed bug #8279: Sorting in fields of type "group", "MM=1" and "multiple=1" was not preserved

2008-06-05  Benjamin Mack  <benni@typo3.org>

	* Fixed bug #2905: t3skin - Styling of (non-dyn) tab menus is bad

2008-05-25  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #4455: pid reset to 10000 in Constant Editor

2008-05-16  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #8192: typoLink generates wrong links

2008-05-15  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #8346: rtehtmlarea from TYPO3 4.1.6 does not work with Firefox 3 Beta 5
	* Updated htmlArea RTE version to 1.5.6 for TYPO3 4.1.7
	* Fixed bug #8431: Incorrect handling of links by htmlaArea RTE in TYPO3 4.1.6 and Firefox 3

2008-04-22  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #8148: IRRE - Expanded or collapsed state of new child records is not handled correctly

2008-04-22  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #8040: Bug: Wrong check on creating folders in filelist makes them unaccessible (thanks to Moreno Feltscher)

2008-04-16  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed bug #4186 (correction): cropping didn't work for IM4/5 and GM (thanks to Helmut Hummel)

2008-04-11  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #8078: enhance debug stack trace reporting

2008-04-12  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #8064: Split does not work with returnKey = 0 (thanks to Dirk Weise)

2008-04-09  Jeff Segars  <jeff@webempoweredchurch.org>

	* Fixed bug #6873: Missing icon for not in menu, access-restricted pages

2008-04-07  Dmitry Dulepov  <dmitry@typo3.org>

	* Rolled back last three bugfixes because they are seen as new feature and may not appear in maintenace release

2008-04-07  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #8005: Linking across domains does not work with nested domains
	* Fixed bug #7839: Linking between domains in the pagetree with checkRootline does not work with menus
	* Fixed bug #3491: Linking between domains in the pagetree ignores simulate static documents

2008-04-06  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #7992: rtehtmlarea does not work with Firefox 3 Beta 5

2008-04-03  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug #4575: Changes in alternative page language does not clear cache
	* Fixed bug #4768: Missing is_array() check in tslib_fe::getStorageSiterootPids()

2008-03-31  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #7759: XCLASSing USER_INT objects does not work

2008-03-26  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #7864: htmlArea RTE drag & drop imagebrowser does not work correctly in IE in TYPO3 4.1

2008-03-21  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug #7850: error in publish.php if errors in TCE should be shown (thanks to Daniel Pötzinger)

2008-03-20  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #6907: "Conflicts" check ignores version

2008-03-17  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #4186: GIFBUILDER cropsized images have bad quality (thanks to Steffen Kamper)

2008-03-12  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #7724: Copying of sysfolders or pages with entries connected via mm database entries fail (thanks to Niels Pardon)

2008-03-08  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #7511: IRRE - Issues with expand/collapse of child records

2008-03-03  Ingmar Schlecht  <ingmar@typo3.org>

	* Release of TYPO3 4.1.6

2008-03-03  Michael Stucki  <michael@typo3.org>

	* Fixed bug #6663: Unserialized objects not debugged properly (patch by Francois Suter)

2008-03-01  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed bug #5838: cli_dispatch.phpsh doesn't work on windows platforms

2008-02-28  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #5252: Pages with "Hide in menu" checked use normal page icon in list module (Thanks to Andreas Wagner)
	* Fixed bug #7693: New page wizard ignores "hide in menu" flag for page icons (Thanks to Christian Kuhn)

2008-02-26  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #7523: Description of properties is missing in install tool (Thanks to Steffen Kamper)

2008-02-23  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #6885: Nested USER_INT, COA_INT, etc. objects are not rendered

2008-02-22  Benjamin Mack  <mack@xnos.org>

	* Fixed bug #7445: Malformed translated locallang causes PHP crash (Thanks to Francois Suter)

2008-02-22  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug #7158: DBAL fixes to Indexed Search backend module (Thanks to Moreno Feltscher)

2008-02-17  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed bug #5693: options.additionalPreviewLanguages is showing wrong records for table pages (Thanks to Helmut Hummel)

2008-02-16  Benjamin Mack  <mack@xnos.org>

	* Fixed bug #5303: t3skin - pilup.gif not the same style as pildown.gif
	* Fixed bug #7454: Category Treeview in BE-Forms has gap between 2 lines (Thanks to Stefan Geith)

2008-02-04  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #7029: tslib_cObj uses deprecated function call_user_method
	* Fixed bug #7371: Query generator does not accept dates in where condition

2008-01-31  Jeff Segars  <jeff@webempoweredchurch.org>

	* Fixed bug #6902: Add an imagespace to Text w/ Image when image width is not available. Thanks to Georg Ringer.

2008-01-27  Oliver Hader  <oh@inpublica.de>

	* Fixed bug: Overriding TCA properties with TSconfig does not work with array

2008-01-15  Benjamin Mack  <mack@xnos.org>

	* Fixed bug #7148: CSV Export Output in List Module

2008-01-15  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #7126: IRRE - Child records are shown floated and not as blocks in Safari

2008-01-10  Jeff Segars  <jeff@webempoweredchurch.org>

	* Fixed bug #5421: Problem ignoring extension constraints

2008-01-08  Benjamin Mack  <mack@xnos.org>

	* Followup for bug #1678: limit to language; made the variable names better (Thanks to Helmut Hummel)

2008-01-06  Oliver Hader  <oh@inpublica.de>

	* Post-cleanup of bug #5994: IRRE - RTEhtmlarea is not show in child records if parent has no RTE

2007-12-26  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #6651: IRRE - Button for creating new records disappeared on nested child records if a parent record reached the maxitems value

2007-12-21  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #6007: IRRE - Child records with image fields are not shown in m:n disposal

2007-12-17  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug #6996: Versioning in clickmenu was unavailable for non-admins due to a problem of an earlier bugfix #4160 (Thanks to Helmut Hummel for the correction)

2007-12-14  Ingmar Schlecht  <ingmar@typo3.org>

	* Release of TYPO3 4.1.5

2007-12-13  Oliver Hader  <oh@inpublica.de>

	* (major) Fixed bug #6924: t3lib_div::readLLXMLfile does not use localized content anymore

2007-12-10  Ingmar Schlecht  <ingmar@typo3.org>

	* Release of TYPO3 4.1.4

2007-12-10  Ingmar Schlecht  <ingmar@typo3.org>

	* (security) Fixed a low-severity SQL injection in the modfunc2 of indexed_search (only exploitable by BE users, and severity limited because addslashes() was already applied to the value - yet not within a quoted string) (Thanks to Henning Pingel for finding the issue and Andreas Otto for the fix)

2007-12-09  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed bug #5985: PHP warning in t3lib_div::getUrl when safe_mode or open_basedir is set
	* Fixed bugs with option $includeHeaders in t3lib_div::getUrl: Option $requestHeaders was ignored, it didn't work with https and had a wrong default port for https

2007-12-09  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #5994: IRRE - RTEhtmlarea is not show in child records if parent has no RTE

2007-12-07  Dmitry Dulepov	<dmitry@typo3.org>

	* Fixed bug #6903: Translated language files are not loaded

2007-12-06  Benjamin Mack  <mack@xnos.org>

	* Fixed bug #1678: limit to language; still can delete and move content element (Thanks to Helmut Hummel)

2007-12-02  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #6844: DB compare fails

2007-12-04  Jeff Segars  <jeff@webempoweredchurch.org>

	* Fixed bug #6114: t3lib_extMgm::addToAllTCATypes ignores type 0

2007-11-30  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #5602: spamProtectEmailAddresses_atSubst is not recognized correctly

2007-11-24  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #6817: Files with extension xml are ignored as resource of a template

2007-11-23  Ernesto Baschny  <ernst@cron-it.de>

	* Fixed bug #6240: pageNotFound_handling returns empty page if specified URL cannot be retrieved. Credit to Helmut Hummel for the fix.

2007-11-23  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #5956: TCA eval required on date field does not work

2007-11-09  Benjamin Mack  <mack@xnos.org>

	* Fixed image generation bug: Call in t3lib_div now uses the IM wrapper to render gifs/pngs

2007-11-07  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #5772: IRRE - Combination mode doesn't save new child records correctly
	* Fixed bug #6456: IRRE - Palettes are not rendered correctly on nesting records using the same table

2007-11-02  Ingmar Schlecht  <ingmar@typo3.org>

	* Bug #6561 revised: Registers IMAGE_NUM and IMAGE_NUM_CURRENT contained incorrect array indizes (Thanks to Helmut Hummel)

2007-11-02  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed bug 6640: htmlArea RTE tool bar is not updated in IE when up or down arrow is pressed

2007-11-01  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed bug 6476: htmlArea RTE incorrectly nests tags on return key in FF
	* Update version number of rtehtmlarea to 1.5.5

2007-10-30  Jeff Segars  <jeff@webempoweredchurch.org>

	* Fixed bug #6618: Web->List: Add title to versioning symbol in extended view	(Thanks to Christian Kuhn)

2007-10-29  Jeff Segars  <jeff@webempoweredchurch.org>

	* Fixed bug #5338: Error installing suggested extensions

2007-10-29  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #6581: Fatal error in TCEForms: Fatal error: Cannot use string offset as an array
	* Fixed bug #6565: T3DataStructure with sheet references will not show sheetTitle,sheetDescription and sheetShortDescr
	* Fixed bug #5347: Flexforms dosen't resolve sheets
	* Fixed bug #3969: Missing sheets inclusion in flexforms?

2007-10-27  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug #1940: "OPEN DOCUMENTS" causes 404 error (Thanks to Christian Trabold)
	* Fixed bug #5082: Clean up a nested htmlspecialchars() in class.db_list_extra.inc (Thanks to Christian Kuhn)
	* Fixed bug #6561: imgMax and imgStart (IMGTEXT) not working properly (Thanks to Helmut Hummel)

2007-10-26  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed bug 5031: htmlArea RTE incorrectly processes col tags and default proc options disallow col and colgroup tags

2007-10-22  Ingmar Schlecht  <ingmar@typo3.org>

	* Release of TYPO3 4.1.3

2007-10-22  Andreas Otto  <andreas.otto@dkd.de>

	* Fixed bug #6340: JS errors with dividers2tabs and rtehtmlarea

2007-10-21  Thomas Hempel  <thomas@typo3-unleashed.net>

	* Fixed bug: #6531: Function getUpdateJS doesn't work properly (Thanks to Philip Almeida)
	* Fixed bug: #434: Function getUpdateJS produces JS error messages

2007-10-20  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug #5949: BE-Shortcut to Tools->User Admin returns error. (By Oliver Hader)
	* Fixed bug #6210: UserTSConfig value "options.moduleMenuCollapsable=0" does not work.
	* Fixed bug #6071: Switch to User does not work from context menu in List Module. (Thanks to Christian Kuhn all patches above!)
	* Fixed bug #6553: Remove hardcoded strip_tags() from image altText and replacing it with TS stripHtml = 1 (Thanks to Georg Ringer)
	* Fixed bug: stdWrap for imgMax is not taken into account. (Thanks to Helmut Hummel)

2007-10-19  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed bug 6546: Remove htmlArea RTE acronym from Insert-Record object

2007-10-17  Michael Stucki  <michael@typo3.org>

	* Fixed bug #6121: Reply-To field in formmails can contain invalid characters if formMailCharset different from site charset (patch by Wolfgang Zenker)

2007-10-17  Sebastian Kurfuerst  <sebastian@typo3.org>

	* Fixed bug #6202: Company field is missing for table fe_users in "View Item" (Thanks to Christian Kuhn)

2007-10-16  Michael Stucki  <michael@typo3.org>

	* Fixed bug #3552: Fatal error during backend edit

2007-10-16  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed bug 4183: Incorrect display in htmlArea RTE of utf-8 labels for colors, classes and fonts defined in PageTSConfig
	* Fixed bug 4525: In htmlArea RTE, disabling personal dictionaries in UserTSConfig not honored

2007-10-15  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed bug 5855: Missing unlink icon in htmlArea RTE
	* Fixed bug 5839: In htmlArea RTE, paragraph & text dropdown boxes inactive when using @media clause in stylesheet
	* Fixed bug 6152: AllowClipboard helper offered by htmlArea RTE doesn't work with 2.0.0.x Firefox
	* Fixed bug 6340: rtehtmlarea not working with "Editforms on page" option
	* Fixed bug 6152: Nullify default value AllowClipboard helper and use TYPO3-specific Firefox extension
	* Update version number of rtehtmlarea to 1.5.4

2007-10-08  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fix bug #6420: access key generation wrong with HTML tags in menu titles (TMENU)

2007-10-07  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed bug #5911: GIFBUILDER setting quality not honoured

2007-10-06  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed bug #6462: Wrong default locale charset on Windows
	* Fixed bug #6252: rteHTMLarea acronyms are not DBAL compatible
	* Fixed bug #5189: images with uppercase file extension aren't displayed in drag-n-drop listing

2007-09-24 Andreas Otto <andreas.otto@dkd.de>

	* Fixed bug #1471: Check if exif functions are available before using them.

2007-09-18  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #65: Thumbnails in Element Browser are only displayed if fileSuffix is lowercase

2007-09-09  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* fixed bug 5701: linkHandler Hook Not Initialized Properly , patch supplied by Jeff Segars

2007-09-09  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Require PHP 4.3 explicitely in init.php

2007-09-07  Ingmar Schlecht  <ingmar@typo3.org>

	* Bugfix: Highlight root page in pagetree

2007-09-05  Thorsten Kahler  <thorsten.kahler@dkd.de>

	* Fixed bug #4160: Moving content elements in frontent editing mode causes crash
	* Disable versioning in clickMenu if BE user doesn't have access to the versioning module

2007-09-03  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #6104: IRRE - IE7: Strange behaviour with hover event of nested Tabs/IRRE-levels with relative positioned HTML elements
	* Fixed bug #5906: IRRE - Default values defined in TCA are not used for children (thanks to Joscha Feth and Jeff Segars)

2007-08-15  Wolfgang Klinger  <wk@plan2.net>

	* Added is_array checks in extension manager code (committed by Stucki)

2007-08-23  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed: hanging recordset in t3lib_BEfunc

2007-08-23  Andreas Otto  <andreas.otto@dkd.de>

	* Fixed bug #4888: Invalid argument supplied for foreach()

2007-08-06  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed bug #5941: Log reason of failure on DB connect

2007-07-16  Michael Stucki  <michael@typo3.org>

	* Release of TYPO3 4.1.2
	* Fixed possible XSS in workspace/version modules (requires valid BE login / patch by Christian Kuhn)
	* Removed possible display of phpinfo() (requires bug in extension to be unveiled)

2007-07-16  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #5556: IRRE - RTE in child elements overwrites field in parent element

2007-07-16  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed bug #3834: possible abuse of t3lib_formmail
	* t3lib_div::getHostname() used $_SERVER instead of t3lib_div::getIndpEnv()
	* IPmaskList check is triggered in CLI mode (thanks to Tobias Rohrle)

2007-07-14  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #5704: IRRE - Children on the table pages get the pid of the parent page in pagetree
	* Fixed bug #5718: IRRE - Copying a page with related child records leads to duplicates of each children
	* Fixed bug #5907: RTE-Plugins: Use record specific RTEtsConfigParams

2007-07-13  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #5913: RTEhtmlarea not correctly displayed in IRRE child form-fields and tabs (continuance of bug #5177)
	* Fixed bug #5948: IRRE - Parent record is not shown after saving the first time to a table on a TYPO3 system

2007-07-11  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #5331: Remove the caption wrap on images if no caption is set (thanks to Georg Ringer)
	* Fixed bug #5945: Missing right parenthesis in RTEhtmlarea user element module (thanks to Markus Lange)

2007-07-07  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #5053: imgNameNotRandom on TMENU/GMENU could break rollover behaviour (thanks to Ralf Hettinger)
	* Fixed bug #5048: JSMENU produces error if using baseurls (thanks to Jens Koester)

2007-07-06  Michael Stucki  <michael@typo3.org>

	* Fix in indexed search: List of indexed pages could be broken if mutli-byte chars are cut in the middle (patch by Karsten Dambekalns)
	* Fixed bug #5094: Record alt_label was not processed (patch by Volker Graubaum and Thomas Hempel)

2007-07-02  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #4623: Content encoding with x-gzip not possible in IE7
	* Fixed bug #5789: JS error in new content element wizard with a single item

2007-06-13  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #5778: Missleading comment in TCEmain::copyRecord_procBasedOnFieldType()

2007-06-08  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #5755: XCLASS inclusion part for class.t3lib_tceforms_inline.php is missing

2007-06-05  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #4226: New content elements wizard removes CE from array if tt_content_defValues property is zero

2007-05-23  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #5564: IRRE - foreign_selector/foreign_unique on click issue

2007-05-21  Dmitry Dulepov  <dmitry@typo3.org>

	* Added $GLOBALS['TYPO3_DB']->sql_free_result() to TCEmain::recordInfo() to avoid resource waste

2007-05-18  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed bug #5578: config setting SYS[requestURIvar] doesn't work

2007-05-12  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #5074: IRRE - Hook processDatamap_afterDatabaseOperations executed early

2007-05-10  Thorsten Kahler  <thorsten.kahler@dkd.de>

	* Fixed bug #209: require field URL in page-type "External URL"

2007-05-09  Andreas Otto  <andreas.otto@dkd.de>

	* Fixed bug #2052: Color picker does not work properly in flex forms. Thanks to David Bruehlmeier for providing a patch and a testcase.

2007-05-03  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #5177: RTEhtmlarea not correctly displayed in IRRE child form-fields and tabs

2007-05-01  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed bug #2515: jsfunc.validateform.js does not verify password fields (thanks to Joerg Wagner)
	* Fixed bug #5522: 1-2-3 wizard does not accept host name with socket option

2007-04-28  Andreas Otto  <andreas.otto@dkd.de>

	* Fixed bug #3649: Call to a member function formWidth() on object $GLOBALS['TBE_TEMPLATE'] instead on $GLOBALS['SOBE'].

2007-04-28  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #5519: EM - Some input fields don't have real labels yet (thanks to Oliver Klee)

2007-04-28  Michael Stucki  <michael@typo3.org>

	* Fixed bug in TypoScript object browser: New keys were not added when pressing the return key in the update form instead of clicking the submit button.
	* Fixed bug in class.em_terconnection.php: Need to base64_encode upload data for some NuSOAP implementations (patch by Karsten Dambekalns)

2007-04-18  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #1893: Broken Rootline when a Editor view a Page that is not online

2007-04-18  Ernesto Baschny  <ernst@cron-it.de>

	* Fixed bug #3729: Roll-over (RO) on a GMENU in IE didn't work with xhtml_strict

2007-04-18  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed: t3lib_BEfunc::getRecord() did not free recordset. This can cause memory leaks if persistent mysql connections are used

2007-04-05  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Made debug logging of user-supplied SQL queries possible in t3lib_db.

2007-04-04 Andreas Otto <andreas.otto@dkd.de>

	* Fixed bug #5411: A directory handle was not correctly used.

2007-04-03  Michael Stucki  <michael@typo3.org>

	* Release of TYPO3 4.1.1

2007-04-02  Michael Stucki  <michael@typo3.org>

	* Fixed bug #5088: Cache is not saved properly because of charset conflict in the database. Changing the field type of cache_hash.content from mediumtext to mediumblob. To make this work, you need to compare your database in the Install Tool.

2007-04-02  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #4447: "Clear FE cache" doesn't clear "typo3temp/cache_pages" directory

2007-03-30  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #5105: Extensions crash when using HTMLArea in FE (will be replaced with bugfix #5177 from Trunk end of April 2007)
	* Fixed bug #5248: IRRE - Element browser cannot be used on new child records of a new parent record

2007-03-30  Franz Holzinger  <kontakt@fholzinger.com>

	* Fixed bug #4725: EM: Include older versions when fetching data using searchExtensionsXML()

2007-03-28  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #5288: Missing parameter in recursion of t3lib_div::array_merge_recursive_overrule (thanks to Simon Tuck)

2007-03-28  Ingmar Schlecht  <ingmar@typo3.org>

	* Adding page tree backwards compatibility for JavaScript function hilight_row() to tree.js (by Benjamin Mack)

2007-03-28  Patrick Broens  <patrick@patrickbroens.nl>

	* Fixed bug #5266: WamCom browser check in htmlarea.js conflicted with Firefox 2.0.0.3

2007-03-27  Dmitry Dulepov  <dmitry@typo3.org>

	* Added hook to class.t3lib_userauthgroup.php, function recordEditAccessInternals

2007-03-23  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #5269: wsol_preview.php does not scroll to content element
	* Fixed bug #4953: Preview in Workspaces Module for content elements

2007-03-12  Michael Stucki  <michael@typo3.org>

	* Change copyright information in typo3/index.php (no real change, just replace the hardcoded years with the "TYPO3_copyright_year" constant)

2007-03-06  Michael Stucki  <michael@typo3.org>

	* Release of TYPO3 4.1
	* Remove typo3/sysext/topapps/ and typo3/alt_main_new.php (they are not used in version 4.1)

2007-03-06  Ingmar Schlecht  <ingmar@typo3.org>

	* Setting default value of pageNotFoundOnCHashError back to "false" (= reverting Stucki's patch) as some extensions had problems with the new default value

2007-03-05  Michael Stucki  <michael@typo3.org>

	* New login image (if no skin is used) by Ture Andersen
	* Added a warning for admins if typo3conf/ENABLE_INSTALL_TOOL exists (which means that the Install Tool is currently enabled)
	* Changed layout of admin warnings (use <li> instead of plain breaks)
	* Fixed bug #5125: Typo in SQL definition of sys_history

2007-03-04  Oliver Hader  <oh@inpublica.de>

	* Fixed bug: #5098: IRRE - foreign_unique without foreign_selector doesn't work

2007-03-01  Oliver Hader  <oh@inpublica.de>

	* Fixed bug: #5069: TSconfig mod.web_list.allowedNewTables used in t3lib_TCEforms_inline
	* Fixed bug: #5092: Typo in Who is online (thanks to Matthias Kall)

2007-03-01  Karsten Dambekalns <karsten@typo3.org>

	* typo3/sysext/indexed_search: DBAL compliancy patch

2007-02-28  Ingmar Schlecht  <ingmar@typo3.org>

	* New login image for t3skin by Ture Andersen

2007-02-27  Oliver Hader  <oh@inpublica.de>

	* Fixed bug: #5052: Form action URL is not htmlspecialchared (patch by Michael Stucki)
	* Fixed bug: #5072: Web>Info>Log - ID of BE user is displayed instead of its username
	* Fixed bug: #5073: Tools>User Admin>List users online is broken

2007-02-27  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed bug #3666: permissions of versioned pages are not changed in draft workspace (patch by Andreas Wolf)
	* Added rootline cache to speed up tree renderings in the BE

2007-02-27  Ingo Renner  <typo3@ingo-renner.com>

	* Fixed bug: Cannot return from Quickedit mode

2007-02-26  Dmitry Dulepov  <dmitry@typo3.org>

	* Better fix for bug #5032: [LocalLang: 0?]DEF is sometimes displayed for content elements

2007-02-25  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #5055: SQL problem with reviewstate in EM (thanks to Franz-Xaver Koch)
	* Fixed bug: List all fe_groups in page icon tooltip (patch by Michael Stucki)

2007-02-24  Ernesto Baschny  <ernst@cron-it.de>

	* Fix for bug fix #2677: Highlighting of current page in workspaces was not de-highlighting previous one

2007-02-21  Ingmar Schlecht  <ingmar@typo3.org>

	* Release of TYPO3 4.1RC2

2007-02-21  Michael Stucki  <michael@typo3.org>

	* Security fix: Email injection vulnerability in t3lib_formmail (reported and fixed by Andreas Otto and Thorsten Kahler)

2007-02-20  Michael Stucki  <michael@typo3.org>

	* Fixed bug in EM: Insecure extensions were still displayed (patch by Karsten Dambekalns)
	* Fixed a typo in class.em_xmlhandler.php
	* Fixed a typo in typo3/sysext/install/mod/class.tx_install.php
	* Changed another bug in the EM: Last update of extensions.xml.gz was not displayed
	* Fixed bug #4951: SQL error when editing BE User
	* Fixed bug #3412: Changed default size limits for various BE upload fields to 10M (this default can be defined through $TYPO3_CONF_VARS[BE][maxFileSize] or individually per field through $TCA)
	* Various changes to t3skin (by Thomas Murphy):
		- folder icon got more contrast
		- navtree: darker color for hover & active states
		- font-weight: bold; for active state

2007-02-20  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #4202: be_groups - fields restricted by a low maxitems value
	* Fixed bug #4873: EM - Warning on uploading extension to TER (unserialize)
	* Fixed bugs #3655 and #4701: No wrappers for certain events (patch by Martin Kutschker)
	* Fixed bug: IRRE - Related child records are not updated when copying to a different page

2007-02-20  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug #4993: IE 5.5 and Konqueror compatibility for AJAX navtree

2007-02-20  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #5032: [LocalLang: 0?]DEF is sometimes displayed for content elements

2007-02-19  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug: AJAX navtree erroneously showed whole tree inside of the expanded branch on errors such as pages deleted in the meantime (thanks to Benjamin Mack)
	* Fixed bug #4993: AJAX navtree does not expand in Konqueror (fixed by Benjamin Mack)

2007-02-16  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed bug #4207: User>Workspaces shows users pages they have no access to

2007-02-16  Karsten Dambekalns  <karsten@typo3.org>

	* Fixed bug #4822: EM shows remote extensions as on this server only

2007-02-16  Michael Stucki  <michael@typo3.org>

	* Fixed bug #4973: Check if array is empty before looping over it (thanks to Thomas Oppelt)
	* Fixed bug #2677: Highlighting of current page in workspace (fixed by Martin Kutschker and Benjamin Mack)

2007-02-16  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug 4962: .htaccess in sysext fails in some Apache configurations

2007-02-15  Michael Stucki  <michael@typo3.org>

	* Reverted fix for bug #4689 (closes #4987): Fix seems to cause problems, reinvestiation is needed

2007-02-15  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fix bug #4947: SQL error with DBAL/PostgreSQL when listing or looking up reviewed extensions

2007-02-15  Thorsten Kahler  <thorsten.kahler@dkd.de>

	* Fix: Display description of options in install tool correctly

2007-02-14  Bernhard Kraft  <kraftb@kraftb.at>

	* Added hook: New hook in t3lib_tceforms in method getSingleField allowing modification of single field rendering and adding buttons to alt_doc.php

2007-02-14  Rupert Germann  <rupi@gmx.li>

	* Fix: Excluded the adminPanel GETvars from t3lib_div::cHashParams to prevent a cHash mismatch

2007-02-11  Thomas Hempel  <thomas@work.de>

	* Fix bug #4943: Redundant comma in label_alt_force

2007-02-11  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fix bug #4423: BE search doesn't work with UTF-8 chars (thanks to John Angel)

2007-02-07  Michael Stucki  <michael@typo3.org>

	* Release of TYPO3 4.1RC1
	* Fixed bug #4883: mod_rewrite rules rewrite missing favicon.ico to index.php (thanks to Stefan Geith for this hint - notice that manual modification of existing .htaccess files might be neccessary)
	* Added feature #4476: Allow limitation of config.linkVars
	* Fixed bug #4917: Wrong links inside mounted page with overlay (thanks to Melanie Meyer / Franz Ripfel)

2007-02-06  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #3985: Wrong substitution for spamProtectEmailAddresses_atSubst/spamProtectEmailAddresses_lastDotSubst

2007-02-06  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed bug #4742: link to user on User Admin page is following to wrong URL

2007-02-06  Michael Stucki  <michael@typo3.org>

	* Added feature #4592: Keep indexed_search tables consistent when deleting/hiding pages (Thanks to Michael Fritz)
	* Fixed bug #4666: Use TYPO3 settings when formatting dates
	* Fixed bug #4581: Duplicate entry on cache_pagesection on reloading twice. See bugtracker entry for details about this change.
	* Added feature #4536: Add new property "additionalParams" to GMENU items / Cleanup in tslib_menu
	* Fixed bug #3069 again: Ignore version check if no requirements are specified
	* indexed_search: Turn off maxAge setting as this "feature" seems to make no sense at all
	* Fixed bug #4689: Error in t3lib_tcemain while entering a number like 50 or 50.00 into a double2 field
	* Fixed bug #3544: RTE-config in PageTS-config not loaded when in draft-workspace

2007-02-05  Ingmar Schlecht  <ingmar@typo3.org>

	* Lots of <label> tags added to checkbox labels throughout the core (Thanks to Ingo Renner for this big patch!)

2007-02-05  Oliver Hader  <oh@inpublica.de>

	* Bugfix for TSconfig overriding TCA field configuration
	* Fixed bug #4758: Page with doktype 3 (external URL) and e-mail as URL could be shown directly

2007-02-04  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Added icon to edit record of page overlay for a translated page

2007-02-04  Michael Stucki  <michael@typo3.org>

	* Extended db_mountpoint and file_mountpoint fields into to 255 bytes size
	* Fixed bug #3069: Extension manager crashed because of some PHP bug with version_compare() (thanks to Rainer Haertlein who discovered the solution to this problem)
	* Changed t3lib_basicFileFunctions to use filemtime() instead of filectime()
	* Fixed bug #4526: Add td-<number> to last table elements in CSS styled content (thanks to Dimitriy Simakov)
	* !!! Enable $TYPO3_CONF_VARS[FE][pageNotFoundOnCHashError] by default. This should usually do no harm at all as long as the encryptionKey is not changed.
	* Trigger a warning if the PHP setting "post_max_size" is lower than "max_upload_size"

2007-02-04  Oliver Hader  <oh@inpublica.de>

	* Features & bugfixes for Inline Relational Record Editing (IRRE)
		- Feature: hide new record link by appearance property
		- Feature #4838: enabled element browser to be used as selector
		- Bugfix #4839: use "size" parameter of parent table for record selector
		- Bugfix: changed handling of required fields on nested child records

2007-02-04  Ingmar Schlecht  <ingmar@typo3.org>

	* Instant collapsing for pagetree: The pagetree now doesn't wait for the AJAX response any more when collapsing
	* Fixed bug #4817: Clickmenu shows up at the wrong place (Thanks to Benjamin Mack for the patches)

2007-02-03  Oliver Hader  <oh@inpublica.de>

	* Fixed feature request: TCEforms/IRRE - Allow TSconfig to override TCA field configuration

2007-02-02  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Changed class.t3lib_clipboard.php and class.db_list_extra.inc to use new mod.php?M=xMOD_tximpexp (instead old impexp/app/index.php)

2007-01-30  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixing oddities in recursive stdWraps (bugs #4312 and #4871)
	* Fix bug #4678: t3lib_div::array2xml() may crash with PHP 5.2.0
	* Fix bug #3648: ease use of tslib_cObj::getTreeList()
	* Added SYS[requestURIvar] to get original value of REQUEST_URI (needed by some URL writers for IIS)

2007-01-30  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed never disappearing proposal to update database structure in Install>Database>COMPARE

2007-01-29  Dmitry Dulepov  <dmitry@typo3.org>

	* !!! Changed MySQL engine type for several database tables to InnoDB
	* Added several new indexes

2007-01-28  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Added "html { height: 100% }" to stylesheet to make RTE wizard (rteHTMLarea) work in IE7
	* Remove checks for PHP version earlier than 4.3

2007-01-24  Dmitry Dulepov  <dmitry@typo3.org>

	* Added "useCDATA" to a list of t3lib_div::array2xml() options to produce CDATA instead of entities

2007-01-26  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #4814: Umlauts error in AJAX Pagetree
	* Updated prototype.js to version 1.5.0
	* Updated script.aculo.us to version 1.7.0
	* Created new directory for external contributions typo3/contrib/ and moved files:
		- typo3/prototype.js	-> typo3/contrib/prototype/prototype.js
		- typo3/scriptaculous/*	-> typo3/contrib/scriptaculous/*
		- typo3/json.php		-> typo3/contrib/json.php
	* Changed paths to typo3/contrib in affected core files

2007-01-25  Ingmar Schlecht  <ingmar@typo3.org>

	* Added backwards compatibility to pagetree for non AJAX-capable browsers (by Benjamin Mack)

2007-01-24  Michael Stucki  <michael@typo3.org>

	* Install Tool: Network 192.168.0.0/255.255.0.0 was allowed to enter the Install Tool regardless of the die() presence in typo3/install/index.php. This exception has been removed, only 127.0.0.1 may now enter the Install Tool regardless of any other conditions.
	* !!! Install Tool: Instead of modifying typo3/install/index.php to enable the Install Tool, a new file "typo3conf/ENABLE_INSTALL_TOOL" can be created to enable it. Shared hosting servers: If you want to turn this off, you have to change the condition in typo3/install/index.php, line 50. See comment above.
	* Removed access for 192.168.0.0/255.255.0.0 in misc/phpcheck/incfile.php

2007-01-24  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #4846: EM: inconsistent line ending

2007-01-24  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #4820: IRRE - Wrong character encoding in AJAX response
	* Fixed feature request #4790: typolink.addQueryString - enable usage of merged POST and GET data
	* Fixed bug #4824: typo3 not defined in jsfunc.tbe_editor.js
	* Fixed bug #4809: require() in class.t3lib_tceforms_inline.php fails
	* Fixed feature request #4780: TypoScript - add stdWrap to TMENU/GMENU
	* Fixed bug #4827: Call to undefined method t3lib_BEfunc::getrecordtitleprep()

2007-01-23  Ingmar Schlecht  <ingmar@typo3.org>

	* Bugfix to mm-relation handling: writeMM() tried to set the "tablenames" field even for simple two-table relationships which then failed

2007-01-23  Michael Stucki  <michael@typo3.org>

	* Slightly changed the check for IE browsers in t3lib_div::clientInfo()
	* !!! Removed function "netPrintApplication_offsiteLinkWrap" and TypoScript property "netprintApplicationLink" for IMGTEXT elements which were only used by one extension which is obsolete meanwhile...
	* Fixed bug #4830: Right click in CM did not work anymore (thanks to Benjamin Mack)
	* Fixed bug #4643: File Upload did not recognize BE-User option "defaultFileUploads" (thanks to Benjamin Mack)

2007-01-20  Michael Stucki  <michael@typo3.org>

	* Release of TYPO3 4.1beta3
	* Update copyright information (just the year, of course) in t3lib/config_default.php

2007-01-19  Ingmar Schlecht  <ingmar@typo3.org>

	* AJAX pagetree and filetree by Benjamin Mack <bmack@xnos.org>! (Thanks also to Franz Holzinger and Stefan Regniet for their help)
	* Patch by Rene Fritz regarding bidirectional mm-relations: It's now possible to save different relations to the same mm-table by means of so called "matchFields". This is used by DAM.

2007-01-19  Andreas Otto  <andreas.otto@dkd.de>

	* Fixed feature request 4656: The feature config.sys_language_softMergeIfNotBlank sets the "mergeIfNotBlank" for a field in the frontend context through TypoScript. It can be useful to have the same for "exclude" localization mode so a field is always overlaid in the frontend output. This patch simply copies the code from "softMergeIfNotBlank" and does the same for "exclude".

2007-01-19  Dmitry Dulepov  <dmitry@typo3.org>

	* !!! Added "prepend" to tt_content.stdWrap in css_styled_content to display anchor to localized content elements in addition to anchor to the default language version

2007-01-19  Michael Stucki  <michael@typo3.org>

	* Reverting patch for bug #4581 which was committed by mistake. The solution works well, but it depends on 4.3.0 currently...

2007-01-18  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Added PATH_typo3 to index_ts.php (see related change on 2006-10-29)

2007-01-09  Ingmar Schlecht  <ingmar@typo3.org>

	* Alphabetically sorted TS tree in TS Object Browser (Thanks to Ingo Renner)

2007-01-09  Sebastian Kurfuerst  <sebastian@typo3.org> (Thanks to Oliver Hader)

	* rewrote TBE_EDITOR Javascript functions to use JS "objects" and outsourced them to an external file
	* !!! Removed the variables TBE_EDITOR_isChanged and TBE_EDITOR_loadTime in TBE_EDITOR javascript
	* change in getRecordTitle: a too long title is wrapped in a <span title="..."> tag to show a tooltip

2007-01-03  Thorsten Kahler  <thorsten.kahler@dkd.de>

	* Fixed bug #931: Typolink to a page with certain type doesn't work if type is zero

2007-01-03  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bugs #3254, #3872, #4345: hide workspace selector if (1) no access to workspace module, or (2) only one workspace is available to user
	* Fixed: publishing many records may cause PHP timeout and leave workspace in half-published state
	* Fixed bug #4006: Load $GLOBALS['TSFE'] with image dimensions when IMG_RESOURCE is used (feature request!)

2006-12-27  Dmitry Dulepov  <dmitry@typo3.org>

	* Removed garbage characters in typo3/init.php

2006-12-21  Dmitry Dulepov  <dmitry@typo3.org>

	* List module did not use BACK_PATH in many calls to TYPO3 functions, which made imposible to reuse List module classes in extensions

2006-12-20  Michael Stucki  <michael@typo3.org>

	* Release of TYPO3 4.1beta2

2006-12-20  Peter Niederlag  <peter@niederlag.de>

	* Fixing important security issue in rtehtmlarea

2006-12-19  Ingmar Schlecht  <ingmar@typo3.org>

	* Some more IRRE bugfixes by Oliver concerning RTE and alt_doc.php

2006-12-14  Ingmar Schlecht  <ingmar@typo3.org>

	* Committed a bunch of bugfixes and new features related to IRRE (Thanks to Oliver Hader!):
		- Automatic sorting by a "sortby" field (e.g. the title)
		- The possibility to have relations from different parent pages to a child table
		- Expanded/collapsed states are saved in uc now
		- Bugfixes to #4616 and #4617 concerning IRRE relation to the same table
		- Bugfix for using RTEs in IRRE records (works even inside of nested tabs now)

2006-12-13  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* More localization of User>Workspaces (thanks to Marc Woehlken)

2006-12-14  Kasper Skaarhoj

	* Modified t3lib_div::makeInstance() to require filenames in lowercase
	* Added some fields ("languageField", "transOrigPointerField", "type", "header") as default "shadowColumnsForNewPlaceholders" fields (tcemain "localize" command related)
	* Fixed Safari context menu bug

2006-12-13  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Improved t3lib_BEfunc::getRecordRaw() (error checking, freeing result set)
	* Added a few addtional entries for special characters to the ASCII transliteration table
	* Localized User>Workspaces (thanks to Andreas Wolf)
	* Fix bug #2935: invalid HTML in Web>Versioning (quotes)

2006-12-12  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Made cli_dispatch.phpsh work when called as "php cli_dispatch.phpsh" and protect from being called on a non CLI
	* Make TYPO3 log page paths in UTF-8 if config.stat_apache_niceTitle = utf-8

2006-12-12  Karsten Dambekalns  <karsten@typo3.org>

	* The EM now stores the list of extensions from TER in the database, see http://bugs.typo3.org/view.php?id=2615

2006-12-12  Ingmar Schlecht  <ingmar@typo3.org>

	* Better getRecordTitle() function introducing label_userFunc (Thanks to David Bruehlmeier for this patch! See http://lists.netfielders.de/pipermail/typo3-team-core/2006-December/006521.html for details.)

2006-12-11  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Add page tree update to publish button of module Web>Versioning
	* Added "new record" icon to table listing in module Web>Page

2006-12-07  Franz Holzinger  <kontakt@fholzinger.com>

	* Fix bug #4555: double posts in tt_board did not get detected because of unintended conversion into a negative integer

2006-12-07  Ingmar Schlecht  <ingmar@typo3.org>

	* Disabled typo3/alt_main_new.php as it's not fully working yet. Will be ready for TYPO3 4.2 probably, but not for 4.1.
	* Disabled wordIndexing() function of t3lib_refindex

2006-12-05  Michael Stucki  <michael@typo3.org>

	* Updated font-copyright information in t3lib/fonts/readme.txt - many thanks to Christian Welzel for taking care of this!
	* Security enhancement: Prevent image access through thumbs.php. For details, see http://typo3.org/teams/security/security-bulletins/typo3-20061205-1/ - thanks to Marc Bastian Heinrichs for discovering and reporting this issue.
	* Security enhancement: Refuse BE logins of usernames starting with "_CLI_" (they are only used by real CLI scripts)

2006-11-21  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Allow strftime-syntax for config.stat_apache_logfile (Thanks to Francois Suter and Michael Stucki).
	* Enhanced message for recordset warning (see change at 2006-12-02) and removed serializing of objects in the backtrace (devlog).

2006-12-03  Ingmar Schlecht  <ingmar@typo3.org>

	* Use <label> tags in tceforms where appropriate to enhance usability (Thanks to Ingo Renner for writing the patch!)
	* Increase length for titles of be_users, be_groups, and fe_groups (Thanks to Ingo Renner for writing the patch!)

2006-12-02  Dmitry Dulepov  <dmitry@typo3.org>

	* t3lib_db: added calls to t3lib_div::sysLog() and t3lib_div::devLog() if recordset is not valid

2006-12-01  Kasper Skaarhoj  <kasper2006@typo3.com>

	* Additions to FlexFormTools
	* Improved localization in tcemain
	* Changed pages_languages_overlay to NOT be hidden by default
	* Introduced REDIRECT: prefix to pageNotFound_handling (for backwards compatibility since someone changed to read the file instead of redirecting).
	* Added "linkHandler" hook for typolink. TSref is updated.
	* Modified Web > Info > Localization tools to not show details.
	* Removed redundant directory, clmods.

2006-11-28  Kasper Skaarhoj  <kasper2006@typo3.com>

	* Added "option.additionalPreviewLanguages" which enables to add other languages than the "default" to the list of those that a translator will see along with his own language
	* Added new class, "class.t3lib_transl8tools.php" with general stuff for working with languages and translation. More to come...
	* Added the t3lib_div::view_array() will also display a string input
	* Added, that "t3lib_div::makeInstance()" will call "require_once()" for "t3lib_*" if the class name is not found; this is essentially an "auto-loader" feature that can come it pretty handing since something like 90% of all instantiations in the core is of t3lib_-classes; now we don't need to add "require_once()" statements in the top. And oh, btw. there is a function, "t3lib_div::requireOnce()" for "require_once()" which I suggest you use so that inclusions have some globals set (like TYPO3_CONF_VARS) and also cannot change local scope variables.

2006-11-26  Michael Stucki  <michael@typo3.org>

	* Fixed bug #4556: PHP4 compatibility issues

2006-11-24  Michael Stucki  <michael@typo3.org>

	* Release of TYPO3 4.1beta1

2006-11-21  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* New Feature: List users online (aka who is online) for BE users in Tools > User Manager
	* New Feature: Allow UTF-8 file names (to enable set BE[forceCharset]='utf-8' and SYS[UTF8filesystem]=1)

2006-11-23  Ingmar Schlecht  <ingmar@typo3.org>

	* New Feature: Inline Relational Record Editing (IRRE). See http://wiki.typo3.org/index.php/Inline_Relational_Record_Editing for details. Thanks a lot to Oliver Hader who programmed this as his diploma thesis and to Sebastian who reviewed the code together with me!

2006-11-21  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fix a problem with PHP4 and UTF-8 byte order marks (BOM) in t3lib_div::xml2array()

2006-11-17  Michael Stucki  <michael@typo3.org>

	* Fixed bug #4059: options.hideRecords.pages doesn't work for mounted pages - Thanks to Marc Bastian Heinrichs for providing a fix!
	* Fixed bug #4379: pageNotFound_handling ignores forceCharset setting
	* Fixed bug #3115: JavaScript error on clickmenu in filelist module
	* Fixed bug #4515: Input field with settings eval "date" and readOnly shows 01-01-1970 if the value is empty - Thanks to Marc Bastian Heinrichs for providing a fix!

2006-11-17  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Indexed Search: Added stdWrap around the search word in the output (tx_indexedsearch_pi[whatis]): tx_indexedsearch_pi.whatis_stdWrap
	* Indexed Search: Removed superfluos <P> tag around search word

2006-11-16  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Indexed Search: Added freeIndexSetId GROUP BY in tx_indexedsearch->execFinalQuery() to make SELECT work on DBs other than Mysql
	* Add an index prefix to Mysql key definitions when (var)chars are changed to text when multiplyDBfieldSize is set
	* Reverted change to key of sys_refindex on 2006-09-01 (key prefix is set now automatically)

2006-11-13  Bernhard Kraft  <kraftb@kraftb.at>

	* Fixed a bug: Normal labels rendered by class.db_list_extra.inc didn't get passed through t3lib_BEfunc::getProcessedValueExtra when alt_label fields are set.

2006-11-08  Dmitry Dulepov  <dmitry@typo3.org>

	* Enable creation of compact flexforms

2006-11-07  Michael Stucki  <michael@typo3.org>

	* Fixed bug #4348: Wrong time format in syslog output

2006-11-06  Michael Stucki  <michael@typo3.org>

	* Fix bug #3495: Endless recursion with some MySQL versions

2006-11-03  Michael Stucki  <michael@typo3.org>

	* Fixed bug #4425: Garble code in adodb extension
	* Fixed Cross Site Scripting issue in fe_adminLib.inc. For details, see http://typo3.org/teams/security/security-bulletins/typo3-20061010-1/ - thanks to Andriu Isenring Ritsch for discovering and reporting this issue.

2006-11-02  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug with bidirectional mm-relations: "group" fields with more than one table allowed didn't work properly any more

2006-11-02  Michael Stucki  <michael@typo3.org>

	* Fixed bug #1655: t3lib_div::substUrlsInPlainText() did not support HTTPS links
	* Fixed bug #1236 again: 404 error while using the new content wizard
	* Fixed bug #4443: Items in CE "Insert Records" don't have edit options in context menu any longer
	* Small EM change: Annotate if all or only reviewed extensions should be searched

2006-10-30  Karsten Dambekalns  <karsten@typo3.org>

	* Add security hints in typo3/mod/tools/em/class.em_index.php
	* Fixed bug #3637 in EM (translation handling)

2006-10-29  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed bug #4021: array_merge error with PHP 5.0
	* Changed occurences of PATH_site.'typo3conf/' to PATH_typo3conf and PATH_site.TYPO3_mainDir to PATH_typo3

2006-10-25  Kasper Skaarhoj  <kasper2006@typo3.com>

	* Added "alt_main_new.php" including various modifications around to support this.
	* Added clean-up functions in extension "lowlevel" plus modified t3lib_refindex and t3lib_tcemain accordingly
	* Added word index to sys_refindex.
	* Added feature to workspace records so an element can still be edited even when passed to "review"; This allows an editor to notify that the element is ready but still make changes. Of course no more changes can be made as soon as the reviewer has pushed it to the next level.
	* Added "mod.php" which is a module dispatch script that can potentially help us to get rid of the problem with local vs global extensions and their backend modules having different conf.php files. Documentation remains to be added to "Inside TYPO3".

2006-10-14  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #3199: SUing to myself?
	* Fixed bug #3720: Multilanguage Flexforms don't work after migrating a site from one language to more languages
	* Fixed bug #4358: Add an option to t3lib_div::xml2array to remove all unnecessary spaces

2006-10-17  Ernesto Baschny  <ernst@cron-it.de>

	* Fix: no more "ERR" or "Unpacking the language pack failed" in the translation handling with curl enabled.

2006-10-14  Dmitry Dulepov  <dmitry@typo3.org>

	* Fix: t3lib_db::exec_SELECTgetRows() did not free recordset

2006-10-24  Karsten Dambekalns  <karsten@typo3.org>

	* ADOdb system extension updated to upstream 4.93. Added danish translation, thanks to Peter Klein!

2006-10-11  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Changed index "parent" of sys_template to (pid,sorting)

2006-10-10  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed bug #3777: thumbs.php looks for file in t3lib/gfx instead of typo3/gfx

2006-09-20  Bernhard Kraft  <kraftb@kraftb.at>

	* Fixed a missing space in typo3/template.php

2006-09-15  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* Fixed bug #3862: Tools>User Admin allows switching to disabled user
	* Fixed bug #3863: Delete temp_CACHED_* files from "Edit files in typo3conf/:"

2006-09-14  Michael Stucki  <michael@typo3.org>

	* Fixed bug #4219: := appendString() did not work because the check was made for "apppendString" (typo)

2006-09-11  Wolfgang Klinger  <wk@plan2.net>

	* Feature request #4133: accesskey for TMENU

2006-09-11  Ingmar Schlecht  <ingmar@typo3.org>

	* New feature: Bidirectional MM relations. You can now edit mm-relations from both sides of the relation in the Backend TCE-Forms. Thanks to Sebastian (for writing the patch together with me) and Rene (for the first version of this feature)

2006-09-11  Michael Stucki  <michael@typo3.org>

	* Fixed a tiny security problem in indexed search (for details, see http://typo3.org/teams/security/security-bulletins/typo3-20060911-1/)

2006-09-08  Michael Stucki  <michael@typo3.org>

	* Updates to NEWS.txt
	* Fixed #4165: Link to TSconfig and TSref not working. Thanks to Andreas Wolf for providing a patch!

2006-09-04  Michael Stucki  <michael@typo3.org>

	* Fixed bug #1268: plainMailEncoded not working with charset conversion.

2006-09-03  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* Added su_back.gif image again to gfx

2006-09-03  Wolfgang Klinger  <wk@plan2.net>

	* Changed call_user_func to call_user_func_array in t3lib_div to allow passing parameters by reference to t3lib_div::callUserFunction

2006-09-02  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed #4141: config.spamProtectEmailAddresses does not encrypt "9" digits correctly
	* Web>List localization view did not handle "edit marked" for translation records

2006-09-01  Ingmar Schlecht  <ingmar@typo3.org>

	* Feature #529: Filled static_tsconfig_help with new content of core documents! Thanks a lot to Stephane Schitter for extracting the new data from the references!

2006-09-01  Michael Stucki  <michael@typo3.org>

	* Fixed bug: Creation of sys_refindex table was not possible if $TYPO3_CONF_VARS[SYS][multiplyDBfieldSize] was set.
	* Indexed Search: Fixed bug #3994: OpenOffice.org files cannot be indexed by class.external_parser.php
	* Indexed Search: Fixed bug #4093: PHP warning if indexed_search search word contains a front slash
	* Get rid of blob fields in TYPO3 databases (replaced with "text" fields)

2006-08-31  Ernesto Baschny  <ernst@cron-it.de>

	* Fixed bug #4035/3971: Error message when uploading one or two files in file-browser (BE)

2006-08-31  Ernesto Baschny  <ernst@cron-it.de>

	* Feature #4131: Respects label_alt setting in some more places (especially labels pointing to MM tables)

2006-08-31  Wolfgang Klinger  <wolfgang@stufenlos.net>

	* Feature #3026: Text change for the 'Quality' label

2006-08-31  Dmitry Dulepov  <typo3@accio.lv>

	* Performance enhancement for BE: 1) caching images in typo3/gfx and typo3/sysext; 2) caching CSS files in typo3/sysext/t3skin/stylesheets

2006-08-30  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Add and update icons for the new skin

2006-08-29  Ingmar Schlecht  <ingmar@typo3.org>

	* Made it possible to give FE users the choice to "stay logged in". See new install tool option $TYPO3_CONF_VARS[FE][permalogin]. You'll need the latest newloginbox version from the typo3xdev Subversion repository.

2006-08-29  Dmitry Dulepov  <typo3@accio.lv>

	* Performance enhancement in t3lib/class.t3lib_tstemplate.php: use UPDATE/INSERT (if no records have been updated) instead of DELETE/INSERT for cache_pagesection.
	* Show domain name in the page tree if is_siteroot is set for page and "options.pageTree.showDomainNameWithTitle" is set in user TSConfig

2006-08-25  Michael Stucki  <michael@typo3.org>

	* Fixed bug #4076: Skin creates invalid HTML markup
	* Fixed bug #1454: Cookie lifetime set in localconf.php will be ignored. Thanks to Dietrich Heise and Jeff Segars.
	* Fixed bug #3922: config.spamProtectEmailAddresses doesn't respect config.removeDefaultJS setting. Thanks to Benjamin Mack.
	* Added a new parameter to tslib_pibase->pi_classParam() which may contain classes that should not be prefixed.

2006-08-24  Michael Stucki  <michael@typo3.org>

	* !!! Changed default value of $TYPO3_CONF_VARS[SYS][devIPmask] to "127.0.0.1,::1" (removed "192.168.*")
	* Fixed bug #1236: 404 error while using the new content wizard
	* Fixed bug #3909: TYPO3_SSL does not detect valid SSL session
	* Fixed bug #3973: pageNotFound_handling=TRUE is interpreted as URL

2006-08-23  Michael Stucki  <michael@typo3.org>

	* Fixed bug #3960: Display correct version number in Install Tool (only when authenticated)
	* Fixed bug #4073: Extension manager doesn't find extensions if the search string contains a trailing space
	* Fixed bug #3990: $BE_USER property "disableTabInTextarea" is not respected

2006-08-19  Dmitry Dulepov  <typo3@accio.lv>

	* Fixed bug #4037: Link from Google AdWords fails due to wrong alias handling

2006-08-19  Ingmar Schlecht  <ingmar@typo3.org>

	* Partly fixed #4013: New records in non-default language are displayed in list-module in localization view too now even if they don't have a parent record in the default language.

2006-08-17  Ingmar Schlecht  <ingmar@typo3.org>

	* Added text to Update Wizard informing about the change of the default values of "config.inlineStyle2TempFile" and "config.removeDefaultJS" depending on compatVersion >= 4.0

2006-08-14  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Corrections/adjustments to the htmlArea RTE extension (see details in local ChangeLog)

2006-08-04  Wolfgang Klinger  <wk@plan2.net>

	* Fix bug #3160: IFSUB is not true if the parent page is a shortcut page

2006-07-31  Dmitry Dulepov  <typo3@accio.lv>

	* Fixed endless page retrieval if pageNotFound_handling is set to URL of a local non existing page

2006-07-31  Michael Stucki  <michael@typo3.org>

	* Updates to NEWS.txt (thanks to Martin Kutschker)
	* Changed version requirements for t3skin (problems in combination with TYPO3 4.0.1)

2006-07-30  Michael Stucki  <michael@typo3.org>

	* Fix bug #3362 (again): Bugfix used t3lib_div which is missing at that point
	* Fix bug #3943: compat_version was accidentally changed to 4.0.1

2006-07-24  Karsten Dambekalns  <karsten@typo3.org>

	* t3lib/config_default.php: Fixed bug #3246 - error in t3lib/config_default.php on setting display_errors.

2006-07-23  Karsten Dambekalns  <karsten@typo3.org>

	* t3lib/class.t3lib_div.php: Added a clarifying note to the comment for loadTCA(), thanks to Johannes Konert.

2006-07-17  Dmitry Dulepov  <typo3@accio.lv>

	* t3lib_tceforms: now using "labels.new" from locallang instead of hard-coded "NEW"

2006-07-17  Michael Stucki  <michael@typo3.org>

	* Fix bug #3308: Check for deleted records when displaying language overlays
	* Removed hardcoded rowSpace value in CSS Styled Content
	* Minor cleanup in CSS Styled Content constants.txt + setup.txt

2006-07-14  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* mailto: links were not handled as mailto: links if protocol was present in link

2006-07-13  Karsten Dambekalns  <karsten@typo3.org>

	* EM: Fixed bug #3299 (Language pack installation cannot handle spaces in filenames).
	* EM: Added extra sanity check when cleaning up version numbers in constraints, solves bogus warnings when installing extensions.
	* EM: The label for enabling unreviewed extensions is more clear now. The search scope (all/reviewed) is shown on the import extensions page.

2006-07-13  Wolfgang Klinger  <wk@plan2.net>

	* Fixing some missing is_array checks

2006-07-12  Wolfgang Klinger  <wk@plan2.net>

	* Fix bug/feature request #3811: Adding "ATagParams" to GMENU

2006-07-12  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fix bug #3600: config.formMailCharset is not honoured
	* t3lib_formmail: do charset conversion for mails when config.formMailCharset is set or config.metaCharset different from config.renderCharset
	* t3lib_formmail: use $this->messageid of base class

2006-07-12  Dmitry Dulepov  <typo3@accio.lv>

	* Fixed bug #3594: No lang resolution for title in <tx_templavoila> element

2006-07-11  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* t3lib_cs: trim the charset for normalization

2006-07-10  Dmitry Dulepov  <typo3@accio.lv>

	* Fixed bug: missing check for PHP version in t3lib_div::getUrl()

2006-07-10  Ernesto Baschny  <ernst@cron-it.de>

	* Fixed bug #3005: captionSplit.cObject functionality in IMGTEXT is back as documented. But marked as "deprecated".
	* Fixed bug #3258: rendering issues in CSS styled IMGTEXT with noRows setting fixed.
	* Fixed bug #3416: first caption was being doubled with "renderMethod=table".

2006-07-10  Dmitry Dulepov  <typo3@accio.lv>

	* Fixed bug: "Publish time" label appeared where "Unpublish time" should appear

2006-07-07  Karsten Dambekalns  <karsten@typo3.org>

	* Added background color to TYPO3 error pages.

2006-07-07  Michael Stucki  <michael@typo3.org>

	* Changed version numbers in t3lib/config_default.php
	* Minor corrections to CVSreadme.txt
	* Install Tool displayed TYPO3_version instead of TYPO3_branch
	* Fixed bug #2462: typo3temp/ subdirectories were not created automatically
	* Fixed bug #3362: Windows systems print phpinfo under some circumstances
	* Fixed bug #1153 again: Adding parameters to showpic.php is not always expected: Add a new property to skip adding these parameters (JSwindow.altUrl_noDefaultParams)

2006-07-06  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fix bug #3779: edit form on page broken
	* Fix bug #3085: broken option frame (palettes) in IE

2006-07-01  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fix bug #3427: config.spamProtectEmailAddresses may garble mail link

2006-07-01  Karsten Dambekalns  <karsten@typo3.org>

	* DBAL update (sysext):
		- this update closes bugs #3638, #2106, #2866, #3754 (for Firefox, broken in MSIE) and maybe a few more
		- Implemented support for sysLog() on connection failure
		- DBAL now honours the no_pconnect setting
		- For handlers in native mode the setDBinit queries are executed upon connection
		- The initial value for generated sequences can be configured per handler, to avoid duplicate key errors after having imported data
		- BLOB fields are handled correctly now during INSERT and UPDATE
		- Setting $store_lastBuiltQuery acts like in t3lib_db now (fill $debug_lastBuiltQuery)
		- For the native handler quoting methods directly return the input for speedup, as no quoting is needed in that case
		- Added support for native and userdefined handler to MetaType()
		- Changed mapping of types to always use the largest possible integer, map tinytext to varchar instead of text
		- admin_get_tables() skips tables whose names match /BIN\$/ (coming from the recycle bin on Oracle)
		- Importing dumps using the install tool now works, see manual for tips
		- Changed the way NOT NULL and DEFAULT are handled when setting up tables, see manual for the rules that now apply
		- Code cleanup (indentation, documentation)
		- Updated the manual and added new content

2006-06-30  Franz Holzinger  <kontakt@fholzinger.com>

	* Fix bug #3725: empty and invalid flexform meta data are checked. impexp echos warning message found inside T3D import.

2006-06-30  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* t3lib_htmlmail: auto-detect charset (using FE or BE settings) with manual override

2006-06-30  Karsten Dambekalns  <karsten@typo3.org>

	* t3lib_page: Changed getMultipleGroupsWhereClause() to include a check using IS NULL to make it compatible to Oracle.
	* t3lib_page: Made enableFields() call getMultipleGroupsWhereClause() non-statically using $this.
	* sysext/adodb/: Update to upstream version 4.90, fixes to connection wizard, some code cleanup (closes: ##3755).
	* t3lib_sqlparser: Clean up indentation a little bit, fix bug #2991, make the parser understand "IS NOT [NULL]" an addition to just "IS [NULL]".
	* t3lib_tsfebeuserauth: Changed static call to enableFields()

2006-06-29  Ernesto Baschny  <ernst@cron-it.de>

	* Fix bug #3522 also in "content (default)": Linking images to hidden pages results in click-enlarge
	* Fix bug #3085: broken option frame (palettes) in IE

2006-06-29  Dmitry Dulepov  <typo3@accio.lv>

	* pageNotFound_handling HTTP status fix when external URL is specified as 404 page

2006-06-28  Ernesto Baschny  <ernst@cron-it.de>

	* Fix bug #3391: HTML-Source in error-pages now valid xhtml (FE)

2006-06-28  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fix bug# 3397: FORM submit as image is not valid xhtml
	* Fixed restriction to languages in Frontend editing
	* Fix bugs #3212 & #1178: empty page is displayed when accessing Web>Versioning

2006-06-28  Bernhard Kraft  <kraftb@kraftb.at>

	* Fix bug #3162: Cropscale fails, if one dimension has already the right size (thanks to Stefan Geith)

2006-06-28  Karsten Dambekalns  <karsten@typo3.org>

	* t3lib_extfilefunc: func_upload() now logs if no file was uploaded.
	* t3lib_extfilefunc: The last error message encountered is stored in the member variable $lastError
	* t3lib_tcemain: Made SQL query in versionizeRecord() conform to DBAL (use OR instead of ||).
	* t3lib_userauthgroup, tx_sv_auth: Made FE group lookups possible when lockToDomain is NULL in DB (e.g. when using Oracle).
	* t3lib/stddb/tables.sql: Changed be_users.lang to VARCHAR instead of CHAR, as MySQL changes it anyway.
	* t3lib_install: Changed an eregi() to a matching preg_match()

2006-06-27  Karsten Dambekalns  <karsten@typo3.org>

	* typo3/init.php: Fixed bug #2871.
	* t3lib/class.t3lib_befunc.php: Fixed bug #3106, Documentation of function storeHash differs between class befunc and class page
	* class.em_xmlhandler.php: Small change to the inline code docs
	* class.tx_install.php: Code cleanup, removed some commented code and cleaned indentation

2006-06-22  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Created exclusiveKeys for the TCA field configuration of type "select" [fix from 2006-03-19 was lost, see below]

2006-06-11  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fix bug #3505: BE multi-language flexforms do not work (t3lib_tceforms)

2006-06-08  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Template tools (Web>Template) had hard-coded background colours
	* Made Web > Template > Info skinnable

2006-06-08  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Make t3lib_div::arrayToLogString() accept an empty string as empty list
	* Fix bug #2938: edit icons have two title attributes, one hardcoded as an empty string

2006-06-04  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Unify PHP5 check in config_defaults.php and deprecate $TYPO_VERSION

2006-06-02  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fix bug #3612: no c-prefix for URL fragment in menus (section index)
	* Fix bug #2493: TCE-forms don't skins icons / t3skin lacks undo.gif, csv.gif and savedoknew.gif (thanks to Clemens Riccabona for the latter)
	* Fix bugs #3326 and #3392: problems with php_uname()
	* "Update" buttons of admin panel did not reload page in Firefox

2006-05-31  Ernesto Baschny  <ernst@cron-it.de>

	* Fix bug #3522: Linking images to hidden pages results in click-enlarge

2006-05-31  Bernhard Kraft  <kraftb@kraftb.at>

	* Fix a problem of the EM: "No file uploaded!" when retrying install after a failed dependency check

2006-05-22  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Corrected error message for config.baseURL=1

2006-05-20  Ernesto Baschny  <ernst@cron-it.de>

	* Fixed bug #2874: Current page in navigation tree wasn't being highlighted on IE6

2006-05-20  Rupert Germann  <rupi@gmx.li>

	* Fixed bug #2566: XClass include code was missing in wsol_preview.php.

2006-05-18  Rupert Germann  <rupi@gmx.li>

	* Fixed bug #132: % signs in extra parameters of form contentelements where not handled correctly.

2006-05-18  Ernesto Baschny  <ernst@cron-it.de>

	* Fixed bug #3138: Alignment of text in css_styled_content's Text w/ images (nowrap) was wrong (Firefox)

2006-05-15  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug #1374: Mailforms didn't work with <input type="image"> submit buttons. (Thanks to Thorsten Kahler and Rupert Germann!)
	* Changed square brackets "[" and "]" in URLs generated by media/scipts/fe_adminLib.inc to the urlencoded equivalents "%5B" and "%5D"

2006-05-15  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fix bug #3364: Changed t3lib_div::validPathStr() that it rejects files starting with ../ or containing /../, but allows ..
	* Corrected comment for maxWInText (tslib_content) and simplified calculation
	* Fix bug #338: Sanitize path normalization of class.t3lib_userauthgroup.php::addFileMount()

2006-05-05  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* EM: Fixed bug #3017.
	* t3lib/class.t3lib_befunc.php: Fixed bug (trivial but important) #3106.

2006-04-03  Karsten Dambekalns  <karsten@typo3.org>

	* EM: Fixed bugs #3096 (EM does not work if allow_url_open = off), #3097 (EM leaves mirror* files on failure).

2006-04-02  Karsten Dambekalns  <karsten@typo3.org>

	* EM: Fixed bugs #3033 (Invalid argument supplied for foreach) , #3039 (TYPO3 version is higher than allowed), #2992/#2817 (shy extensions).

2006-04-29  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fix typolink.addQueryString.method=GET (see bug #3241)
	* Fix problem with 2-byte charsets (eg UTF-16) in t3lib_cs::utf8_encode().

2006-05-03  Rupert Germann  <rupi@gmx.li>

	* Fix: mod.web_list.alternateBgColors=1 did not work in TYPO3 4.0 when no skin is used. Added the missing class to typo3/stylesheet.css

2006-04-30  Dmitry Dulepov  <typo3@accio.lv>

	* Fixed bug #3226: Error in template::clearCacheMenu if user is not admin

2006-04-29  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed wrong use of implode in typo3/mod/tools/em/class.em_index.php (lines 1392, 1424; see bug #3302)

2006-04-23  Dmitry Dulepov  <typo3@accio.lv>

	* Fixed bugs #3049 and #3176: HTTP status 503 is sent when $TSFE->set_no_cache is called

2006-04-21  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fix bugtracker issue #3172: further correction to MIME type determination.

2006-04-20  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Don't do false SQL query when SYS[setDBinit] is empty. Log error on failure.

2006-04-19  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Added "Lucida Console" (Windows core font) as default font for monospaced BE form fields

2006-04-18  Dmitry Dulepov  <typo3@accio.lv>

	* Fixed bug #3196: PHP warnings in class.t3lib_tceforms.php

2006-04-14  Rupert Germann  <rupi@gmx.li>

	* fix for the fix from bug #2868: the adminpanel didn't transfer the page id correctly when realUrl was used

2006-04-14  Bernhard Kraft  <kraftb@kraftb.at>

	* Added a hook in tslib_content for userdefined cObjects
	* Fixed bug #3232: Use image format set via .format for GIFBUILDER images

2006-04-13  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fix bugtracker issue #3172: re-write getMimeType in t3lib_htmlmail
	* Fix bugtracker issue #3051: RTE removes images under special conditions when saving

2006-04-12  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug #3174: chr() was misspelled char() in t3lib_div
	* Fixed bug #3233: Some broken references to media/ fixed

2006-04-12  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fix bugtracker issue #3172: MIME type determination crashing (HEAD request)

2006-04-10  Michael Stucki  <michael@typo3.org>

	* Merging all changes from TYPO3_4-0 branch back into HEAD

2006-04-07  Michael Stucki  <michael@typo3.org>

	* Release of TYPO3 4.0

2006-04-06  Michael Stucki  <michael@typo3.org>

	* !!! Fixed bug #3151: $TYPO3_CONF_VARS[im_jpg_quality] was changed to $TYPO3_CONF_VARS[jpg_quality] some time ago except in one place. Three questions marks since this was changed some time ago but not mentioned in here.
	* !!! Remove hardcoded linebreak after radio elements. Notice that this will affect your template when in "accessibility" mode with $TYPO3_CONF_VARS[SYS][compat_version] lower than 4.0.
	* Fixed bug #2485: Duplicate fieldset definition for radio elements. Thanks to Ernesto Baschny for providing a fix for this.
	* Minor changes to Indexed Search, see local ChangeLog for details
	* Prevented path traversal (../) in t3lib_tstemplate::getFileName(). This is was never really a security issue, because it affected only paths set in TypoScript which only full TYPO3 admins have access to anyway. Thanks to Ingmar for providing a fix.

2006-04-06  Rupert Germann  <rupi@gmx.li>

	* Fixed bug #3134: install tool / all text centered in IE and Opera
	* Fixed bug #3154: Misspelling in instal tool

2006-04-06  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* rtehtmlarea: fix bugtracker issue #3120: transforming text in link in Firefox may take excessive time.
	* rtehtmlarea: fix bugtracker issue #3060: RTE includes a page from the Frontent after paste a text

2006-04-05  Peter Niederlag  <peter@niederlag.de>

	* Fixed Bug #313 Problem with LOAD/RESTORE_REGISTER in lib.stdheader, thx to click/Ernesto for solution

2006-04-04  Michael Stucki  <michael@typo3.org>

	* Release of TYPO3 4.0rc3
	* Fixed bug #3065: wrap2.splitChar and wrap3.splitChar are ignored
	* Fix RDCT links: Did not point to index.php by default
	* Fix several bugs related with CSS Styled Content, see below. Many thanks to Ernesto Baschny who did all of this!
		* Now the CSS version of "Text w/images" and "Images" (table-less) also respect the textMargin constant so that (finally) the user can specify a different margin to separate the image block from the text. "colSpacing" now only applies to inter-images spacing, which is what the table-based approach also does.
		* For this to work we need to apply two new classes to the images (csc-textpic-firstcol and csc-textpic-lastcol). This is configurable through an optionSplitted new property "addClassesImage" of the USER object
		* Having this also allowed us to fix a bug in positioning: The whole image-block can now stretch correctly over the given width without any margins around it (which is required if you have just an image-block, without text). Without the patch, you always have "margin-right" (if images are placed to the left or center) or "margin-right" (if images are placed to the right).
		* Fixed also a problem with the calculation of image width if we have borders and border-spacings: Now the whole image-block will always be exactly maxW wide (so if you have borders and spacing, the images will get slightly smaller). Without this, the image-block could "explode" a fixed-width layout.
		* Added empty rendering definition for cType "div"  (divider) to prevent error message
	* Fixed setup module: Colons were wrapped to the next line
	* Small fixes to t3skin
	* Indexed Search: Added crawler support for $GLOBALS[T3_VAR][ext][indexed_search][indexLocalFiles]

2006-04-04  Peter Niederlag  <peter@niederlag.de>

	* Fixed bugs #2949, #3016, #3037: Several Element Browser bugs

2006-04-04  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* Implement Single-Click rollback in record history

2006-04-04  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed bug #1303: Broken FE-links with "config.locale_all=tr_TR"

2006-04-04  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed bug #2868: Admin Panel always loses GET parameters
	* Fixed bug #2994: Calling PHP5-only iconv functions in PHP4
	* Language related changes:
		* Fixed TYPO3/ISO mappings: kr=>ko, gl=>kl, removed old mapping he=>iw (ISO code has changed a long time ago), added ba=>bs.
		* Updated and fixed locale/script-family mapping (for detection of the locale charset).
		* Updated info for adding a language in config_default.php
		* Changed variable names to reflect true meaning, so somebody else may understand what's going on.
		* Corrected language drop down in BE.
	* Fixed restriction to languages in Frontend editing

2006-04-04  Karsten Dambekalns  <karsten@typo3.org>

	* Fixed bug #3097: EM leaves mirror* files on failure

2006-04-04  Dmitry Dulepov  <typo3@accio.lv>

	* Fix to workspace forms

2006-04-04  Kasper Skaarhoj  <kasperYYYY@typo3.com>

	* New function t3lib_div::array2xml_cs() that respects character sets
	* Change default value of $TYPO3_CONF_VARS[FE][pageCacheToExternalFiles] to false (feature was enabled by default, which was a mistake of course)

2006-03-29  Franz Holzinger  <kontakt@fholzinger.com>

	* Fixed bug #2722 and #2837: table wizard has wrong array elements

2006-03-28  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug #3027: Wrong value for "Marked-deleted pages" in Records Statistics
	* Fixed bug #3022: "c" prefixed to local #anchors causes trouble
	* Fixed bug in t3lib_tstemplate: File references to media/ are now automatically prefixed with "typo3/sysext/cms/tslib/".

2006-03-28  Christian Jul Jensen  <christian@jul.net>

	* Fixed bug #999: Encoding mail headers in taskcenter
	* Fixed bug #3001: Support for multiple tables with columnsonly in alt_doc.php

2006-03-26  Michael Stucki  <michael@typo3.org>

	* Release of TYPO3 4.0rc2
	* Various indexed_search fixes, see local ChangeLog for details
	* Small fix to typo3/stylesheet.css (admin menu)

2006-03-26  Karsten Dambekalns  <karsten@typo3.org>

	* sysext/setup/mod/index.php: Fixed detection of unavailable language packs.
	* EM: Fixed bug #2974, a rare bug when unzipping language packs, a bug with installing dependencies that needed a db update, avoid unnecessary fetching of extensions.xml.gz,
	* Fixed bug #359: EM ignores PEAR compatible classes (committed by Stucki)
	* Fixed bug #2380: t3lib_sqlparser doesn't handle LEFT OUTER JOIN (committed by Stucki)

2006-03-26  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug #2777: "NOT NULL" removed from SQL gives error with MySQL 3.23.52

2006-03-25  Michael Stucki  <michael@typo3.org>

	* Fixed bug #1390: Ereg error in class.t3lib_tsstyleconfig.php
	* Fixed bug #2415: Navigation "Icons in top frame" were rendered wrong
	* Fixed bug #388: No subtitle field in some page types
	* Fixed bug in Install Tool: Hide warning if GraphicsMagick is used
	* Fixed some more problems with the BE stylesheet
	* Various indexed_search fixes, see local ChangeLog for details

2006-03-25  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Made "version" a required extension (necessary for workspaces)
	* Fix FE-editing bug: new-record icon appears for languages without edit rights (admin panel)
	* Fix FE-editing bug: edit panel and edit icons were shown for languages without edit rights

2006-03-25  Karsten Dambekalns  <karsten@typo3.org>

	* ADOdb sysext: Update to version 4.80, added a fix for MSSQL bogus errors.
	* EM: Added new way of handling translations.
	* DBAL sysext: Added enhancements for UNIQUE KEY handling, MSSQL compatibility, code cleanup, bugfixes

2006-03-24  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fix to htmlArea RTE extension (see details in local ChangeLog)

2006-03-24  Kasper Skaarhoj  <kasperYYYY@typo3.com>

	* Integration between Import/export and Extension Manager (extension dependencies)

2006-03-22  Kasper Skaarhoj  <kasperYYYY@typo3.com>

	* Fixed a bug in t3lib_refindex which prevented correct indexing from live workspace of records in draft workspaces with references inside flexforms
	* Fixed bug in T3D export where an array key prevented references in flexform fields to be correctly remapped. My mistake from cleaning up t3lib_flexformtools.

2006-03-23  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fix bugtracker issue 2958: t3lib_htmlmail::getMimeType isn't working with name based virtual hosts

2006-03-22  Kasper Skaarhoj  <kasperYYYY@typo3.com>

	* Fixed that the tcemain copy command works properly under workspaces: Remapping of references is correct now. This also affects TemplaVoila which can now copy a FCE container with sub elements properly.
	* Also added check for extension dependencies in Import/Export: It is not possible to import a T3D file unless extension dependencies are OK. This still needs more work and connection to EM.

2006-03-22  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed label of 'author_email' ('pages_language_overlay')
	* Fix bug #2918: TCEFORM.tt_content.CType.removeItems not applied to db_new_content_el.php (thanks to Oliver Hader)
	* Tools>User Admin didn't check if language icon was set for 'Limit to languages'
	* Fix FE-editing bug: new records were always created in the default language (admin panel)

2006-03-22  Bernhard Kraft  <kraftb@kraftb.at>

	* Fixed bug #2692: GIFBUILDER inverts transparency

2006-03-22  Michael Stucki  <michael@typo3.org>

	* Changed Install Tool so it accepts newlines in values (needed for recently introduced textarea fields)
	* Changed style of admin-menu title in alt_menu.php so it looks equally to the headers above
	* Fixed bug #1932: Can't limit content columns for Page>QuickEdit
	* Fixed bug #2596: "=undefined" when transferring TSconfig code from TSconfig wizard to textarea
	* Changed RFC: "flagBitMask" default value in indexed_search (seems like this was a typo) / The change has no effect but is more logical for understanding the concept.

2006-03-22  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Corrections/adjustments to the htmlArea RTE extension (see details in local ChangeLog)

2006-03-22  Kasper Skaarhoj  <kasperYYYY@typo3.com>

	* Updated almost all Function indexes in the core plus fixed javaDoc documentation for the functions and classes I could manage to do. The rest of you; Please make sure to document the functions and classes you have added during development of 4.0! Search for "[type]" or "[Describe" to find places to add documentation.

2006-03-20  Kasper Skaarhoj  <kasperYYYY@typo3.com>

	* Added function to indexed search so index_fulldata is filled with less content (configurable)
	* Added function so that the HTML data of the cache_pages table can be stored in the file system (see TYPO3_CONF_VARS[FE][pageCacheToExternalFiles]
	* Both changes are new features excused by optimization of TYPO3.org.

2006-03-21  Karsten Dambekalns  <karsten@typo3.org>

	* EM: Moved some code around and added a method for installing an extension with one method call (for use in impexp).
	* class.em_index.php: Fixed bug #2809 (trivial).

2006-03-20  Kasper Skaarhoj  <kasperYYYY@typo3.com>

	* Fixed more workspace issues:
	* Added info about workspaces to Tools > User Admin (sorry, considered important)
	* Frontend editing: Fixed that it works with localizations. Disabled many of the features in draft workspaces (since we have no time for an implementation)

2006-03-19  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fix a few language/locale codes in t3lib_cs.php

2006-03-20  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* htmlArea RTE: remove alternate skins from core CVS.

2006-03-20  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* Reverted the patch "Double-checking of match-conditions" because it caused trouble
	* Fixed bug #2767: wrong wraps for sitemap/menu elements in accessibility mode
	* New Feature #2341: add headers for table CE (accessibility)

2006-03-20  Wolfgang Klinger  <wk@plan2.net>

	* Fixed bug #608: Typolink for mounted pages from another domain

2006-03-19  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Corrections/adjustments to the htmlArea RTE extension (see details in local ChangeLog)

2006-03-19  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Created exclusiveKeys for the TCA field configuration of type "select"
	* Configured fields fe_groups of "pages" and "tt_content" to use exclusiveKeys for "Hide at login" and "Show at any login"

2006-03-18  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Added constant TYPO3_copyright_year for login page and about module

2006-03-17  Bernhard Kraft  <kraftb@kraftb.at>

	* Added .us and .at flags to typo3/gfx/flags/

2006-03-17  Kasper Skaarhoj  <kasperYYYY@typo3.com>

	* Fixed workspace related issues. More will follow Monday.

2006-03-16  Karsten Dambekalns  <karsten@typo3.org>

	* EM: Fixed bugs #2787, #2785, #1807
	* EM: Extension list is now fetched automatically if it isn't available at all.
	* ADOdb extension: a fix regarding the MS SQL driver, fixed bug #2810, cleaned up ext_emconf.php

2006-03-16  Rene Fritz  <r.fritz@colorcube.de>

	* Fixed bug #2840: Related to: Enhanced MM handling in TCE for usage from foreign tables.

2006-03-15  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fix bugtracker issue 2860 in t3lib_sqlparser.

2006-03-15  Kasper Skaarhoj  <kasperYYYY@typo3.com>

	* !!! Implemented complete "flavouring" of FlexForm XML; Basically it doesn't affect anyone using xml2array() to extract FlexForm data but everyone who uses own XML parsers will have to modify them (after converting all XML). Basically the flavouring means that a tag like "<lDEF>, <lDA>" is rather represented with "<language index="lDEF">, <language index="lDA">".
	* !!! Cleaned up t3lib_flexformtools::traverseFlexFormXMLData() and related functions, generally I did many changes to this class. However I think no one is using it yet except me. Anyway, the changes were necessary since it was simply never cleaned up as it should have been, including the new cleanFlexFormXML() function.
	* Bigfix: Modified sys_refindex so it does not register references for content in flexforms outside what the data structure describes. Update your reference table again!
	* Added configuration option TYPO3_CONF_VARS[BE][niceFlexFormXMLtags] which allows people who depends on the old FlexForm tags to maintain that compliancy. See my changelog from 2006-01-27 (sorry for this semi-feature).

2006-03-13  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixes and cleanup in htmlArea RTE extension (see details in local ChangeLog)
	* htmlArea RTE: Fix bugtracker issue 2820.

2006-03-11  Michael Stucki  <michael@typo3.org>

	* More CSS fixes in typo3/stylesheet.css: Changed the height of dyntab-menues & various fixes to login screen

2006-03-10  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* Logo change to make it look better on any bright background

2006-03-08  Michael Stucki  <michael@typo3.org>

	* Release of TYPO3 4.0rc1
	* === Development feature freeze ===
	* Small usability improvement for dyntab-menus in typo3/stylesheet.css (plus cleanup of that file)
	* More changes required because of the logo update

2006-03-08  Wolfgang Klinger  <wk@plan2.net>

	* Fixed bug #2743: Speed up substituteConstants with preg_replace_callback

2006-03-08  Michael Stucki  <michael@typo3.org>

	* Changed the globalString condition to allow PCRE regular expressions only if wrapped in dashes "/"
	* Fixed bug #331: Support IPv6 addresses (many thanks to Sven Wilhelm)
	* Fixed a big problem with temporary content stored to cache_pages
	* !!! Changed $TYPO3_CONF_VARS['SYS']['setDBinit'] from array to a string (separated by newline)
	* Minor changes to config_default.php (comments were not displayed)
	* Some post-cleanup in CSS Styled Context: Removed recently added "captionStdWrap" property (replaced by existing "caption" property) & changed compatVersion dependency

2006-03-08  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* Updated logos in the backend to reflect the new CI

2006-03-08  Karsten Dambekalns  <karsten@typo3.org>

	* EM: Fixed three small issues, mostly cosmetic.
	* Install Tool: Using new logo now, uuuuhhh! Changes to CSS so links are colored again.

2006-03-08  Dmitry Dulepov  <typo3@accio.lv>

	* Added <onChange> tag to flexforms to enable automatic form reloading when tagged field changes. Useful for creating dynamic flexforms.

2006-03-08  Ingmar Schlecht  <ingmar@typo3.org>

	* Set the default value of config.inlineStyle2TempFile to 1 and config.removeDefaultJS to 'external' if compatversion is set to > 4.0.0. This means default styles of extensions and default JS functions are now automatically put to files like typo3temp/stylesheet_ec23910b0b.css by default.
	* Fixed bug #2794: Misplaced " quote in typo3/class.browse_links.php

2006-03-08  Bernhard Kraft  <kraftb@kraftb.at>

	* Implemented featured #2695: Tables can not get hidden in Web>List. Now this can get accomplished via Page/User/Group TS-Config

2006-03-08  Rene Fritz  <r.fritz@colorcube.de>

	* Enhanced MM handling in TCE for usage from foreign tables. Means MM relations can be edited in TCEForms from both ends of the relation.

2006-03-07  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* Fixed skin issue #2766: class.t3lib_tceforms.php / type="checkbox" / bugs
	* Fixed skin issue #2317: The background-color on highlighted items in alt_db_navframe.php
	* Fixed skin issue #2453: alternating colors and rollover in list module have not enough contrast

2006-03-07  Michael Stucki  <michael@typo3.org>

	* Reverting a change in t3lib_div as discussed with Sebastian (reason was that this could lead to some trouble if foreach is used instead of while over a recursively called array)

2006-03-07  Wolfgang Klinger  <wolfgang@stufenlos.net>

	* Feature #2675: Cropscale for imgResources (thanks to Stefan Geith)
	* Fixed bug #2753: Page type 'Spacer' is accessible via FE

2006-03-07  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Renamed TS := function addString to appendString and added prependString

2006-03-06  Michael Stucki  <michael@typo3.org>

	* Changed file icons for recently added advanced-BE-search feature
	* Changes to indexed search, see local ChangeLog for details

2006-03-06  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* Fixed some broken media relations
	* Fixed bug #2713: change hardcoded "typo3/" to TYPO3_mainDir in sysext/cms/tslib/index_ts.php
	* Fixed bug #1635: Add page TSconfig via user TSconfig

2006-03-06  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* !!! Remove from core some remaining elements used only by Direct Mail extension and already moved to Direct Mail 2.0:
		- remove file t3lib/gfx/i/dmail_list.gif
		- remove file t3lib/gfx/i/modules_dmail.gif
		- remove file t3lib/gfx/i/modules_dmail__h.gif
		- remove file t3lib/class.t3lib_dmailer.php
		- remove methods find_MIDfromReturnPath and find_XTypo3MID from t3lib/class.t3lib_readmail.php
		- remove columns 'module_sys_dmail_html' (fe_users) and 'module_sys_dmail_category' (fe_users and tt_content) from typo3/sysext/cms/ext_tables.sql
		- remove item 'dmail' on column 'module' of table 'pages' in typo3/sysext/cms/ext_tables.php

2006-03-05  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Replace isset with strlen in fix of bugtracker issue 1736.
	* htmlArea RTE: Add $RTEWrapStyle variable to frontend plugin class.tx_rtehtmlarea_pi2.php (bugtracker issue 2760).
	* Use new ts parsing := in cumulative sets of configuration defaults.

2006-03-04  Michael Stucki  <michael@typo3.org>

	* Fixed bug #1475: Added stdWrap properties for RECORDS cObject

2006-03-04  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Changed $TYPO3_CONF_VARS['SYS']['domainCookie'] to take a regular expressions allowing for multiple domains with sub-domains.

2006-03-03  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Update to htmlArea RTE manual.
	* Fix bugtracker issue 1736: Make TS_CASE object and ts_parser support key value 0.

2006-03-03  Michael Stucki  <michael@typo3.org>

	* Added new feature: Merged Advanced BE Search form extension (Tools -> DB check). Written by Joey Hasenau - great work!
	* Added support to modify TypoScript values inside the TS parser using "lib.myVar := function(value)" - see "doc_core_ts" for more information.
	* Fixed bug #1364: t3lib_div::getURL() uses CURL only for HTTP protocol
	* Fixed bug #1153: tslib_cObj::imageLinkWrap() not passing information if image.imageLinkWrap.JSwindow.altUrl is set. Thanks to Peter Russ.
	* Fixed bug #2347: Wrong labels displayed
	* Fixed bug #1391: TYPO3 can't display a single "0" in a table cell

2006-03-03  Rene Fritz  <r.fritz@colorcube.de>

	* t3lib_stdGraphic: Check if a font exists and when not the text rendering will not be done and a debug() message will be shown.
	* alt_doc.php: Added a selector box for localization to the record editing form.
	* t3lib_tceforms: Added a new option "l10n_display" to have configuration options for form rendering and display of language overlay data.

2006-03-02  Bernhard Kraft  <kraftb@kraftb.at>

	* Fixed bug #2716: Negative age wasn't generated correctly in FE

2006-03-01  Wolfgang Klinger  <wk@plan2.net>

	* Feature #1520: Allow to exclude the current page in HMENU / excludeUidList

2006-03-01  Ingmar Schlecht  <ingmar@typo3.org>

	* Made the update wizard of the install tool work with buttons instead of checkboxes

2006-02-28  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Enhance typolink.addQueryString and add addQueyString to HMENU with special=language (fix bug #2280)

2006-02-28  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* Fixed bug: admin panel doesn't stay on page (introduced by "Change admin panel to use get instead of post"
	* Made static templates work again by adjusting	ext_tables_static+adt.sql (the paths to the media directory needed to be adjusted)

2006-02-28  Kasper Skaarhoj  <kasperYYYY@typo3.com>

	* Added new feature to indexed search allowing the "crawler" extension to be used for indexing of media found on a page. This is a solution to the problem of for example many heavy pdf files on a page being indexed along with the page content; now such files can be added to the "crawler"'s queue and indexed via a cron-script.
	* debug flag added to lang-class so labels in backend can be identified by translators (debug feature).

2006-02-28  Michael Stucki  <michael@typo3.org>

	* !!! Removed showpic.php from TYPO3 root. Future applications will just use index.php instead.

2006-02-27  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* !!! Avoiding double checking of match-conditions now.

2006-02-27  Rene Fritz  <r.fritz@colorcube.de>

	* Added possiblity to create dimmed icons by adding _i to the filename with t3lib_iconworks::skinImg().
	* Added $GLOBALS['TYPO3_CONF_VARS']['SYS']['maxFileNameLength'] for use in t3lib_basicfilefunc
	* Added hook that allow to implement the rendering of the standard types with extensions.

2006-02-27  Wolfgang Klinger  <wk@plan2.net>

	* Fixed bug #549: No information about deleted records in the backend log
	* Fixed bug #1796: HMENU with includeNotInMenu does not work with the nav_hide page property

2006-02-26  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed bug #1614: page type "external URL" has no https option (thanks to Marc Bastian Heinrichs)
	* Enchanced config.xmlprologue (takes new keywords and arbitrary string as arguments)
	* Fixed issues with config.xhtmlDoctype

2006-02-26  Karsten Dambekalns  <karsten@typo3.org>

	* Extension Manager: Fixed bug #2630 (thanks Peter Niederlag), #2610, #2607, #1904 (partly), #2579
	* Extension Manager: Fixed checking of review states (thanks Rupert Germann)
	* Extension Manager: Now the EM shows update icons again
	* Extension Manager: Dependency handling has been reworked, now it is much more comfortable, fixes #1607 (partly), #2584
	* class.t3lib_befunc.php: Fixed bug #2528
	* class.tslib_content.php: Fixed bug #2676

2006-02-26  Wolfgang Klinger  <wk@plan2.net>

	* Fixed bug #1060: Sitemap with SectionIndex does not display content header when page has a navigation title assigned
	* Fixed bug #284: substUrlsInPlainText does not allow other characters than space and () to terminate URLs in the text.
	* Fixed bug #2543: tslib_div uses deprecated function call_user_method
	* Fixed bug #1827: Empty page tree after deleting the current temporary page mount.

2006-02-25  Ingmar Schlecht  <ingmar@typo3.org>

	* Added an "upload" and "new" button to the filelist module (Gremlin #1599, thanks to Stefano Cecere for the patch)

2006-02-23  Ingmar Schlecht  <ingmar@typo3.org>

	* Changed formURL in fe_adminLib.inc to always contain a question mark "?" because in the templates the formurl marker is used like ###FORM_URL###&cmd=edit which didn't work if the URL didn't contain a question mark like in simulStatic- or RealURLs. This fixes typo3.org bug #2563.

2006-02-23  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Remove RTE-enabling defaultExtras off tt_content bodytext (related to bug #2023).
	* Fix bugtracker issue 2656 in htmlArea RTE.

2006-02-23  Rene Fritz  <r.fritz@colorcube.de>

	* Fixed bug #2662: added check against "Limit to languages"

2006-02-23  Kasper Skaarhoj  <kasperYYYY@typo3.com>

	* Changed things related to locallang-XML handling. Most significantly is it that translations are looked for in the new language pack directories typo3conf/l10n/[langyage key]/.
	* All locallang-XML files are updated to have ONLY the default labels in them and no specific references to external files; means translations will work only with language packs installed in typo3conf/l10n/. Such language packs will be distributed as zip-files around the release.
	* csh_* extensions (language pack extensions) are now obsolete.

2006-02-22  Dmitry Dulepov  <typo3@accio.lv>

	* t3libBEfunc::thumbCode() did not make proper image path under certain conditions
	* Fixed bug #2654: Incorrect conversion of non-ascii (Latvian) characters in URL

2006-02-22  Wolfgang Klinger  <wk@plan2.net>

	* Fixed bug #1596: checkIncludeLines uses preg_match now and checks for all whitespace before and after <INCLUDE_TYPOSCRIPT>
	* Fixed bug #2592: Page type "External URL" and "Shortcut" causes an error (jumpUrlX methods)

2006-02-22  Kasper Skaarhoj  <kasperYYYY@typo3.com>

	* Added 3 languages: Faroe, Serbian, Farsi
	* Fixed bug in t3lib_div::cHashParams()
	* Brought back support in EM's index.php::importExtFromRep() function for direct injection of an array with extension files (needed for support for kickstarter, but new function parameters are kept)
	* Added new Indexing Configuration for indexed search: Traversal of page tree. Means that now the page tree can be indexed by the "crawler" extension (cronscript)
	* Added meta indexing configuration type (useful for group-categorizing of search results)
	* Added a condition to indexing of pages; that sys_language_uid and sys_language_content must be similar; it is assumed that for pages with fallback to default content no indexing is wanted.
	* Added "Spotlight" categorizing feature to search results. The categories are defined as indexing configurations + natural categories like pages in the page tree. TypoScript configuration applies.

2006-02-21  Karsten Dambekalns  <karsten@typo3.org>

	* typo3/stylesheet.css: Fix for trivial bug #2644, added sans-serif as fallback font-family.

2006-02-21  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Path setting correction in htmlArea RTE SpellChecker plugin.

2006-02-20  Christian Jul Jensen  <christian@jul.net>

	* Fixed bug #2628

2006-02-20  Wolfgang Klinger  <wolfgang@stufenlos.net>

	* Feature request #568: AND (&&) and OR (||) combination of TypoScript conditions

2006-02-18  Robert Lemke  <robert@typo3.org>

	* Changed flexform tag names in t3lib_flexformtools->flex2ArrayXml()

2006-02-17  Karsten Dambekalns  <karsten@typo3.org>

	* Fixed bugs #2368, #2521, #2385, #2186 related to DBAL

2006-02-17  Michael Stucki  <michael@typo3.org>

	* Fixed bug #2597: GDlib TrueType tests fail because of wrong fontFile-path (caused by the symlinks change)
	* Fixed bug #2594: Install Tool says "No gfx/typo3logo.gif file!" (caused by the symlinks change)

2006-02-17  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed obvious bug #2588 in right-click context menu of filelist navframe

2006-02-17  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Correction to the htmlArea RTE extension (see details in local ChangeLog) (bis)

2006-02-16  Michael Scharkow  <michael@underused.org>

	* Fixed bug #2457: image border settings are respected in GMENUs
	* Updated the copyright notices to 2006 and set version back to 4.0-CVS

2006-02-16  Kasper Skaarhoj  <kasperYYYY@typo3.com>

	* Added new script (tslib/class.tslib_eidtools.php) with tools for "eID scripts". See extension "whiteboard" for an example!

2006-02-15  Michael Stucki  <michael@typo3.org>

	* Release of TYPO3 4.0beta3
	* Various changes to indexed_search, see local ChangeLog for details
	* Install Tool: Added "cache_imagesizes" to list of tables that can be cleared
	* !!! Indexed Search: Removed all options for indexing OpenOffice.org/OpenDocument files and replaced them with the above "unzip" option. Affected options are: nativeOOMethod, OOoExtract, ruby
	* !!! Indexed Search: Changed all default paths from /usr/local/bin/ to /usr/bin/
	* Removed create_symlink.sh and remove_symlink.sh from CVS because they are not needed anymore. If you still want to use symbolic links for some reason, you can find some good information in the "TYPO3 Installation & Upgrade" manual.

2006-02-15  Karsten Dambekalns  <karsten@typo3.org>

	* typo3/mod/tools/em: More fixes and better error checking.
	* typo3/sysext/adodb: Update to upstream version 4.71.
	* t3lib/class.t3lib_tsfebeuserauth: The admin panel uses GET instead of POST now.

2006-02-15  Bernhard Kraft  <kraftb@kraftb.at>

	* Fixed an issue with the new GIFBUILDER code and transparentColor TS option. Also fixed some minor bugs with not unlinked temp files.

2006-02-15  Kasper Skaarhoj  <kasperYYYY@typo3.com>

	* Changed usage of showpic.php: Now, the reference to showpic.php from inside tslib_content is done using "index.php?eID=tx_cms_showpic&..."+usual parameters. This is the future supported way of accessing the services of showpic! It also means that other scripts offering FE services bypassing tslib_fe can use same methodology! Applications I can think of: AJAX data, streams (like secure download scripts passing binary data through). This change means that "showpic.php" is not needed as a symlink anymore, neither as a script in the core root!

2006-02-15  Rene Fritz  <r.fritz@colorcube.de>

	* Added hook to element browser to make it possible to render own EB's. All EB classes are moved into an own file.
	* Added the possiblity to set TCEForm items to read-only.

2006-02-14  Karsten Dambekalns  <karsten@typo3.org>

	* typo3/mod/tools/em: Fixed/enhanced dependency checking in the new EM.

2006-02-14  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Changes to the htmlArea RTE extension (see details in local ChangeLog)

2006-02-14  Rene Fritz  <r.fritz@colorcube.de>

	* Moved t3lib/gfx/ to typo3/gfx/
	* Changed all references of t3lib/gfx/ to gfx/ or typo3/gfx/
	* Made some FE references to media/...
	* Added index.php, showpic.php and thumbs.php scripts
	* All thoese changes were made to make it possible to use the TYPO3 source without symlinks
	* !!! As a consequence of this, the symlinks "arial.ttf" and "verdana.ttf" in t3lib/fonts/ have been removed completely. Please make sure that you have updated your TypoScript template accordingly. You can either upload the original fonts to the server or use a similar looking font instead (nimbus.ttf instead of arial.ttf, vera.ttf instead of verdana.ttf - both are located in t3lib/fonts/).

2006-02-14  Kasper Skaarhoj  <kasperYYYY@typo3.com>

	* Fixed part II of the versioning swapping change: Now versioning is completely independent of MySQL versions and it is fully DBAL compliant: Records are swapping content rather than ids (locking file support integrated which stores swapped records in case something goes wrong - however, no tool for reverting using this lock file...)
	* Finished version 1.0 of the ADMCMD_prev feature which allows a keyword (md5 hash) to preview pages which otherwise would require a backend login (like workspace preview). In Web>Versioning you will find an implementation of this feature which will generate links you can sent to people for previewing workspace content. The concept could be extended to set other preview flags like hidden/starttime/endtime/fe_groups etc. But this is just a simple implementation for workspaces.

2006-02-14  Wolfgang Klinger  <wk@plan2.net>

	* Fixed bug #2507: Wrong where clause ('1' instead of '1=1')
	* Fixed bug #2508: t3lib/class.t3lib_tcemain.php uses hardcoded quotes

2006-02-13  Rene Fritz  <r.fritz@colorcube.de>

	* Install tool PHP and HTML code cleanup towards xhtml

2006-02-13  Karsten Dambekalns  <karsten@typo3.org>

	* class.tx_install.php: Changed the way documentation is extracted from comments in config_default.php.
	* t3lib/config_default.php, typo3/stylesheet.css, typo3/mod/tools/em/: First CVS release of new Extension Manager codebase.

2006-02-11  Bernhard Kraft  <kraftb@kraftb.at>

	* Fixed bug #1270: Garbled characters in cshItems when forceCharset is set to utf-8

2006-02-11  Kasper Skaarhoj  <kasperYYYY@typo3.com>

	* Changed swapping mechanism for versioning. Still need to fix locking file integration.

2006-02-10  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Remove Direct Mail code from tslib_fe and add	checkDataSubmission hook

2006-02-10  Christian Jul Jensen  <christian@jul.net>

	* Added TCAselectItem to stdWrap, see TSref

2006-02-09  Rene Fritz  <r.fritz@colorcube.de>

	* Added $TYPO3_CONF_VARS['SYS']['binSetup'] and made t3lib_exec use of it.
	* Added TSconfig option options.hideRecords.[table]. Used in pagetree nav frame, web>list module, new record wizard

2006-02-09  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* Fixed bug #2105: The width of tt_content is too large (due to access options)

2006-02-08  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed bug #2365: Replace true linebreaks with space inside block tags and after hr tags in t3lib_parsehtml_proc.
	* Changes to the htmlArea RTE extension (see details in local ChangeLog)
	* Fixed bug #1496: Enable Direct Mail to fetch a server listening to a port other than 80 (t3lib_htmlmail)
	* Fix stdAuthCode in t3lib_div

2006-02-08  Michael Stucki  <michael@typo3.org>

	* Various changes to indexed_search, see local ChangeLog for details
	* !!! Changed default value of TYPO3_CONF_VARS[BE][fileCreateMask/folderCreateMask]. By default, those files are no longer writable for the group.
	* Fixed bug #2272: Added [PAGE].includeJS plus possibility to attach .js files to template resources (thanks to Johannes Vockeroth)
	* Fixed bug #75: t3lib_extfilefunc::func_copy() does not set file permissions properly
	* Encode whitespaces in t3lib_div::encodeHeader() as required by RFC 2047 (thanks to Stanislas)
	* Added crdate and tstamp fields to be selected by users in the Web->List view
	* Fixed bug #2200: In FEediting the creation of new records in other pages than the current should be possible

2006-02-07  Ingmar Schlecht  <ingmar@typo3.org>

	* Fix "&amp;" problem in DMail jumpURLs

2006-02-06  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fix bugtracker issue #408: enable direct mail to fetch https pages with user authentification

2006-02-06  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* New feature: Integrated ss_dragdrop extension into the core (page and folder drag and drop). Thanks to Stephane Schitter for his work on this.

2006-02-05  Dmitry Dulepov  <typo3@accio.lv>

	* Fix: (Versioning sysext) Two cells in table had hard-coded bgcolor attribute (were not skinnable)

2006-02-04  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* Fixed a minor logical bug in undo/history
	* Made SU-mode work again (was affected by hook name change)

2006-02-02  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Adjustments to the htmlArea RTE extension (see details in local ChangeLog)

2006-02-01  Dmitry Dulepov  <typo3@accio.lv>

	* Fix: renaming of localconf.php.TMP.php to localconf.php did not work on Windows platform

2006-02-01  Bernhard Kraft  <kraftb@kraftb.at>

	* Fixed an issue with non working links in JSMENUs

2006-02-01  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* t3lib_htmlmail email message-id: global declaration was missing.

2006-01-31  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* tslib_content: remove unused hooks originally intended for use by Direct Mail

2006-01-31  Bernhard Kraft  <kraftb@kraftb.at>

	* Fixed bug #2396: Select-box items where displayed with garbled characters when forceCharset was set to utf-8

2006-01-31  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* t3lib_htmlmail: make email message-id compliant with RFC 2822.

2006-01-27  Bernhard Kraft  <kraftb@kraftb.at>

	* Fixed bug #760: "gifbuilder jpgs are 256 colors" for enabling truecolor pngs set [GFX][png_truecolor] variable (reduceColors still gets respected)

2006-01-30  Michael Stucki  <michael@typo3.org>

	* Added two hooks to class.t3lib_tceforms.php, getMainFieldsClass: getMainFields_preProcess and getMainFields_postProcess (requested by Thomas Hempel for use with the "dynaflex" extension.
	* Fixed gremlin #1628: Removed "Text with image below" from the content wizard
	* Removed hardcoded maximum size of popup images

2006-01-29  Michael Stucki  <michael@typo3.org>

	* Added UTF8-support for emails. Thanks to Bernhard Kraft, Stanislas Rolland and Martin Kutschker for their feedback.
	* Changes in t3lib_div::plainMailEncoded(): By default, emails will be encoded to quoted-printable.
	* Email linebreaks are now "\n" except on Windows, where they are "\r\n". Thanks to Stanislas and Martin for their feedback.
	* t3lib_formmail now encodes emails as quoted-printable. base64 needs to be enabled explicitely.
	* Install Tool now uses t3lib_div::plainMailEncoded() instead of mail() to send plain text mails.
	* Install Tool now displays warning messages using t3lib_div::debug() instead of debug() which does not work in all cases.
	* Marked t3lib_htmlmail->convertName() as deprecated because header lines are now encoded automatically.

2006-01-28  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed bug #2382: error when creating a new (and empty) file in BE
	* Fixed bug #1878: protect localconf.php from being lost on write error
	* Enhanced TCE type "none" with many rendering options

2006-01-27  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* Fixed bug #2337: remove 30KB editing limit in Template Editor
	* Fixed bug #2405: CSC - allow styles and additional table class
	* Fixed little removed reference operator in class.t3lib_tcemain.php line 1817 (triggers a call-time pass-by-reference warning) - eval API code

2006-01-27  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* added error logging to DB initialization code
	* improved FQDN detection and fixed empty syslog ident in t3lib_div::initSysLog()
	* Fix problem with non-associative arrays in t3lib_db->fullQuoteArray()

2006-01-27  Peter Niederlag  <peter@niederlag.de>

	* Fixed bug #2023, removed most of RTE-Config from sysEXT:cms and sysExt:css-styled_content

2006-01-27  Ingmar Schlecht  <ingmar@typo3.org>

	* Added <label> tags around "Expand all" in class.alt_menu_functions.inc

2006-01-27  Kasper Skaarhoj  <kasperYYYY@typo3.com>

	* Improved output of FlexForm contents inside of eg. Web>List module (stripping tags that is :-)
	* Added function for counting references to records (in t3lib_BEfunc)
	* Added warning to About Modules if the reference index is empty (which it will be for all updates to 4.0)
	* Added connectDB function in t3lib_db (used by clients of new feature in index_ts.php, see later.)
	* Fixed bug in t3lib_install which resulted in no recognition of the install tool token in localconf.php files: Essentially this has lead to bloated localconf.php files on windows machines if they were edited manually with chr(13).chr(10) line endings.
	* Added "deleted" column to reference index.
	* Working on cli-script for updating reference index from command line (necessary for large databases!!)
	* Added new class, t3lib_flexformtools, providing framework for manipulation of flexform data. (specifically it can be used for traversal of flexform data).
	* Fixed a bug related to language-limiting: Now, a backend user limited to a certain language cannot create records in default or other languages anymore.
	* Fixed bug in t3lib_tcemain where files uploaded to a record in case of auto-versioning did not work
	* Fixed very tricky problem that an auto-versioned record with files attached would create double-references! Uh.... Look for ->autoVersioningUpdate in tcemain and there is a fine explanation of a scenario and how I worked around it.
	* !!! Changed the XML markup for flexform output. Now some more reasonable tags are used. If t3lib_div xml2array + array2xml functions are used, fully backwards compatible. Extensions which depend on the old tag names will break. Use t3lib_flexformtools for writing XML output for flexforms in the future!
	* Improved length of sys_refindex.ref_string from 40 to 200 chars.
	* Added information about number of references pointing to record or file before its deleted (didn't localize the message though)
	* Added reference count column to Web>List and File>Filelist modules plus overview table in the Info display for files and records (ah, finally there is a reason for that fine info-screen...)
	* Set a security precaution in ws/workspaceforms.php (Dmitry should take a look and learn :-)
	* Added feature in index_ts.php allowing faster dynamic websites and AJAX implementations in particular. The idea is that extensions can register a keyword which triggers inclusion of another PHP file quite early in index_ts.php. Only basic libraries and configuration is included, then branched of. From that point its up to the third-party script whether it should connect to database, initialize FE users etc, all depending on their need and allowed overhead. The keyword is registered in $TYPO3_CONF_VARS['FE']['eID_include'][_keyword_] and calling index.php?eID=_keyword_ will trigger the inclusion. I will publish a new extension, "whiteboard", demonstrating a sample implementation using simple AJAX stuff.
	* Began working on a preview-facility which will allow for preview of eg. a workspace page without a backend login.
	* Started a cleaner-module in Web>Function (coming from the "lowlevel" system extension). The cleaner consists of analysis tools and clean-up tools (based on the analysis), all working with the sys_refindex table as well. Eventually it will allow for nightly, cron-job based checks of the system including a report email to administrator. This way, data and link integrity and log reports can be reviewed each day.

2006-01-27  Christian Jul Jensen  <christian@jul.net>

	* Minor bugfix in sys_actions related to the taskcenter changes in 3.8
	* Added manual sorting of sys_actions records
	* Fixed bug #2245.

2006-01-27  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Adjustments to the htmlArea RTE extension (see details in local ChangeLog)

2006-01-26  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Corrections to the htmlArea RTE extension (see details in local ChangeLog)
	* Fix issue #2358.

2006-01-26  Michael Stucki  <michael@typo3.org>

	* Fixed bug #1625: Pages with "hide in menu" flag have got the same pagetree icon like not-in-menu pages.
	* Changed $TYPO3_CONF_VARS[GFX][im_version_5] into a string. Possible values are "im4", "im5", "im6" or "gm". Boolean values will still work where "0" means "im4" and "1" means "im5".
	* !!! Renamed the hooks $TYPO3_CONF_VARS[SC_OPTIONS][tslib/class.tslib_feuserauth.php][logoff_pre_processing] + $TYPO3_CONF_VARS[SC_OPTIONS][tslib/class.tslib_feuserauth.php][logoff_post_processing] and replaced "tslib/class.tslib_feuserauth.php" with "t3lib/class.t3lib_userauth.php" (which is the correct place for this hook).

2006-01-26  Dmitry Dulepov  <typo3@accio.lv>

	* Fixed bug #1947: "Page is being generated" is bad for search engines

2006-01-24  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fix issues #282 and 1421
	* t3lib_htmlmail: Enable use of CURL library functions when $TYPO3_CONF_VARS["SYS"]["curlUse"] = '1'
	* t3lib_htmlmail: Correct encoding of jumper url
	* t3lib_htmlmail: Avoid applying illegal encoding domain to multipart headers (when html has media)

2006-01-22  Ingmar Schlecht  <ingmar@typo3.org>

	* New feature #1639: Implemented form eval API so it's possible to add custom JS and PHP form evaluation functions to input fields in TCEForms (thanks to Thomas Hempel!)

2006-01-22  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* Fixed issues #2333 and #2255, needed for the upcoming skin

2006-01-20  Dmitry Dulepov  <typo3@accio.lv>

	* Fixed bug #2232: Creation of new workspace fails

2006-01-20  Karsten Dambekalns  <karsten@typo3.org>

	* Fixed bugs 1907, 1581, 17, 2054, 35, 365 in EM.
	* FIxed bug #1182

2006-01-20  Michael Stucki  <michael@typo3.org>

	* Release of TYPO3 4.0beta2
	* New feature: Merged cron_cssstyledimgtext into CSS Styled Content. Kudos to Ernesto Baschny who did most of the work. Many thanks to Sebastian Kurfuerst for his great support. Great work boys!
	* Added support to fetch values from objects in getText: myVar.data = TSFE:fe_user|user|username
	* Fixed (part of) #2059: Removing "NOT NULL" when parsing SQL data

2006-01-19  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* New feature: Revised Undo/History feature.
	* Fixed issue #1952: New hook in class.t3lib_userauthgroup.php
	* Fixed issue #2243: Hook needed in class.t3lib_befunc.php, function getProcessedValue
	* Fixed bug #2293: Javascript warnings
	* Fixed errors in t3lib_db::fullQuoteArray and UPDATEquery (came into the core some hours before)

2006-01-19  Karsten Dambekalns  <karsten@typo3.org>

	* sysext/dbal: Some bugfixes to connection handling; added $no_quote_fields support for INSERT and UPDATE methods.
	* Fixed bug #2059

2006-01-19  Rene Fritz  <r.fritz@colorcube.de>

	* Fixed bug: Fixed a problem with the RTE and inline images and base url's like http://mydomain.com/here_is_my_site/
	* Fixed bug: The nav frame do not update properly when submodules register different nav frames with navFrameScript in MCONF. (class.alt_menu_functions.php)
	* Fixed bug: fixed bug related to PHP5 and clone() in tslib_content
	* Fixed issue: Added clone() compatibility function for PHP4
	* Fixed bug: The javascript dyn tabs used for eg. TCEForms and placed in template.php were not shown when used in popup windows because of an uninitialized variable.
	* Fixed a missing "global": added a missing global $TYPO3_CONF_VARS; to t3lib_userauthgroup::fetchGroups which would have been prevented that the hook fetchGroupQuery worked

2006-01-19  Dmitry Dulepov  <typo3@accio.lv>

	* Fixed bug #1430: SEO + simulateStaticDocuments

2006-01-19  Peter Niederlag  <peter@niederlag.de>

	* Fixed issue #2268 on cleanup of sysext:css_styled_content
	* Fixed small issue with link in LICENSE.txt

2006-01-19  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* add t3lib_div::sysLog() for Core logging
	* use t3lib_div::sysLog() in t3lib_db->sql_pconnect() and t3lib_db->sql_select_db()
	* add no_quote parameter to t3lib_db->fullQuoteArray() and to all SQL statement generating functions of t3lib_db

2006-01-19  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Changes to the htmlArea RTE extension (details see local ChangeLog)

2006-01-18  Dmitry Dulepov  <typo3@accio.lv>

	* indexed_search: Removed empty line at the end of class.tx_indexedsearch.php. This line caused undesired effects in MSIE with certain PHP versions and UTF-8 encoding in FE.

2006-01-18  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* Fixed bug #1869: Copy sites with flexible content elements inside crash with fatal error
	* Fixed bug #2136: changing extended view in list mode changes focus
	* New feature #1320: stdWrap for all ATagParams (except config.ATagParams)

2006-01-18  Bernhard Kraft  <kraftb@kraftb.at>

	* Fixed bugs #277, #1030 and #1472 which are all related to the same charset issue.

2006-01-17  Karsten Dambekalns  <karsten@typo3.org>

	* Fixed bug #432

2006-01-17  Wolfgang Klinger  <wk@plan2.net>

	* Update the timestamp field (TCA/ctrl/tstamp) on delete

2006-01-16  Dmitry Dulepov  <typo3@accio.lv>

	* Fixed bug #2160: Turn off workspaces module for certain users not possible

2006-01-14  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed #2248: Path disclosure in config_default.php and showpic.php

2006-01-14  Michael Stucki  <michael@typo3.org>

	* Fixed bug #2102: PHP-Warning in the shortcut frame
	* Remove <label> tags around hidden fields in FORM elements
	* Removed depencency of typo3conf/database.sql: The file contents are now calculated automatically.

2006-01-13  Wolfgang Klinger  <wk@plan2.net>

	* The '[Translate to:]' message is now configurable via TSconfig and will be prepended only if there's an actual value

2006-01-12  Karsten Dambekalns  <karsten@typo3.org>

	* Fixed unclean document.location use in JavaScript parts, replaced by [window.]location.href

2006-01-12  Wolfgang Klinger  <wk@plan2.net>

	* Introduced a new property 'ignore' for config.sys_language_mode

2006-01-12  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Changes to the htmlArea RTE extension (details see local ChangeLog)

2006-01-11  Dmitry Dulepov  <typo3@accio.lv>

	* Fixed bug #2199: Summary contains duplicate labels (indexed_search)

2006-01-10  Wolfgang Klinger  <wolfgang@stufenlos.net>

	* Fixed bug #1209: set 'deleteTree' to '1' if 'recursiveDelete' is set in the user preferences

2006-01-08  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* rtehtmlarea: Correction to path settings affecting image drag & drop and file/image upload.

2006-01-08  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* Fixed bug #1938: Selection "Frontend" gets lost on login failure
	* Fixed bug #1149: FE-Editing in new Popups => Page doesn't reload
	* New feature #1910: Sorting in filelists by modification date

2006-01-06  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Converted locallang files of htmlArea RTE extension to XML format.
	* Revised all licence notices on all scripts of htmlArea RTE in order to publish under GPL.

2006-01-06  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* Fixed bug #1854: wrong Access check in RTE Wizard
	* Added PHPdoc comments to the update wizard

2006-01-05  Karsten Dambekalns  <karsten@typo3.org>

	* Minor change to the stylesheet to enhance tabmenu display in the BE.

2006-01-05  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Add escapeStrForLike() to t3lib_db and use it in tslib_cObj->searchWhere()
	* Update for bug #1354: Use mysql_escape_string() with PHP 4.1.x

2006-01-04  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Changes to the htmlArea RTE extension (details see local ChangeLog)

2006-01-04  Karsten Dambekalns  <karsten@typo3.org>

	* Changes to the DBAL extension (details see local ChangeLog)
	* Minor fix to inline comment in class.t3lib_sqlparser.php

2006-01-04  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* Fixed bug #2169: Import of testsite from T3D exceeds PHP maximum_execution_time
	* Fixed bug #2127: Fatal error in mod/user/ws/index.php
	* Changed behavior of alertPopups - there were still some bugs inside, it is cleaned up now.

2005-12-31  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Add alternative field name argument to tslib_pibase->pi_initPIflexForm()

2005-12-30  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* Fixed bug #2108: Error when using hide in Frontend Editing

2005-12-29  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* Fixed bug #2100: Warning: Call-time pass-by-reference has been deprecated
	* Fixed bug #2126: Updating encryption key sets compat version to same value
	* Fixed bug #2132: Error on moving lost records
	* Fixed bug #2134: "Place as root" does not function
	* Changed version of indexed search to 2.9.0
	* Fixed bug #2117: Install-Tool: "Write to localconf.php" sets "sqlDebug" and "USdateFormat" automatically
	* Fixed a bug in quote settings in CSS styled content - table. Now it is possible to copy/paste a CSV directly.

2005-12-28  Michael Stucki  <michael@typo3.org>

	* Release of TYPO3 4.0beta1
	* Fixed a bug in tstemplate (path still pointing to typo3/ext/)

2005-12-28  Michael Stucki  <michael@typo3.org>

	* Changed TYPO3_CONF_VARS[SYS][fileCreateMask] from 775 to 755
	* Rised version number to 4.0-dev
	* Added "rtehtmlarea" as a system extension
		- Important notice: Because of a known bug, the buttons "blockstylelabel", "blockstyle", "textstylelabel" and "textstyle" will not work with this version.
	* Fixed bug #1155: Install tool want to recreate the tables, and drop the old ones
	* Fixed Gremlin #1690: nav_frame is sometimes out of sync with the selected page
	* Various changes in t3lib_parsehtml_proc (on behalf of Stanislas Rolland):
		- Allow style and xml:lang attributes on span tags
		- Include "hr", "address" and "dl" in headListTags
		- Avoid insertion of superfluous linebreaks by transform_db
		- Eliminate true linebreaks inside Hx tags
		- Convert linebreaks to spaces instead of deleting them
		- Wrap a-tags that contain a style attribute with a span-tag
		- Honor setting RTE.default.proc.HTMLparser_db.xhtml_cleaning=1

2005-12-27  Bernhard Kraft  <kraftb@kraftb.at>

	* Fixed bug #1685 partly: replaced ereg calls with preg pendants in t3lib_parsehtml.php and made some minor modifications to improve overall speed (report bugs with inproperly replaced markers or subparts with previously working setup or TV problems with HTML templates having no problems before at http://bugs.typo3.org/view.php?id=1685)

2005-12-27  Dmitry Dulepov  <typo3@accio.lv>

	* Workspace listing: CSS classes are added to system style sheet file
	* Workspace listing: Direct styles changes to CSS classes
	* Workspace listing: Mount points list now shows warning icon and explanation tooltip if workspace mount point is not accessible for current BE user
	* Workspace listing: Mount points list will show explanation if no mount points available and why
	* Workspace listing: User list is changed for live and draft workspace: now shows a simple list of users
	* Workspace listing: alt_shortcut.php is no longer used to switch workspaces
	* Workspace listing: Fix - user names sometimes were not displayed for non-admin user in the access lists
	* Workspace listing: Fix - non-admin users could see empty row in workspace list
	* Workspace listing: Fix - workspace_list_label_frozen_no label was wrong in locallang_mod_user_ws.xml
	* Many new labels in locallang_mod_user_ws.xml

2005-12-27  Michael Stucki  <michael@typo3.org>

	* Added typo3/ext/ again. It must stay even if it's empty, otherwise TYPO3 will not create the temp_CACHED_* files in typo3conf/

2005-12-27  Karsten Dambekalns  <karsten@typo3.org>

	* Applied DBAL-related changes. This fixes or helps to fix some issues, including bugs #1649, #1781, #2077 and others.
	* Added dbal and adodb as system extensions.

2005-12-26  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* Fixed bug #752: scope of BE- and FE-Cookie: can't cope with multidomain-setup

2005-12-26  Michael Stucki  <michael@typo3.org>

	* Changed default font to for code textareas to "monospace"
	* Changed the tab-in-textarea and the above fixed-font features to be changed by TCA. See Core API "defaultExtras" section for details.
	* Changed module pointer of BE module titles (Web, File, Tools, etc.)
	* Fixed Gremlin #1643: alt_shortcut.php: Permissions for the target document are checked before a shortcut is displayed.
	* alt_shortcut.php: The groups have been changed from numbers to practically usable category names. They can be changed with User TSconfig (just set the group to a string instead to "1")

2005-12-25  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* Fixed error where deleted pages appear in the page tree when preview is activated. t3lib_pageselect->where_hid_del had to be changed.
	* changed length of page alias from 20 to 32 characters
	* Fixed bug #2087, introduced by #1078
	* Marked t3lib_ajax as subject to change
	* Fixed clickmenu bug with ajax
	* updated CSS styled content: integrated accessible mailforms, accessible menus, accessible tables
	* inserted update wizard and compatibility version

2005-12-25  Dmitry Dulepov  <typo3@accio.lv>

	* typo3/mod/user/ws/class.mod_user_ws_workspaceforms.php: renamed to workspaceforms.php
	* typo3/mod/user/ws/index.php: Many labels moved to locallang_user_mod_ws.xml
	* typo3/mod/user/ws/index.php: Changed file name for workspace editing to workspaceforms.php
	* typo3/mod/user/ws/workspaceforms.php: Now using t3lib_BEfunc::datetime() instead of date()
	* typo3/mod/user/ws/workspaceforms.php: Labels moved to locallang_user_mod_ws.xml
	* typo3/mod/user/ws/workspaceforms.php: Fixed "Object doesn't support this property or method" under MSIE (due to field named "submit" in the form
	* typo3/mod/user/ws/workspaceforms.php: Enabled tabbed form for workspaces
	* typo3/mod/user/ws/workspaceforms.php: Changed author's e-mail
	* t3lib/stddb/tbl_be.php: Added tab names to dividers in sys_workspace table
	* typo3/sysext/lang/locallang_mod_user_ws.xml: Added new labels for Workspace module

2005-12-23  Michael Stucki  <michael@typo3.org>

	* Moved tstemplate, tstemplate_analyzer, tstemplate_ceditor, tstemplate_info, tstemplate_objbrowser as system extensions to TYPO3core

2005-12-21  Christian Jul Jensen  <julle@typo3.org>

	* Fixed bug regarding MM-relations to same table in befunc::getProcessedValues

2005-12-19  Michael Scharkow  <michael@underused.org>

	* Fixed bug #1915: trigger 404 with bogus aliases

2005-12-19  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* New feature #1078: make javascript warning/confirmation popups configurable
	* Fixed bug #1578: Radio button validation does not work if there is only one radio button
	* Fixed bug #1906: first part only implements override.* for arbitary adminPanel options - relates to #1518

2005-12-19  Michael Stucki  <michael@typo3.org>

	* Added support for objects in conditions. Use it like this: [globalString = TSFE:fe_user|user|username = myname]

2005-12-19  Kasper Skaarhoj  <kasper2005@typo3.com>

	* Change logout-button label to "Exit" when in SwitchBackUser mode.
	* Fixed a htmlspecialchars() thing in TCEforms.

2005-12-18  Michael Stucki  <michael@typo3.org>

	* Cleanup: Changed all occurences of "depreciated" => "deprecated"

2005-12-17  Kasper Skaarhoj  <kasper2005@typo3.com>

	* Added reference index table and class. See mail sent to Dev-list

2005-12-16  Robert Lemke  <robert@typo3.org>

	* Fixed a bug in t3lib_beFunc::getRecordWSOL - it now makes sure that uid, pid and t3ver_swapmode are selected internally if they are not specified in $fields

2005-12-13  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Support of file_get_contents() in t3lib_div::getURL()
	* Check result of fwrite() in t3lib_div::writeFile()

2005-12-15  Michael Stucki  <michael@typo3.org>

	* Added a deleted field to pages_language_overlay
	* Changed alignment for some checkboxes in the TS debugger of the admin panel (better to read)
	* Fixed Gremlin #381: "Page is being generated" should belocalized. The message can be changed by setting "config.message_page_is_being_generated" in the TS template. See TSref for details.

2005-12-15  Kasper Skaarhoj  <kasper2005@typo3.com>

	* Fixed a small SQL-related bug in Dmitris workspace related implementations

2005-12-14  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* updated NEWS.txt
	* Fixed bug #1343: Minor problem with tslib_fe::prefixLocalAnchorsWithScript()
	* New feature #1369: Accessible forms
	* New feature #1631: configuration of user rights
	* Fixed bug #1980: Relative links (anchors) in current page & baseURL
	* Security #2024: Set random ["SYS"]["encryptionKey"] during 1-2-3 install, changed button captions

2005-12-13  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed bug #1172: broken typolinks to other domains

2005-12-13  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed bug #2020: t3lib_cs->substr in mbstring-mode always used utf-8
	* Added support for iconv-functions of PHP5 in t3lib_cs

2005-12-12  Michael Stucki  <michael@typo3.org>

	* Fixed wrong/missing label tags around radio input elements
	* Added new property "returnKey" to the split function - useful to get a specific element after a split operation
	* Added a class="typo3-debug" parameter to t3lib_div::debug() tables

2005-12-10  Peter Niederlag  <peter@niederlag.de>

	* Fixed bug #1976: PHP5 type-conversion of string 'true' and boolean

2005-12-09  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed bug #1354: Use mysql_real_escape_string() instead of addslashes() in t3lib_db to fix a security problem in t3lib->quoteStr() when magic_quotes_sybase = on
	* Added config.xhtmlDoctype ($GLOBALS['TSFE']->xhtmlDoctype and $GLOBALS['TSFE']->xhtmlVersion)

2005-12-03  Dmitry Dulepov  <typo3@fm-world.ru>

	* Added $BACK_PATH to $error_doc in t3lib_div::TCEmain->printLogErrorMessages() to work properly if current script runs outisde of ./typo3 directory

2005-12-01  Dmitry Dulepov  <typo3@fm-world.ru>

	* Implemented access check for workspace editing
	* Blinding for user and group names is implemented in workspace editing

2005-11-30  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* Fixed bug #874: XHTML compliance of GMENU with onmouseover images
	* Fixed bug #1657: make default number of file upload forms in the file upload tool configurable
	* Fixed bug #1703: Date fields: default is tomorrow instead of today.
	* Fixed bug #1889: EM appends trailing spaces when updating ext_emconf.php
	* Changed shortcut checking behavior in t3lib_page::getMenu (Related to #1066)

2005-11-30  Michael Stucki  <michael@typo3.org>

	* Fixed a little bug in t3lib_div::debug() (missing <tr> after first row)

2005-11-29  Dmitry Dulepov  <typo3@fm-world.ru>

	* Workspace module uses own classes for editing/creating workspaces (no permission check yet!)
	* Better visual presentation for workspace list (added icons, ndashes, etc)

2005-11-28  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* Fixed spelling error (Bug #1945)
	* Inserted "exit" after location header in t3lib_userauth (relates to #1519)

2005-11-27  Jan-Erik Revsbech  <jer@moccompany.com>

	* Implemented Gremlin 1660: typolink now supports the title attribute (with stdWrap). Additionally the <link> tag used in conjunction with the RTE now supports a fourth parameter. In addition to pageid target and class, the fourth parameter is the title of the resulting link.

2005-11-25  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed PHP 5.0.5 compability issue with end() in class.t3lib_timetrack.php

2005-11-24  Christian Jul Jensen  <christian@jul.net>

	* Added GET-params "module" and "modParams" to alt_main.php to allow external urls to access specific points in modules

2005-11-23  Michael Stucki  <michael@typo3.org>

	* Always use fputs() for writing to logfiles. There is no case when it can't be used, so the alternative "echo" call was never needed.
	* !!! Removed $TYPO3_CONF_VARS['FE']['logfile_write']. See above.
	* If logfile does not exist, try to create it automatically
	* Fixed bug #187: config.stat_apache_pagenames code [type] ends up empty
	* Fixed bug #1161: Cannot give access to all modules to a backend user when there are many backend modules loaded. Thanks to Valentin Schmid.
	* Fixed bug #1672: Change name of "Edit page header" to "Edit page properties". Many thanks to Valentin Schmid who made the patch for this.
	* Fixed bug #1549: Improve description of imagecaption fields
	* Fixed bug #1592: Show website (magnifying glass icon) opens a new browser without all the toolbars
	* Fixed bug #76: t3lib_div::writeFile() changes permissions without need

2005-11-23  Dmitry Dulepov  <typo3@fm-world.ru>

	* Added workspace list display in User/Workspace module

2005-11-23  Andreas Otto  <andreas.otto@dkd.de>

	* Methods imageLinkWrap() and typolink() in class.tslib_content.php: Made the JS PopUps accessible if JS is not available in the user's web browser. Add the TARGET-attribute only if the used doctype allows this.

2005-11-23  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* XHTML Compliance: prefix local anchors with a string (bug #1243)
	* Feature request #1453: stdWrap for fontColor attribute of GIFBUILDER?s TEXT-object
	* Usability: Add focus in install tool login form (bug #1584)
	* Bug #1637: Adjustment to collapsable menu

2005-11-19  Michael Stucki  <michael@typo3.org>

	* Added a helpful warning if config.baseURL=1 was found
	* !!! Disabled the config.baseURL=1 feature. baseURL needs to be a string value, otherwise it will not work (security reasons)!
	* Fixed bug #1115: Broken image-alignment in Mozilla browsers (written by Martin Kutschker)
	* Fixed a cross-site scripting issue in showpic.php. Many thanks to Martin Klaus who provided a fix for this.
	* Fixed the encryptionKey auto-generation in the Install Tool: The 32 first characters were always the same. Thanks to Jochen Weiland.
	* When editing a file in the Install Tool, the backup is no longer renamed to filename.php~ but filename_bak.php (could be viewed in clear-text otherwise). Thanks to Lars Houmark for reporting this.
	* Fixed wrong image negation in Install Tool (patch written by Bernhard Kraft)
	* Fixed bug #1861: Call of inexinsting t3lib_exec::imageMagickCommand() instead of t3lib_div::...

2005-11-18  Michael Scharkow  <mscharkow@gmx.net>

	* Removed bgColor from default body tag

2005-11-17  Robert Lemke  <robert@typo3.org>

	* Added two post-processing hooks into t3lib_tcemain->moveRecord. They are required by TemplaVoila 1.0

2005-11-15  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* Fixed bug #569: The "Access Key" combination now added to the "title" attribute of images
	* Fixed bug #815: CLI-mode doesn't work with lockSSL enabled
	* New feature #1518: override all admin panel values from TSConfig

2005-11-12  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* New feature #1573: switch back to admin user after user switch (SU-mode)

2005-11-11  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* New feature #1519: new option for lockSSL: get redirected to standard http after BE login with SSL
	* Fixed bug #1624: Copying of a file in the same folder in the "Filelist" module dosen't work
	* Feature request #1706: add "save + close" button in RTE wizard

2005-11-09  Rupert Germann  <rupi@gmx.li>

	* Fix for function getBorderAttr: closes bugs 1360 and 1461

2005-11-09  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* New feature #1577: display clickmenus with XMLHTTP / ajax
	* Fixed bug #1066: Shortcut to an invisible page leads to a frontend error

2005-11-09  Ingmar Schlecht  <ingmar@typo3.org>

	* Made TCEForms put <label> tags around icons for moving/deleting repetitive Flexform items
	* Removed annoying feature of typo3/tab.js to focus the textarea

2005-11-08  Sebastian Kurfuerst  <sebastian@garbage-group.de>

	* Fixed bug #586: User Admin can't create new user
	* Fixed bug #1293: TCAdefaults.pages.doktype is not recognized by the wizard "Create new pages"
	* Fixed bug #1407: clearCache doesn't work when deleting records
	* Fixed bug #1570: on timeout in BE, popup appears all the time when clicking no
	* Fixed bug #1571: make new content element wizard easier to use

2005-11-01  Robert Lemke  <robert@typo3.org>

	* Added an is_array() check in t3lib_div::resolveSheetDefInDS() to prevent a fatal error in certain circumstances

2005-10-26  Kasper Skaarhoj  <kasper2005@typo3.com>

	* Implemented additional, simple API for logging to sys_log plus extended the sys-log with workspace awareness.
	* Implemented more workspace related features. In particular scripts like t3lib_tcemain and t3lib_userauthgroup have been heavily modified!

2005-10-21  Bernhard Kraft  <kraftb@kraftb.at>

	* Fixed a bug in t3lib/class.t3lib_page.php which broke the Direct Mailer

2005-10-19  Bernhard Kraft  <kraftb@kraftb.at>

	* Fixed a bug in t3lib/jsfunc.menu.js (base URL was also prepended when link is already absolute)
	* Fixed bug #200: fe_adminLib: hard-coded Form URL, should be typolink

2005-10-17  Kasper Skaarhoj  <kasper2005@typo3.com>

	* Fixed wrong page-not-found header from "Status: 404 ..." to "HTTP/1.0 404..."

2005-10-15  Michael Stucki  <michael@typo3.org>

	* Added a hook for adding new items in alt_topmenu_dummy.php (requested by Stig N. Faerch for his "roles" extension)
	* Added a JavaScript to the backend which makes it possible to use tabulator keys in textareas. Can be disabled by setting $BE_USER->uc['disableTabInTextarea'].
	* Added template support to indexed_search. Many thanks to Udo von Eynern for his great work!
	* Many other changes to indexed_search. For details, see typo3/sysext/indexed_search/ChangeLog.

2005-10-14  Andreas Otto  <andreas.otto@dkd.de>

	* Fixed bug #1594: In t3lib_matchCondition->match() it could be the case that $this->altRootline was not allways an array, but it is supposed to be an array. Therefore at the beginning of t3lib_matchCondition->match() the variable type is checked and an empty array is created if needed.

2005-10-07  Kasper Skaarhoj  <kasper2005@typo3.com>

	* Two small friday-afternoon-party changes that I wanted to have fun with a few times: a) In the shortcut frame the "Edit Page ID" field will now let you search the whole database using the list module, b) the list module will wrap any value that is a URL or email address with a link.

2005-10-04  Kasper Skaarhoj  <kasper2005@typo3.com>

	* Added initial support for workspaces in core.
	* !!! Notice that all versioning features for tables are now enabled by the [ctrl] directive "versioningWS" and not "versioning". You will have to change this for all custom usages. At the same time you will have to add additional fields that are now mandatory for versioning to work. This is documented in the yet not published TYPO3 Core API for next version. Until the versioning API is final it is recommended to be very careful to apply versioning to custom tables.

2005-10-04  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed bug #1152: allow for nice filenames in Apache stat file (config.stat_apache_niceTitle)
	* optionally remove the site root from the Apache stat file path (config.stat_apache_noRoot)
	* Fix bug #1516: improper user of mb_strpos()

2005-10-02  Bernhard Kraft  <kraftb@kraftb.at>

	* Integrated content-slide extension into core
	* Implemented "requestUpdate" feature of TCEforms for Flexform fields

2005-09-19  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed bug #1287: Detect Opera as Netscape3 (making image roll-overs work)

2005-09-18  Michael Stucki  <michael@typo3.org>

	* If the encryption key is not set, the warning in the backend now contains a link to the according section.
	* be_group can no longer be selected as a subgroup of itself
	* Merged fenestgrp extension into Core. This makes it possible to select subgroups for fe_groups. Thanks to Glen Gibb.
	* Merged ingmar_accessctrl extension into Core. Content elements and pages can now have access for more than only one group. Thanks to Ingmar Schlecht for his nice extension.
	* Fixed a bug in the object browser: Adding properties copied key + value into the key field. Notice: This requires an additional patch in the tstemplate_objbrowser extension!
	* Object browser: Added support to match for TS keys
	* Some typo fixes
	* New property for TYPO3_CONF_VARS[SYS][displayErrors]: If set to 2, display_errors will only be enabled if the devIPmask matches the current clients IP address.

2005-09-14  Karsten Dambekalns  <karsten@typo3.org>

	* Fixed bug #214 (flexform default values), as it has been reported to work with the existing patch.

2005-09-13  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug #1375: Made typo3/mod/tools/em/index.php use preg_quote() on filename before passing it to preg_match()

2005-09-13  Karsten Dambekalns  <karsten@typo3.org>

	* Fixed the page is being generated page refreshing to the wrong page when query parameters are used.
	* Fixed (part of) bug 1312 (showpic.php).

2005-08-22  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Fixed bug #24: Modified the JS layer code so that GMENU_LAYERS work with Opera (3.8 patch port by Michael Stucki)

2005-08-16  Michael Stucki  <michael@typo3.org>

	* Fixed a wrong path in Install Tool welcome message

2005-07-06  Jan-Erik Revsbech  <jer@moccompany.com>

	* Fixed bug #1197: t3lib_htmlmail looked for config variable enableReturnPath, but the variable was named forceReturnPath.
	* Added a new header Errors-To which is used by Postfix.

2005-07-02  Michael Stucki  <michael@typo3.org>

	* Removed misc/mod_rewrite.htaccess and misc/php_optimized.htaccess and replaced them by misc/simple.htaccess and misc/advanced.htaccess
	* Added a die() call to protect the display of phpinfo() in misc/phpcheck/incfile.php
	* config.disablePrefixComment was ignored by plugins
	* $TT->pull() was called without $TT->push() before in typo3/sysext/indexed_search/class.indexer.php
	* Fixed bug #1239: Install tool does not accept hyphen in database host name

2005-06-27  Andreas Otto  <andreas@php4win.de>

	* Method fetchGroups() in t3lib/class.t3lib_userauthgroup.php:
		Added hook as requested and provided by Stig N. Faerch.
		This hook is used by the extension 'roles'. With this hook it's possible to
		control the backend usergroup access, through manipulating a sql-sentence.
		In the case of 'roles', the hook is used to limit access to the selected
		backend usergroup (which is marked as a role). This is very powerful when
		you need to have a better overview in the backend.

2005-06-25  Michael Stucki  <michael@typo3.org>

	* Improved description of [TYPO3_CONF_VARS][BE/FE][compressionLevel]

2005-06-20  Michael Stucki  <michael@typo3.org>

	* Merged changes from TYPO3_3-8 branch back

2005-06-06  Andreas Otto  <andreas.otto@dkd.de>

	* t3lib/class.t3lib_userauth.php: Implemented two hooks in the logoff() method. One hook for doing operations __before__ logoff() destroys the current session and one hook for doing operations __after__ the session was destroyed.

2005-05-29  Michael Stucki  <michael@typo3.org>

	* typo3/sysext/cms/tslib/class.tslib_content.php: Fixed a bug with the "addQueryString" property in typolinks
	* typo3/mod/tools/em/index.php: Extension manager didn't allow to edit *.xml files

2005-05-23  Rupert Germann  <rupi@gmx.li>

	* Fix: Reversed the effect of the new parameter "config.disableImgBorderAttr". Now it does what the name says.

2005-05-23  Michael Stucki  <michael@typo3.org>

	* Release of TYPO3 3.8.0
	* Fixed bug #840: Login URL feature attracts users to transfer password in cleartext

2005-05-22  Karsten Dambekalns  <karsten@typo3.org>

	* t3lib/class.t3lib_querygenerator.php: Fixed broken database search, originally caused by DBAL changes.

2005-05-22  Kasper Skaarhoj  <kasper@typo3.com>

	* Added loginscreen image and colorscheme, upgraded version number.

2005-05-21  Bernhard Kraft  <kraftb@kraftb.at>

	* Fixed bug #975: Make the thumbnail-size of filelinks chooseable

2005-05-20  Michael Stucki  <michael@typo3.org>

	* Fixed bug #459: undefined function: float() in class.t3lib_cs.php
	* New feature #850: Store last built query independent of t3lib_db->debugOutput. Thanks to Rainer Kuhn.

2005-05-19  Michael Stucki  <michael@typo3.org>

	* Small fix in typo3/sysext/install/mod/class.tx_install.php: GraphicsMagick executed without any parameters caused a server error (used in the Install Tool for guessing the product version)
	* Fixed bug #1065: Labels of radio buttons in listview were not shown. Thanks to Sebastian Kurfuerst.
	* Changed innerWrap and outerWrap in editPanels to be stdWrap'able. Thanks to Martin Kutschker.
	* Fixed bug #98: Forms elements should not contain a wrap-attribute for textareas, so this is now optional. Thanks to Martin Kutschker.
	* Fixed bug #1075: XHTML compliance of FORM elements. Thanks to Martin Kutschker.
	* Fixed bug #1061: XHTML cleaning did not support the <param /> tag. Thanks to Martin Kutschker.

2005-05-19  Karsten Dambekalns  <karsten@typo3.org>

	* typo3/sysext/install/mod/class.tx_install.php: Added a button to generate a random encryption key.
	* typo3/sysext/cms/layout/db_layout.php: Fix for bug #1042. Thanks to Sebastian Kurfuerst and Michael Stucki.
	  Additionally removed some unused variables/globalisations
	* typo3/mod/tools/em/index.php: Applied patch for bug #1043 (ereg calls without escaped curly braces)
	* t3lib/class.t3lib_install.php: Fix for bug #987 (hardcoded MyISAM table type)

2005-05-17  Michael Stucki  <michael@typo3.org>

	* Minor fix in t3lib/config_default.php: pageNotFoundOnCHashError used "false" instead of "0" as the default value

2005-05-16  Michael Stucki  <michael@typo3.org>

	* Fixed wrong display of empty tags in class.tx_cms_layout.php
	* Fixed missing email address label if none specified in class.tslib_content.php
	* Fixed missing replacement of "@" in spamProtectEmailAddresses mode in class.tslib_content.php

2005-06-08  Kasper Skaarhoj  <kasper@typo3.com>

	* Added TYPO3_CONF_VARS[SYS][USdateFormat] configuration option to turn date-entering into MM-DD-YYYY in backend. Go US!

2005-05-14  Michael Stucki  <michael@typo3.org>

	* Release of TYPO3 3.8.0rc1
	* Fixed a bug in the context-sensitive menu (right-click on 2nd level like "more options..." didn't work). Thanks to Wolfgang Klinger.

2005-05-14  Rupert Germann  <rupi@gmx.li>

	* Fixed bug #797: added a new function to class.tslib_content.php (getBorderAttr()) which returns only a border attribute for images if the doctype is not xhtml_strict,  xhtml_11 or xhtml_2 or if the config parameter 'disableImgBorderAttr' is not set. Setting 'disableImgBorderAttr' to '1' will disable border attributes in img tags even if the doctype is not in the list of doctypes above.

2005-05-12  Michael Stucki  <michael@typo3.org>

	* Force TCEform reload if the plugin is changed
	* Added new typolink option "addQueryString" for adding all parameters of the current URL to the link. Notice that this does not check for any duplicate parameters! This is not a problem (only the last parameter of the same name will be applied), but enable "config.uniqueLinkVars" if you still don't like it.
	* Removed duplicate "Expires" header in class.t3lib_userauth.php
	* Changed return value type of t3lib_div::inList which was not really boolean (as documented) but string. Thanks to Bernhard Kraft.

2005-05-11  Michael Scharkow  <mscharkow@gmx.net>

	* Fixed bug #930: The delete button in QuickEdit mode lead to a 404 message. Thanks to Sebastian Kurfuerst.

2005-05-09  Kasper Skaarhoj  <kasper@typo3.com>

	* Closed Indexed Search before 3.8.0 launch: Despite my hopes I had to significantly lower my ambitions for this release; I couldn't find time to complete the overhaul but had to just patch up any immediate problems and make it work for the 3.8.0 release. The TODO list inside is updated with the remaining tasks which is due for 4.0.0 late summer. If "Indexing Configurations" supporting indexing of external files, URLs and individual records have been mentioned earlier in this changelog or on the featurelist I can inform that the incomplete implementation has been disabled and postponed for 4.0.

2005-05-04  Kasper Skaarhoj  <kasper@typo3.com>

	* Added Hindi language
	* Added feature to table-wizard: Will create 5 new rows when adding rows in the bottom of table (configurable)
	* Added download links in extension listing in EM
	* Added new feature, "submenuObjSuffixes" to TypoScript Menu objects to define alternative submenus depending on position of parent menu object in menu. (TSref documented)

2005-05-01  Michael Stucki  <michael@typo3.org>

	* Implemented a wrapper for executing ImageMagick
	* New feature #1034: GraphicsMagick finally works with TYPO3! This can be enabled by setting TYPO3_CONF_VARS[GFX][im_version_5] to 'gm'.
	* The Install Tool is now more tolerant when comparing image file sizes. Warnings are only displayed if the created image is more than 10K larger than its reference. In this case you should consider to change your IM/GD version...

2005-04-30  Michael Stucki  <michael@typo3.org>

	* Changed the layout of the security warning box which is displayed in alt_intro.php
	* Added a hook for extending the device recognition capabilities in class.t3lib_matchcondition.php (requested by Michael Perkhofer for his "wurfl" extension)
	* Fixed bug #762: If the word "include_once" is followed by a whitespace, the extension manager issued an error
	* New feature #634: Add the CURIFSUB state to menu objects (thanks to Wolfgang Klinger)
	* Changed the spamProtectEmailAddresses range again. Allowed values are between -5 and 1 (higher values could break the output, thus the range needed to be changed)

2005-04-29  Christian Jul Jensen  <julle@typo3.org>

	* Added type path to getText function

2005-04-29  Kasper Skaarhoj  <kasper@typo3.com>

	* Added default limit (10kb) on frontend user session data (set by TYPO3_CONF_VARS[FE][maxSessionDataSize]) and added a check that session data is saved only if a cookie is actually set. This closes a quite obvious hole for DoS attacks where requesting a TYPO3 URL something like "...index.php?id=1&recs[foo][bar]=[up to 2000 chars]" would fill 2kb of data into fe_session_data no questions asked. It is not a security problem but thousand such request (with eg. "ab") would mean 2 megabyte of junk in the database... Spamming that table is now considerably more complicated. However this setting might break applications storing large amounts of user session data, but for the average shopping plugin it should be unaffected.

2005-04-29  Kasper Skaarhoj  <kasper@typo3.com>

	* Applied fixes to t3lib_extMgm in order to prevent possible fatal errors where only local extensions would be loaded, resulting in a complete failure of the system (aka "...the cms extension is not loaded" bug). It is unknown if it fixes such problems since the bug is not repeatable.

2005-04-28  Kasper Skaarhoj  <kasper@typo3.com>

	* Added API in tslib_pibase for checking availability of the cHash value when plugins are running as USER cObjects. This is a VERY IMPORTANT thing for plugin writers to acquaint themselves with. I suggest reading the article "The Mysteries of &cHash" which was written about this tricky issue.

2005-04-28  Rupert Germann  <rupi@gmx.li>

	* Fixed bug #416: now the wrong default values in autoincrement lines will be removed from .sql files before they are written to the database. This fixes the problem that tables were not created under MySQL 4.1.x
	* Fixed bug #955: Removed a double strcmp in class.t3lib_install.php
	* Removed the mysql-version ckeck from class.tx_install.php. With current MySQL versions this is not needed anymore.
	* New features for the pi_base pagebrowser: first and last links, "floating" of the displayed pages, all wraps are now configurable, all hardcoded HTML can be substituted with own wraps, and many more.
	  The behaviour of the pagebrowser doesn't change if the additional "internal"-array-elements don't exist.
	  This array has to be set from an extension which passes its TS-config to the pagebrowser function. See comments in function for details.
	  Thank goes to Michael H.E. Roth for developing most of the changes.
	* Fixed bug #911: setting ['BE']['lockIP'] to a value < 4 does not log out the BE user anymore.
	* Fixed bug #570: now it is prevented that umlauts or other special characters are inserted as "accessKey".

2005-04-28  Christian Jul Jensen  <julle@typo3.org>

	* Added parameter to function in t3lib_install that enables you to write to other localconf's than the canonical.

2005-04-28  Kasper Skaarhoj  <kasper@typo3.com>

	* Added search in Extension Manager for extensions locally.

2005-04-27  Bernhard Kraft  <kraftb@kraftb.at>

	* Added post-process Hook in class.t3lib_befunc.php for method "getFlexFormDS"

2005-04-27  Rupert Germann  <rupi@gmx.li>

	* Fixed bug #536: removed a hardcoded tt_news reference which inserted the admin name as news author.

2005-04-27  Michael Scharkow  <mscharkow@gmx.net>

	* Fixed bug #727: Changed some labels for editing Page Header in page and list view

2005-04-27  Kasper Skaarhoj  <kasper@typo3.com>

	* Updated install tool test images again after Stuckis suggestions. Now validates perfectly with this TYPO3 using his debian packages "graphicsmagick" and "graphicsmagick-im-compat"

2005-04-27  Kasper Skaarhoj  <kasper@typo3.com>

	* More implementation of locallang-xml support in frontend
	* Implemented substitution of glossary terms in view_help.php. Glossary is available when the extension "t3glossary" is installed (yet to be released)

2005-04-27  Kasper Skaarhoj  <kasper@typo3.com>

	* When using frontend editing with pop-up window the save-and-view button will not change focus of the windows but keep the editing window on top while reloading the page for preview behind. (Works in any case editing happens in a pop-up window)

2005-04-26  Kasper Skaarhoj  <kasper@typo3.com>

	* Added a runaway brake to t3lib_div::expandList(): Ranges are limited to 1000 values per range.
	* Added authentication services (from sysext/sv/) to the core.
	* Added a feature to menu objects that you can have them show pages in the menus which are normally access restricted. The pages shown will like to a fixed page ID as long as access is not allowed - that page could then show a login box for instance. If access to the elements is ok they will of course link to themselves.
	* Added the same feature described for menu objects above to normal typolinks, configured with "config.typolinkLinkAccessRestrictedPages". See TSref for details. The feature will allow links pointing to access restricted page to be created but redirected to a central page which could for instnace contain a login form which is what will be shown if the page was not accessible.
	* !!! Technical/API: Changed sys_page->where_hid_del so the fe_group check is not included in WHERE clause but found separately in sys_page->where_groupAccess. It is probably quite rare if this affects any extension but it could do so potentially. PHP code would have to be adapted then.
	* Implemented configuration to inverse localization setting for pages, $GLOBALS['TYPO3_CONF_VARS']['FE']['hidePagesIfNotTranslatedByDefault']:  If TRUE, pages that has no translation will be hidden by default. Basically this will inverse the effect of the page localization setting "Hide page if no translation for current language exists" to "Show page even if no translation exists"
	* Added new function; t3lib_div::explodeUrl2Array(): Explodes a string with GETvars (eg. "&id=1&type=2&ext[mykey]=3") into an array
	* Added "config.language_alt" which enables localization from locallang-files of plugins to fallback to an alternative language if the main one (specified with config.language) was not found in hte locallang file. Thus a brazil portuguese ("br") website could specify portuguese (pt) as fallback language!
	* Added hook for page-not-found handling enabling any handling to be done for really flexible use.
	* Extended class t3lib_arraybrowser so it can show a PHP array without links. Used for "realurl" extension displaying its configuration in backend module.
	* Introduced readLLfile() and readLLXMLfile() in t3lib_div in the section with TYPO3 specific functions. They were moved from lang/lang.php class (language class) where they served to load locallang.(php|xml) files. Since this functionality was needed in the frontend as well the functions had to exist in a common script, that being t3lib_div.
	* fixed "bug" where the meta data from a flexform data structure was returned in t3lib_div::-function
	* Completely reverted the removal of the "unsigned" attributes in *.sql files - DBAL has to handle this depending on DB.
	* Added record-uid to the listing of reference in TCEform group fields.
	* Added features in tslib_fe which records the reasons why a certain page was not accessible if it related to hidden/starttime/endtime/groups. This can be used in page-not-found handlers to produce a proper response to access attempts to eg. protected sections.
	* Support for locallang-xml in frontend as well.
	* Added unique name for TYPO3 re-login pop-up box
	* Fixed a few smaller bugs/inconveniences

2005-04-25  Andreas Otto  <andreas.otto@dkd.de>

	* Fixed bug #649. Used the patch provided in the bug description.

2005-04-24  Michael Stucki  <michael@typo3.org>

	* Fixed a problem with a recent change in the filelist module

2005-04-19  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Changed t3lib_page::deleteClause to make it JOIN-safe
	* Added innerWrap and outerWrap properties to EDITPANEL and innerWrap, outerWrap and color properties to EDITPANEL.previewBorder
	* Added t3lib_div::expandList (turns eg "1,3-5,7" into "1,3,4,5,7")

2005-04-18  Karsten Dambekalns  <karsten@typo3.org>

	* typo3/file_upload.php: Small fix to fix bug #986, patch by Sebastian Kurfuerst.
	* t3lib/class.t3lib_befunc.php, sysext/viewpage/view/index.php: Fix to bug #983, preview when BE uses SSL.
	* t3lib/class.t3lib_befunc.php: Show warning when encryption key is empty (bug #766).
	* sysext/install/mod/class.tx_install.php: Make encryption key setting accessible in "Basic Configuration".
	* sysext/install/mod/class.tx_install.php: Missing PHP support for MySQL is only seen as error if DBAL extension is not loaded.

2005-04-18  Rupert Germann  <rupi@gmx.li>

	* Added a condition that removes wrong default values from autoinc-lines when importing static data. (bug #416 related).

2005-04-18  Michael Stucki  <michael@typo3.org>

	* Release of TYPO3 3.8.0beta2

2005-04-17  Rupert Germann  <rupi@gmx.li>

	* Fixed bugs #920 and #935: Changed the parsing of recordtitles in lists. Now 'label_alt' and 'label_alt_force' are honored too.

2005-04-17  Michael Stucki  <michael@typo3.org>

	* Changed the size of ses_iplock fields to 39 (needed for storing IPv6 addresses)

2005-04-15  Michael Stucki  <michael@typo3.org>

	* Made fe_user passwords case sensitive and render them as password fields
	* New feature #957: Added TypoScript option page.headTag

2005-04-14  Rupert Germann  <rupi@gmx.li>

	* Fixed bug #966: The BE-listview in "Localization Mode" does now show the labels and flags of translated records again.

2005-04-14  Michael Stucki  <michael@typo3.org>

	* Added new stdWrap property "stdWrap" for calling stdWrap recursively
	* Added new hook in t3lib_tcemain::process_cmdmap (closes #823)
	* Removed typeNum = 0 in some places (a previous change already sets them to 0 by default)
	* !!! Use nimbus.ttf and vera.ttf as default truetype fonts for the GIFBUILDER. This is generally not a problem because they were always used (arial.ttf is a symlink to nimbus.ttf, verdana.ttf is pointing to vera.ttf). However it could change your page design if you have just overwritten the symlinks with a different file and did not set the fontFile in the GIFBUILDER configuration.
	* File- and foldernames in the fileadmin could be cut to some lenght. Therefore a tool tip is added to show the full name.
	* Fixed bug #286: spamProtectEmailAddresses sometimes wrecked table content elements
	* New feature #490: Optionally remove duplicate parameters in typolinks (config.uniqueLinkVars=1). Thanks to Rupert Germann.
	* Fixed bug #675: Context menu did not work with Opera
	* Corrected a hook in index_ts.php

2005-04-13  Ingmar Schlecht  <ingmar@typo3.org>

	* Corrected earlier bugfix by Karsten: Reverted require_once(PATH_t3lib.'config_default.php') to require() in index_ts.php
	* Cleaned up tslib_content by putting some lines of redundant code into new function getMailTo()
	* Minor change to spamProtectEmailAddresses ASCII
	* Added hook in t3lib_page for additional enableColumns

2005-04-13  Karsten Dambekalns  <karsten@typo3.org>

	* Small fix to fix bug #974.
	* Applied some more DBAL patches for indexed search and fixed bug #961.
	* Re-added images in install tool with binary flag (bug #972).
	* Changed some uses of require to require_once to fix bug #958.

2005-04-12  Kasper Skaarhoj  <kasper@typo3.com>

	* changed install tool comparison images

2005-04-10  Ingmar Schlecht  <ingmar@typo3.org>

	* Added hook for the "timtaw" extension in t3lib_userauth
	* Changed typo3/mod/tools/em/index.php to support new "Overwrite" checkbox feature of Kickstarter

2005-04-10  Jan-Erik Revsbech  <jer@moccompany.com>

	* The earlier attempts to fix the problem of Return-Path with Postfix below version 2.0 seems not to work on all systems. The t3lib_htmlmail class now only forces the return-path if forceReturnPath is enabled in the install tool.
	* Added an option to the install tool mail test form. Send the testmail via t3lib_htmlmail with the return-path set to null@<HTTP_HOST>.

2005-04-08  Michael Stucki  <michael@typo3.org>

	* Fixed bug #941: The diff feature was disabled on Windows but works fine if diff.exe is present and TYPO3_CONF_VARS[BE][diff_path] is correctly set

2005-04-07  Andreas Otto  <andreas.otto@dkd.de>

	* Added modfunc2 to sysext/indexed_search which offers statistics of entered search words.

2005-04-06  Kasper Skaarhoj  <kasper@typo3.com>

	* Removed all "unsigned" attributes from .sql files in the core and implemented a complete list of those fields for which it has been removed in the t3lib_install class. By default the install tool will NOT detect that these fields should be changed to signed integers since if the field is found in the list in the install class this difference will be ignored. The reason is that it will be 200+ ALTER TABLe changes and the significance is mostly cosmetic. However if somebody wants to actually do the conversion they can switch an internal variable in the t3lib_install class to TRUE and the install tool WILL convert...

2005-04-06  Kasper Skaarhoj  <kasper@typo3.com>

	* Extended a comment of a function in t3lib_extMgm

2005-04-06  Michael Stucki  <michael@typo3.org>

	* Release of TYPO3 3.8.0beta1

2005-04-05  Ingmar Schlecht  <ingmar@typo3.org>

	* Changed the way htmlspecialchars() is applied to tag attributes on xhtmlCleaning

2005-04-04  Michael Stucki  <michael@typo3.org>

	* Unfortunately the resolve-path patch was overwritten, so here it is again

2005-04-04  Robert Lemke  <robert@typo3.org>

	* Added a preliminary way for moving containers in a flexform section in TCEforms + TCEmain. Before you could only delete containers.
	* Added Sebastian Kurfuerst's collapsable modules feature for the backend's module bar

2005-04-04  Kasper Skaarhoj  <kasper@typo3.com>

	* Added to-top/up/down/to_bottom bottoms for the select/group element. up/down will show up by default, to-top and to-bottom will appear automatically when the SIZE of the selector is >= 5.

2005-04-03  Michael Stucki  <michael@typo3.org>

	* Fixed a stupid error in the display-empty-tags function

2005-04-01  Kasper Skaarhoj  <kasper@typo3.com>

	* Updated all years from 2004 to 2005
	* Updated all function indexeds in top of scripts (no actual code changes done!)

2005-04-01  Kasper Skaarhoj  <kasper@typo3.com>

	* Added Bernhard Krafts security improvement for server validated challenge value.
	* Added "Esperanto" as language - now we are at 41 backend languages.
	* Made a change to how cache-control headers are sent. Thanks to Ole Tange, FI, Denmark

2005-04-01  Michael Stucki  <michael@typo3.org>

	* Display empty tag contents in the backend (e.g. <link email@hostname.com></link>)
	* Fixed bug #750: Resolve relative links in the backend (caused problems with some firewalls)
	* Install tool now shows which image is the reference when doing image tests (thanks to Dimitri Tarassenko)
	* Small changes in t3lib_div::quoted_printable()
	* !!! t3lib_htmlmail::quoted_printable() is now obsolete. Please call t3lib_div::quoted_printable() instead.
	* simulateStaticDocuments_addTitle is now set to 30 if the value is 1 (cause 1 doesn't make sense, does it?)
	* Display a warning message if this installation is obviously insecure!! These warnings are only displayed to admin users.
	* Added a link to re-login if the session has timed out

2005-03-29  Michael Stucki  <michael@typo3.org>

	* Added a Russian flag (thanks to Michael Shigorin)

2005-03-29  Ingmar Schlecht  <ingmar@typo3.org>

	* TYPO3 seems to prefer "mediumblob" instead of "MEDIUMBLOB", thus I changed that in typo3/sysext/cms/ext_tables.sql
	* Added hook in tslib_fe

2005-03-28  Michael Stucki  <michael@typo3.org>

	* Corrected a typo in fe_adminLib.inc (Ingmar watch this!)

2005-03-28  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug #341: Changed table definition of "fe_session_data" so field "content" is MEDIUMBLOB instead of BLOB
	* Fixed bug #890: fe_adminLib.inc procesSetFixed does not support userFunc_afterSave
	* Fixed bug #316: Backend typo3/template.php output spurious </body> tag for doctype xhtml_frames
	* Added two hooks to t3lib_userauthgroup for Sebastian Kurfuerst's ACL implementation
	* New feature #341: New option "ascii" for spamProtectEmailAddresses (very cool, because it doesn't need JavaScript! Thanks to Karsten Dambekalns)

2005-03-25  Michael Stucki  <michael@typo3.org>

	* Added two hooks for tx_timtaw, written by Sebastian Kurfuerst
	* FORM object is finally able to create a reset button (closes #743, thanks to Michael Scharkow)
	* FE editing: Up/Down buttons in panel did not work (closes #849, thanks to Peter Niederlag for pointing me on this)
	* typeNum 0 is now set automatically by default: If a page object has no typeNum and typeNum '0' is not defined, TYPO3 will automatically do that now
	* Renamed admin function links in the left down corner of the BE (closes #25)
	* EM: Display privacy message before connecting to the online repository

2005-03-16  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug #335: in class.t3lib_extfilefunc.php: If $this->dont_use_exec_commands was set, it was impossible to delete any directories, which is now possible again. It's still impossible to delete direcories recursively though.
	* Fixed bug #280: pi_list_query() produced wrong query when $orderBy paramater was not given.

2005-03-10  Kasper Skaarhoj  <kasper@typo3.com>

	* Added feature that connects cache-control headers with whether user-logins are allowed in a branch or not. Makes mixing of cached and dynamic user-dependant content easier.

2005-03-08  Kasper Skaarhoj  <kasper@typo3.com>

	* New feature for page records: Frontend Login Mode. Makes it possible to disable (and enable later) frontend logins for branches of the page tree. Disabling will make it look like no user is authenticated. This feature is very useful if you wish a highly performant website using cache control headers while specifying sections where user logins are accepted (for dynamic content)
	* Implemented a bunch of hooks in tslib_fe
	* Minor bug fixes and re-arrangements
	* Support for "crawler" extension in indexed_search; Makes it possible to index pages in the page tree by starting a crawler from the backend of TYPO3 (The extension "crawler" is specifically supported) and thus preventing the process from happening during frontend users browsing.

2005-03-07  Karsten Dambekalns  <karsten@typo3.org>

	* Fixed the potential security issue with mailforms, allowing
	  spam abuse (TYPO3-20050307-1). This affected tslib/class.tslib_content.php,
	  tslib/class.tslib_fe.php and t3lib/config_default.php

2005-02-20  Michael Stucki  <michael@typo3.org>

	* Fixed a typo in the User TSconfig reference in ext_tables_static+adt.sql
	* !!! Renamed t3lib_stdGraphic->imageCreateFromGif into imageCreateFromFile. The old function will remain for providing backwards compatibility.

2005-02-17  Kasper Skaarhoj  <kasper@typo3.com>

	* Added 3 hooks for each hardcoded function in css_styled_content so extensions can be written which provides alternative renderings without XCLASSING.

2005-02-15  Kasper Skaarhoj  <kasper@typo3.com>

	* The indexed-search lexer has been updated so it supports "printjoins" (characters like ' or - which are allowed inside of words) and there is also support for Chinese/Japanese/Korean (CJK) indexing/searching.

2005-02-14  Kasper Skaarhoj  <kasper@typo3.com>

	* Large number of updates to system extension indexed_search, in particular to the frontend search plugin which is now ready for implementation of templating engine by workgroup. still missing work on the lexer to support CJK content.

2005-02-11  Andreas Otto  <andreas.otto@dkd.de>

	* In order to use enableTypeByConfig on more types than Input and Text the variable $specConf had to be set. This was done to all getSingleField_* methods which use $this->renderWizards. A list of the methods is provided in the commit message.

2005-02-06  Michael Stucki  <michael@typo3.org>

	* Fixed an often repeated typo (closes #127)

2005-02-04  Michael Stucki  <michael@typo3.org>

	* Corrected some typos
	* Fix permissions after ImageMagick has created a new file. Introduced new function t3lib_div::fixPermissions. Closes bug #677.
	* Fixed bug #422: "Fatal error at 3: Image Processing -> 5: GD library functions"
	* Added a new constant TYPO3_branch which includes only the major and the minor numbers of the version (not the patchlevel). This is used in the "generator" meta tag and will finally close bug number #318.
	* ContextMenu is no longer disabled by default on Macintosh systems (except Opera, might have to do with bug #675). Closes bugs #542 and #486.
	* XHTML 1.1 compliancy fixes (thanks to Ernesto Baschny)
	* List view now resolves values of MM tables (thanks to Rupert Germann). Closes #624.
	* Use t3lib_div::isAbsPath() to check if the logfile path is absolute (doesn't work on Windows otherwise)

2005-02-02  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug #728: "Enabling DevLog in t3lib_modsettings via SC_OPTIONS does not work." Reason: t3lib_modsettings::init() used $TYPO3_CONF_VARS although the global var was not available there. Changed it to $GLOBALS['TYPO3_CONF_VARS'].

2005-02-01  Ingmar Schlecht  <ingmar@typo3.org>

	* Committed patches by Peter Klein <peter at umloud.dk> implementing the IESelectFix for xmenu_layers.php: A fix that makes the layer menus display correctly on IE when over a <SELECT> box.

2005-01-24  Jan-Erik Revsbech  <jer@moccompany.com>

	* The check to see if Postfix version 1.x is used requires that the executable /usr/sbin/postconf exists. If it does not exist, some PHP installations will die with an error. Now htmlmail makes a check to see if the files exist before calling it.

2005-01-22  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug #668: Removed spurious comma (,) from pages table definition in t3lib/stddb/tables.sql

2005-01-21  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug #703: Added missing ';' to '&nbsp' in t3lib/class.t3lib_formmail.php

2005-01-21  Jan-Erik Revsbech  <jer@moccompany.com>

	* Added a check to class t3lib_htmlmail to check if postfix version 1.x is used. If this is the case the -f parameter is not used for call to mail(). This should fix the problem with mails not being sent when using Postfix as MTA...

2005-01-21  Kasper Skaarhoj  <kasper@typo3.com>

	* Added a new feature to force all UIDs in the "impexp" extension.

2005-01-14  Kasper Skaarhoj  <kasper@typo3.com>

	* import/export: CSH for the whole module, localization of all labels

2005-01-02  Kasper Skaarhoj  <kasper@typo3.com>

	* Added Karsten D.s patches for DBAL.

2004-12-20  Kasper Skaarhoj  <kasper@typo3.com>

	* Changed "config.disableContentLengthHeader" over to "enableContentLengthHeader" because a default content-length header might introduce some weird and hard-to-debug situation for people.
	* Added possibility to enable cache-control headers on frontend output; This allows a site to be cached by client browsers and proxies. See TSref for configuration ("config.sendCacheHeaders")
	* Added that a cache-control header sent from client can regenerate an otherwise cached page. In reality this means that a shift-reload click in the browser will always circumvent TYPO3s page-cache, regenerate the page and store a new version in cache if applicable. If anyone has objections agains this default feature (eg. fear of DoS attacks), please bring up a discussion on dev-list.
	* Added "Content-Length" header on frontend output (can be disabled)
	* Fixed bug that gave inconsistent SYS_LASTCHANGED values whether a page was gotten from cache or generated.
	* Added check for explicitAllow/Deny in the content element wizard (during a trainride from Allerd in S-Tog line A to Nrreport - thats all it took).

2004-12-17  Kasper Skaarhoj  <kasper@typo3.com>

	* Mainly: Did tons of improvements on the import/export module (system extension "impexp").
		Main features:
			Supports flexforms (hence TEmplaVoila).
			Supports RTE embedded images.
			Supports updates of existing records in various forms.
			Has optional XML format.
			Supports a new concept called "soft references" which are plain-text links/file references/markers and allows to track and include these in export. Examples are "fileadmin/..." references in TypoScript templates and <link> typolink tags.
			Can export from the page tree root.
			Character set dependant
			Extension dependencies can be set
			Embedding of HTML files and internal resources
			Export links directly from clipboard and Web>List
			Supports meta data including embedded thumbnail

	* In shortcut frame I added possibility to enter  a table:uid pair in the "Edit page" box. For instance "tt_content:123" will launch the doc module for that element.
	* Soft References; A parser-concept tied to TCA which allows to define parsers for certain fields that finds "soft references", eg. <link> tags, file-references etc. See import/export improvements above.
	* Improvements to array2xml which allows detained mapping of array keys to XML-tags. As an example, study the import/export extensions T3RecordDocument configuration.
	* Improved t3lib_parsehtml::prefixResourcePath() to access a suffix string to WRAP file references
	* Improved t3lib_tcemain with support for forcing a UID for newly created records (used by import/export)
	* t3lib_tcemain::checkValue_flex_procInData_travDS() now supports callback functions from external objects
	* Changed "displayErrors" in config_default.php BACK to "-1" which corresponds to the default from before (notice this, stucki!)
	* Ended the regime of the new be-usergroup selection box - back to the previous with ordering of backend groups since the first group was significant (being the default owner group)
	* Added support for having temporary files in typo3temp/ prefixed with a meaningful prefix, typically coming from the menu title, original image name etc.


2004-11-28  Kasper Skaarhoj  <kasper@typo3.com>

	* Main feature: Lots of updates on Indexed Search extension. The changes are mainly in the indexer, not the search plugin. The work is NOT FINISHED yet and don't update a production site with this work! One main thing to be aware of is that all indexing is done internally as utf-8. You should flush your old index tables before running the new one.
	* Fixed bug in t3lib_cs::utf8_strtrunc() (or so)... do'h Martin!
	* Fixed bug (spelling mistake) in the hook "processDatamap_preProcessFieldArray"
	* Fixed order of configuration forms in Extension Manager
	* Added timezone option in TYPO3_CONF_VARS array
	* Added right-click feature on context menus. Can be disabled with TYPO3_CONF_VARS if you don't like it. And a rightclick on the page/folder _title_ will also activate the menu! Theoretically it is not valid XHTML. Works in Mozilla and MSIE. Thanks Wolfgang!
	* Added TS option "USERUID_substToken"

2004-11-26  Michael Stucki  <michael@typo3.org>

	* Fixed bug #527: Title tag is added even if the page title was empty. Thanks to Hannes Schmid.
	* Fixed bug #526: Logging does not work on Windows systems. Thanks to Dirk Hoffmann.
	* New configuration option [SYS][displayErrors] for overriding the PHP "display_errors" option. By default, error messages in PHP are no longer displayed.
	* Improved description of [FE][logfile_dir] in config_default.php
	* TYPO3_CONF_VARS[BE][adminOnly] is now an integer value (was boolean by mistake)
	* Added missing description of 3rd parameter for the crop function in class.tslib_content.php

2004-11-18  Kasper Skaarhoj  <kasper@typo3.com>

	* !!! Moved ALL core localizations into language packs found in extensions prefixed "csh_[language key]". The consequence of this is that the backend will work in english until the proper language pack is installed for the language the user has selected. This step is taken to make backend localization more scalable and prevent the huge memory problems we have with ll-XML and 3.7.0. The "csh_*" extensions are NOT available in TER at the moment, but the whole bunch can be downloaded from http://130.228.0.33/t3dl/src/all_39_language_packs_as_local_extensions.tgz

2004-11-18  Ingmar Schlecht  <ingmar@typo3.org>

	* Implemented #508: Minor performance improvement in an if clause in t3lib_stdgraphic, thanks to Volker Graubaum.

2004-11-17  Kasper Skaarhoj  <kasper@typo3.com>

	* Converted locallang*.php to locallang*.xml in new system extensions.

2004-11-16  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug #416: Removing spurious DEFAULT '0' in SQL create table statements of uid columns right before they're executed in t3lib_install.

2004-11-16  Kasper Skaarhoj  <kasper@typo3.com>

	* Moved the remaining global extensions to sysext/ which were selected to be system extension.
	* Added configuration option in TYPO3_CONF_VARS[FE][lifetime] so the frontend users cookies can be set to a lifetime in seconds. Currently the cookie lasts only for the browser session and not more.

2004-11-15  Kasper Skaarhoj  <kasper@typo3.com>

	* Merged all changes from "TYPO3_3-7" branch
	* Changed to version 3.8.0-dev
	* Using "t3lib_div::cmpIP" for evaluating the list of "config.stat_excludeIPList"
	* Fixed view_help.php so translators of llXML can see all tables listed.

2004-10-25  Jan-Erik Revsbech  <jer@moccompany.com>

	*Fixed problem in htmlmail when running ith safe mode enabled.

2004-09-24  Michael Stucki  <mundaun@gmx.ch>

	* Release of TYPO3 3.7.0
	* Increased version number to 3.7.0

2004-09-24  Kasper Skaarhoj  <kasper@typo3.com>

	* Updated backend localizations for 3.7.0 Release
	* Tagging the release with "TYPO3_3-7-0"

2004-09-19  Michael Stucki  <mundaun@gmx.ch>

	* Release of TYPO3 3.7.0RC2

2004-09-19  Ingmar Schlecht  <ingmar@typo3.org>

	* Added option to set the PHP memory_limit with the install tool.
	* Fixed bug #248: Highlighting color of BE module is now the same as highlighting color in the page tree
	* Changed <meta name="generator" content="TYPO3 3.6 CMS" /> tag in class.tslib_pagegen.php to reflect version 3.7. Should be changed to something dynamic in the future! (see bug #318)
	* Fixed bug #365: Made comparing md5 hashes of t3x files in mod/tools/em/index.php ignore leading whitespaces. Patch by Martin T. Kutschker <Martin-no5pam-Kutschker@blackbox.n0spam.net>
	* Increasing version number to 3.7.0RC2

2004-09-19  Michael Stucki  <mundaun@gmx.ch>

	* A new warning message is displayed if the install tool password is still the default: "joh316"
	* Replaced all (comments AND code!) occurences of "writeable" with "writable"
	* Fixed bug #171: Displaying wrong filepermissions in filelist module
	* Fixed bug #261: fileDenyPattern default does not include ".php4"
	* Fixed bug #298: Browser client Konqueror not recognized
	* Fixed bug #362: Changed field length of sys_log[IP] to 39 (IPv6 related, patch by Sven Wilhelm)

2004-09-17  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug #181: Added the word "JavaScript" to the note on the BE login page. It's now: "(Note: Cookies and JavaScript must be enabled!)"

2004-09-15  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug #353: In typo3/wizard_add.php removed call to non-existing printContent() method. It doesn't need to print anything.

2004-09-14  Michael Stucki  <mundaun@gmx.ch>

	* Release of TYPO3 3.7.0RC1

2004-09-14  Michael Stucki  <mundaun@gmx.ch>

	* Fixed bug #159: Logging did not work with absolute logfile_dir specified. However this will still work only if the specified path is within either PATH_site or lockRootPath.
	* The BE login screen now shows the sitename by default
	* Fixed a typo in config_default.php
	* Changed description for lockRootPath

2004-09-14  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug #111: Install tool now allows for database name, password and username to contain any kind of chars (not limited to alphanumerical any more).

2004-09-14  Kasper Skaarhoj  <kasper@typo3.com>

	* Updated my email address from "kasper@typo3.com" (which is closed and will stay that way) to "kasperYYYY@typo3.com" which programmers should be able to figure out...
	* Updated all JavaDoc comments and function/class indexes in files, preparing for 3.7.0RC

2004-09-13  Kasper Skaarhoj  <kasper@typo3.com>

	* Added CSH for Web>Info/Localization Overview

2004-09-13  Kasper Skaarhoj  <kasper@typo3.com>

	* Changed little more in uniqueList, among others that a fixed number of paramters are supported only now!

2004-09-13  Michael Stucki  <mundaun@gmx.ch>

	* Fixed bug in t3lib_div::uniqueList that was caused when t3lib_div::uniqueArray was replaced with array_unique. Obviously array_unique doesn't remove empty values from the array but t3lib_div::uniqueArray did! Please take care of this if you still use this deprecated function in your extension!

2004-09-11  Kasper Skaarhoj  <kasper@typo3.com>

	* Updated changelog for 09/09
	* Fixed bug in stdgraphic::fontResize that made it go into eternal loops if the size could not be obtained in the lower end, basically when fontsize reached zero...
	* Fixed bug in alt_menu_functions which prevented Condensed Mode from working. But most likely it breaks something else, maybe some options around alternative navigation frame scripts that rene introduced.
	* Fixed a bug introduced yesterday where TYPO3 would not work with PHP versions below 4.100.0... :-) - clearly testifying to the fact that I have now run TYPO3 on PHP5 with TemplaVoila et al. for five days without problems.
	* Added new option for the dynamic tab menus where you can configure a free initial default tab index and even close all items totally (like toggle mode, but still with only one tab open at a time).
	* Increased levels of possible recursive permission setting to 10.
	* Web>Page: Introduced localization flags, removed move-up/down/new buttons for languages in default-content-binding mode and made the selection of default elements include the "All" language in default-content-binding mode which will correspond to how sys_language_overlay works in the frontend.
	* Introduced baseUrlWrap() function in tslib_fe (TSFE) which can be called for wrapping URLs with absolute baseUrl prefix in case you are using "realurl" of sorts. This is necessary to do for all urls that is handled by JavaScript, like "document.location" or "window.open" cases.
	* Fixed the realurl related bug with click-enlarged images that would open a non-existing URL (see "baseUrlWrap()" above). Also wrapped other JavaScript URls like in JSMENU and typolink related JSwindow action.
	* Introduced a global setting for GIFBUILDER TEXT objects to configure alternative font files for certain Unicode char ranges. This feature makes it very easy to set up eg. a japanese truetype font for all usages of GIFBUILDER where you still want another specific font used for the latin characters.
	* Introduced new HMENU feature: "alwaysActivePIDlist" which can configure certain page id which will always be expanded in menu as if they were "active".
	* Fixed problem with empty URLs in menu generation. Empty URLs may occur when a realurl points to the frontpage (which is a blank suffix to the base url). In such cases the URL now becomes the baseUrl of the site (if that is configured!). This should fix it very specifically for all realurl cases.
	* Fixed install tools incapability to delete files with certain prefixes in typo3temp/ folder.

2004-09-09  Kasper Skaarhoj  <kasper@typo3.com>
Sorry for writing these changelog entries with a delay of two days. I write them based on a CVS patch and it took ages to make that from a parking lot in Suresnes, Paris, 4 am in the morning. Its becoming harder to find a stable hotspot in Paris I think... But here we go:
	* Changed all HTTP_*_VARS to $_* superglobals. Also raised PHP requirement version to 4.1.0
	* Added wrapping functions to array browser class. Also updated the Configuration module to use these features so you can now click a key and get a string served ready to implement in eg. localconf.php
	* !!! Removed obsolete function "t3lib_div::setGPvars()"
	* Added $MCONF['shy'] feature (requested by Rene Fritz)
	* Added longblob in sqlparser
	* Added configurable JPG quality setting to stdGraphic class. Use $TYPO3_CONF_VARS[GFX][im_jpg_quality]
	* Added stdgraphic::ImageTTFTextWrapper() and stdgraphic::ImageTTFBBoxWrapper functions. Behind these changes a new feature has been implemented which makes it possible to render a single GIFBUILDER TEXT object with more than one font file for various criteria. The most important criteria is that a certain range of unicode chars can be rendered using another truetype font supporting eg. japanese glyphs while you still use another specific font for the design of latin chracters. This feature is known as "splitRendering" in GIFBUILDER TEXT objects.
	* Added new swapping mode setting for versioning: swapContent = ALL which is what you use if you want to swap the SUBTREE of a page as well!
	* Fixed a bug in transferdata class where too many field values were returned in wrong situations.
	* Fixed the timetrack class whitespace issue, removed the DAM module key in stddb/tables.php and removed the temporary class "t3lib_TCEforms_SelectTreeView" made by Rene Fritz.
	* Implemented configurable session timeout for backend users.
	* Changed the TYPO3 version number variable into a constant available before ext_localconf.php files are included.
	* Added "location" bar to the re-login screen. Inspired by Johannes Reichart who once many years ago sent me a mail about how the login screen should be protected against someone designing a similar prompt to trick users into giving them their passwords. I couldn't find a better idea than making the URL visible so people can validate the domain themselves.
	* Added localization view mode in Web>List module, allowing to see localization details for records, grouping them by their language and providing a "localization copy" button.
	* Updated english labels for backend/CSH according to change suggestions by 3EV from UK. Thanks.
	* Added obTS specific hook in tslib_content class. For Dan Frost and his empire...
	* Impleemnted third option for stdWrap crop feature (by Peter Klein)
	* Fixed typolink that would reject links to virtual files and folders locally, eg. links made by realurl etc. Previously such files HAD to exist, otherwise the link would not be rendered.
	* Changed stuff around the pagenotfound handling.
	* moved <meta charset...> in frontend output to be the first tag after the <html> tag.
	* Fixed old bug in tslib_search which cropped off the last char of a search word.
	* Fixed extra_page_cm_options that didn't detect itself properly when making the second menu. So now the elements from that extension will NOT anymore pop up in other second level menus... :-)

2004-09-10  Michael Stucki  <mundaun@gmx.ch>

	* Replaced t3lib_div::uniqueArray with native PHP function array_unique. The old function will remain for compatibility reasons only. Please do not use it anymore!
	* Removed comment about the expired Unisys patent in class.tx_install.php

2004-09-00  Jan-Erik Revsbech  <jer@moccompany.com>

	* Fixed bug #292 concerning Return path in class.t3lib_mailer.php. The fix has a seperate solution for windows and Unix. The unix fix does however not work with safe_mode enabled. Do not know how to overcome this. Perhaps an environment variable for sendmail can be specified? The fix for windows works OK with safe_mode on since, it does not rely on passing parameter directly to the mailer tranport agent (Sendmail or postfix), but instead sets the php variable sendmail_from, which has no effect on Unix systemt.

2004-09-02  Kasper Skaarhoj  <kasper@typo3.com>

	* Fixed a few basic PHP5 problems (aiming at PHP5 support in 3.7.0)

2004-09-02  Kasper Skaarhoj  <kasper@typo3.com>

	* BTW; Just created a hook for page indexing which "indexed_search" will also be using in near future - BUT at the time of this writing it will require a new version of indexed_search for you and that is NOT ready yet - so indexed_search will NOT work for you anymore before you get the new version of this extension!

2004-09-02  Kasper Skaarhoj  <kasper@typo3.com>

	* Added Catalan, Bosnian and Korean languages.

2004-08-29  Kasper Skaarhoj  <kasper@typo3.com>

	* Added a wildcard like option for values in the "language" condition in frontend (matchcondition class). Can now match any language found in the HTTP_ACCEPT_LANGUAGE value.

2004-08-29  Kasper Skaarhoj  <kasper@typo3.com>

	* Added "lockIP" setting for backend users - this will solve the problem that some has reported about backend users not being able to login with 3.7.0...
	* Added new HMENU special type, "language", which can generate a language selector using the "&L" variable directly.
	* Added option for HMENU (protectLvar) so menu items linking to pages that are not translated will have their "&L" var set to zero, thus reverting to the default language.
	* Corrected a bug in menu generation: Spacers for TMENU had a link around it - this was a bug, correct now. No links on spacer elements!

2004-08-26  Kasper Skaarhoj  <kasper@typo3.com>

	* Adding editlock icon in Web>Access

2004-08-26  Kasper Skaarhoj  <kasperYYYY@typo3.com>

	* Bugfix: in browse_links where the record listing contained links to clickmenus:
	* Added "Save and View" support for records which has another language set; For instance content elements and page overlay records will now view the page with the "&L=xx" parameter set to the language they represent.
	* Version selector (implemented in template class) implemented in all Web>* modules (depends on "version" extension)
	* Support for versioning in Web>List module ("v" button) (depends on "version" extension)
	* Bugfix: In Web>List the page icon is restored. "Was lost, but now is found."
	* Bugfix: Fixed access control in the interface of the page module and wizard_rte; Now checks if user has proper permissions before displaying certain buttons. Not critical bug, but obviously confusing for users to see the editing forms like if they actually could edit...
	* Added view-page icons in Web>Page module for the language column view.
	* Added first support for versioning previews in the frontend (CONTENT and RECORD cObjects)
	* Implemented new localization modes configurable with TypoScript, "config.sys_language_overlay" and "config.sys_language_softMergeIfNotBlank"
	* Added automatic character set conversion of frontend output if metaCharset and renderCharset are different. Also incoming POST arrays are converted in the reverse direction.
	* Changed calling order of TSFE->getCompressedTCarray() in "index_ts.php": Now it loads before ->getConfigArray(). Should be no difference to anyone except internal processing in tslib_fe which can now access the array a little before it usually could.
	* Added t3lib_cs::convArray() for charset conversion of array contents.

2004-08-23  Kasper Skaarhoj  <kasper@typo3.com>

	* Implemented versioning API in tcemain plus other places. Still not functional for the broad public (will be in 3.8.0). Missing conceptual testing, implementation in the backend interface (still to be discussed how that is best done and fitting workflow) and not at all in the frontend.
	* Tables configured for versioning by default is pages, tt_content, pages_language_overlay and sys_template
	* !!! Notice that the type of integer for uid/pid fields of the above mentioned tables changed from "unsigned" to "signed". This should only mean something if you have uid/pid values over 2 billion - but then PHP will fail you anyways. So the impact should be nothing.
	* For testers: Ask me (kasper) for the "version" extension which is my test bench and future management tool for the final implementation.
	* !!! Fieldnames 't3ver_oid', 't3ver_id' and 't3ver_label' has been reserved for versioning adminstration

2004-08-22  Ingmar Schlecht  <ingmar@typo3.org>

	* Changed the way how the EM and the Kickstarter interact
		-> Removed all hardcoded references to the Kickstarter from the index.php of the EM and changed it to be extendable using the "Integrate into existing modules" functionality.
		-> Removed the file typo3/mod/tools/em/class.kickstarter.php
		The new version of the Kickstarter that uses these new ways of interaction has the new extension key 'kickstarter' and is already available from typo3xdev CVS.
		The old version of the Kickstarter having the key 'extrep_wizard' is not used anymore.

2004-08-21  Kasper Skaarhoj  <kasper@typo3.com>

	* Added support for backend initialization in PHP shell scripts. Interesting for deamons, cronjobs etc where you want a PHP script to run from shell but with a full backend environment. Documented in next version of Inside TYPO3.
	* Configurable multiplication of DB field size (useful for resizing database for UTf-8 support)
	* Fixed bug in show_item.php script / stdGraphic with abs/rel path prefix and typo3temp/ folder.
	* TCEforms/TCEmain support for localization; You can exclude certain fields in localized versions, see diff. view if original changed, see the original records content with the localized version.
	* TCEforms support for dynamic TAB menus (use the --div-- in types configuration and enable in [ctrl] section
	* All TCEforms changes for localization and tab menus are documented in TYPO3 Core API
	* Added support for localization-copies in Web>Page module; Now you can create copies of default language elements with a click on a button. There is even a new mode where all localizations must follow the default language 100% - but this still lacks frontend support. Enabled by "web.layout.defLangBinding=1" in Page TSconfig.
	* Finally implemented dynamic (DHTML based) tab menus for flexforms using sheets!
	* Added "select all" link for "checkbox" renderMode of "select" types in TCEforms
	* New tcemain "cmd": "localize". Will make a localization-copy of a record, eg. content elements.
	* Made "explicitDeny" mode for backend users configurable in TYPo3_CONF_VARS as requested on the dev-list.
	* Added "sleep(5)" when a false login was detected in the login-screen. This makes trying lots of username/passwords in the login screen boooooring...
	* Added new GUI type: Dynamic TAB menu which can switch between a number of sheets of content dynamically with tabs. Used in flexforms and also in TemplaVoila.
	* Set-locale issue for USER_INT objects should be fixed. Please test this someone!


2004-08-20  Ingmar Schlecht  <ingmar@typo3.org>

	* Marginally changed the error message in t3lib_userauth appearing when the HTTP_REFERER mismatched.

2004-08-20  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bugs #218 and #220: Install tool erroneously complained about low memory_limit

2004-08-20  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug #288: In t3lib_parsehtml prefixRelPath incorrectly prefixed absolute URLs

2004-08-15  Michael Stucki  <mundaun@gmx.ch>

	* Corrected wrong parameter order for some implode function calls.

2004-08-07  Kasper Skaarhoj  <kasper@typo3.com>

	* Added three new permission modes for backend users: 1) Localization access control, 2) Access control on value level (for instance allow/deny individual selectorbox values), 3) API for custom permission options.
	* Implemented control of these modes in tcemain, tceforms and alt_doc.php + QuickEdit. Still need to implement it for edit icons around, but this is not critical, mostly a usability issue.
	* Moved table "sys_language" from extension "cms" back into the core
	* Updated CSH at various places.
	* Finished the accessListRenderMode(s) (see 4/8 below)
	* Still unsettled about various default settings related to these new options, but will discuss on dev-list.

2004-08-04  Kasper Skaarhoj  <kasper@typo3.com>

	* Added new rendering modes for the "select" type in TCA: You can now render multiple-select lists as either a SINGLE selector box with multiple value selection OR as a list of checkboxes. For mozilla even the icons are rendered nicely in the option tags. Check out the backend user group configurations. Work is still in progress.

2004-08-04  Kasper Skaarhoj  <kasper@typo3.com>

	* Added TYPo3_CONF_VARS[FE][lockHashKeyWords] so it is optional to lock FE user sessions to HTTP_USER_AGENT

2004-08-03  Kasper Skaarhoj  <kasper@typo3.com>

	* Added and Changed features around page languages. More to come including a document guiding people about charsets and localization.

2004-07-24  Jan-Erik Revsbech  <jer@moccompany.com>

	* Added support for other transfer encodings in the dmailer class. Will start to move the t3lib_directmailer class out of the core and into the direct_mail extension.

2004-07-23  Kasper Skaarhoj  <kasper@typo3.com>

	* Added the Core CVS rules to repository at "misc/core_cvs_rules.txt". ALL Contributers to the CORE CVS SHOULD READ AND FOLLOW THIS!

2004-07-15  Robert Lemke  <rl@robertlemke.de>

	* Added new language flag icons (see t3lib/gfx/flags/). Will be used by templavoila and maybe sys_language

2004-07-12  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug #194: wizard_table.php, missing parameter 'backPath'

2004-07-12  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug #79: Extension manager: Removing extensions containing empty folders did not work
	* Fixed bug: When removing an extension, typo3 tried to remove the extension directory twice

2004-07-02  Michael Stucki  <mundaun@gmx.ch>

	* Fixed bug #191: Small typo in German translation

2004-06-28  Kasper Skaarhoj  <kasper@typo3.com>

	* Moved creation of menu graphics, scaled images, gifbuilder images and temporary image files into subfolders of typo3temp/
	* Fixed case-folding-cache-file bug in t3lib_cs...
	* select a filepath as a source of the items you can add to the box (single/multiple) without copying the files of course.

2004-06-21  Michael Stucki  <mundaun@gmx.ch>

	* Fixed bug #119: Another fe_adminLib htmlspecialchars() issue

2004-06-19  Kasper Skaarhoj  <kasper@typo3.com>

	* Moved CSH locallang-XML labels into extensions prefixed "csh_".

2004-06-18  Michael Stucki  <mundaun@gmx.ch>

	* Fixed bug #32: ImageMagick will convert only the first page of a multi-page PDF file

2004-06-11  Robert Lemke  <rl@robertlemke.de>

	* Created new hook in class.t3lib_tcemain.php in process_datamap. Search for $TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['processDatamapClass']
	  (other hooks in that class will follow by Rene as I know from a trusted source ... ;-)

2004-06-09  Robert Lemke  <rl@robertlemke.de>

	* Fixed bug #123:
		The stdWrap-option "stripHtml" should come before the option "crop" because HTML-Tags are recognized as Text by the crop-option but getafterwards stript out. That produces a wrong textlength.
		Changed order of "crop" to after "stripHTML"
		Affected file: class.tslib_content.php

2004-06-08  Robert Lemke  <rl@robertlemke.de>

	* Fixed bug #70: Number of files (file count) displayed in file list module was one number too high ("5 Files" although 4 only exist). Updated typo3/class.file_list.inc
	* Changed one line in media/scripts/plaintextLib.inc which caused a "page not found" in some e-mail clients.

2004-06-06  Kasper Skaarhoj  <kasper@typo3.com>

	* Changed all locallang files from "lang" system extension into the new locallang-XML format instead. Includes changes to a bunch of core scripts which had to include the new files with an API function from the $LANG object.

2004-06-06  Kasper Skaarhoj  <kasper@typo3.com>

	* Added "groupChangeMask" option in TYPO3_CONF_VARS - makes it possible to set which group newly created files and folders will get. (Thanks to Stucki)

2004-06-03  Kasper Skaarhoj  <kasper@typo3.com>

	* Added API for configuring tables (ending on "cache") that are flushed together with "Clear All Cache".
	* Fixed that the Admin Panel is always on top (z-index : 0;

2004-06-03  Kasper Skaarhoj  <kasper@typo3.com>

	* Added base url to typo3 error dialog in frontend. Means it shows logo when using realurls now.
	* Added "READFILE:" prefix for pageNotFound handler in frontend; This will read the contents of an html file and output with substitution of a few marker strings.
	* Added feature in page tree; Temporary mounting a point in the users page tree as root. (available in the "More options..." - needs upgrade of that extension as well...).
	* Fixed frontend edit icons under real-url conditions. They didn't work in MSIE. Had to prefix them with base url.

2004-05-29  Kasper Skaarhoj  <kasper@typo3.com>

	* Fixed bug; All page types (doktype) was shown to uses even if they were not all in their list of possible type values.

2004-05-29  Kasper Skaarhoj  <kasper@typo3.com>

	* Created a new DEFAULT backend module called "manual". It shows a TOC of CSH items from the system. This will provide a "user sensitive" manual inside of TYPO3 with localized content to the extend that translators has translated CSH labels in the system. The vision is that the Documentation Team will develop CSH content so far that this will become a really good inline reference for users of TYPO3. Also, extension authors are encouraged to implement CSH for their tables and backend modules and let that be the user manual for their products!

2004-05-28  Kasper Skaarhoj  <kasper@typo3.com>

	* Added new CSH entries at various places using a new method in t3lib_BEfunc. The CSH entries are still empty and needs to be completed.

2004-05-28  Kasper Skaarhoj  <kasper@typo3.com>

	* Added visual response to backend module selection in the menus; The class attribute of the menu items is changed when a module is selected. The default stylesheet is modified so this results in the current module being highlighted in the menu.

2004-05-27  Kasper Skaarhoj  <kasper@typo3.com>

	* Fixed various things in file processing, t3lib_extFileFunc et al.

2004-05-24  Kasper Skaarhoj  <kasper@typo3.com>

	* Added API for custom RTE transformations. Documented in upcoming "TYPO3 Core API".

2004-05-20  Kasper Skaarhoj  <kasper@typo3.com>

	* Fixed remaining issues with styles in the backend regarding the TCEforms. There has been added additional possibilities of styling forms, now with classes in stylesheets, using $TBE_STYLES to set them up. Documentation of $TBE_STYLES for TCeforms has been updated in TYPo3 Core Api as well.

2004-05-20  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed two install tool bugs:
		#83: On non open_basedir'ed systems check if IM executables exist before trying to execut them.
		#95: Use ini_get() instead of get_cfg_var()

2004-05-19  Kasper Skaarhoj  <kasper@typo3.com>

	* Fixed stylesheet issues in Extension Manager.

2004-05-19  Kasper Skaarhoj  <kasper@typo3.com>

	* Finally fixed typo3/show_item.php and typo3/wizard_colorpicker.php scripts for TYPO3 3.6.0 compliance. Now only extensions and some t3lib/ are missing clean-up.

2004-05-18  Kasper Skaarhoj  <kasper@typo3.com>
	* Added t3lib_cs::specCharsToASCII() for converting special chars (like umlauts) to their double-byte alternatives in ASCII (like au, oe etc...). Function is NOT finished at all, only added so I could use it for the conversion of filenames in simulateStaticDocuments.
	* TypoScript charset compatibility extended: tslib_cObj::caseshift(), tslib_cObj::substring(), tslib_cObj::crop() uses functions in t3lib_cs now. Also stdWrap.strftime will automatically convert localized string from locale charset (guessed by t3lib_cs) to renderCharset.
	* !!! Website charset is now taken from "forceCharset" by default (if found) and in any case the http-header with text/html and charset is sent UNLESS you disable it with "config.disableCharsetHeader=1". You will probably have to disable this header if you are using TYPO3 for XML feeds or wap-pages.
	* Added "config.renderCharset" option: This is the charset of the content while rendered in the frontend engine. If different from "metaCharset" a conversion must happen before output to browser. Both renderCharset and metaCharset takes their default values from TYPO3_CONF_VARS[BE][forceCharset] if found, otherwise they default to "iso-8859-1". Also "metaCharset" takes "renderCharset" as default - and if metaCharset is different from renderCharset a conversion will happen on output.

2004-05-18  Kasper Skaarhoj  <kasper@typo3.com>

	* Created new function, t3lib_div::fixed_lgd_cs(), which should be used in the backend wherever a string is shortend for visual display. This function will truncate the string according to the backend charset (which should of course be set by forceCharset to a fixed value). This new function has also been substituted numerous places in the source of course (hence all the script updates).

2004-05-17  Kasper Skaarhoj  <kasper@typo3.com>

	* Moved "install" extension to be a sys extension in sysext/

2004-05-17  Kasper Skaarhoj  <kasper@typo3.com>

	* Corrected some bugs in t3lib_cs while writing a unit test for it.

2004-05-15  Kasper Skaarhoj  <kasper@typo3.com>

	* Splitted the Install Tool interface parts out from t3lib_install into the class tx_install (in extension "install"). Only things left are logic to update localconf.php files and manage SQL / Database (for Extension Manager).

2004-05-11  Kasper Skaarhoj  <kasper@typo3.com>

	* Changed version number to 3.7.0-dev according to newly adopted major.minor.patch version numbering model.

2004-05-11  Kasper Skaarhoj  <kasper@typo3.com>

	* Merged branch changes from "TYPO3_3-6-0"; Mainly bugfixes by ingmar.

2004-05-11  Kasper Skaarhoj  <kasper@typo3.com>

	* Rolled back browser detection in matchcondition class.

2004-05-07  Kasper Skaarhoj  <kasper@typo3.com>

	* Added "relPathprefix" to TEMPLATE cObject and also added support for relative path substitution of references in url() wrappers in <style> tags. This will also fix THAT problem reported for automaketemplate.

2004-04-30  Kasper Skaarhoj  <kasper@typo3.com>

	* Merged TYPO3_3-6-0 branch changes by robert into HEAD. See 3.6.0 branch change log if you want.

2004-04-27  Kasper Skaarhoj  <kasper@typo3.com>

	* TAG: "TYPO3_3-6-0RC2", BRANCH "TYPO3_3-6-0"

2004-04-26  Kasper Skaarhoj  <kasper@typo3.com>

	* Added possibility to prefix references to wizard scripts with "EXT:" for reference to wizard scripts in extension.

2004-04-26  Kasper Skaarhoj  <kasper@typo3.com>

	* Added prefix to relative file reference in @import style sheet

2004-04-26  Kasper Skaarhoj  <kasper@typo3.com>

	* Fixed bug where DB mounts for a user which has been deleted would still show up in the page tree.

2004-04-26  Kasper Skaarhoj  <kasper@typo3.com>

	* Fixed bug with pageNotFound handling.

2004-04-26  Kasper Skaarhoj  <kasper@typo3.com>

	* Added a PAGE Tsconfig option to disable the automatic clearing of page cache when records are edited.

2004-04-26  Kasper Skaarhoj  <kasper@typo3.com>

	* Updated "cms" extension with most recent labels from TYPO3.org

2004-04-26  Kasper Skaarhoj  <kasper@typo3.com>

	* Updated "lang" extension with most recent labels from TYPO3.org

2004-04-26  Kasper Skaarhoj  <kasper@typo3.com>

	* Added Latvian, Japanese and Vietnamese languages

2004-04-24  Kasper Skaarhoj  <kasper@typo3.com>

	* Added to TypoScript object browser that the title text of the object links contains information about in which lines in the TypoScript body code that a certain object path is set, cleared, copied.

2004-04-23  Kasper Skaarhoj  <kasper@typo3.com>

	* Added "removeBadHTML" option to stdWrap - this can help to avoid XSS dangerous HTML.

2004-04-23  Kasper Skaarhoj  <kasper@typo3.com>

	* Added feature in TYpoScript data type "getText" to get values from GET arrays via "GPvar" key word. Now you can specify ".date = GPvar : tx_myext|mode|index" to get value of &tx_myext[mode][index]

2004-04-23  Kasper Skaarhoj  <kasper@typo3.com>

	* Added option "$TYPO3_CONF_VARS["GFX"]["gdlib_2"] = 'no_imagecopyresized_fix';" to avoid using the imagecopyresized workaround in stdgraphic class which has failed for some. Whether the workaround is needed anymore is not certain. Some people say it works fine without.

2004-04-23  Kasper Skaarhoj  <kasper@typo3.com>

	* Added TypoScript condition "hostname" for matching hostnames for IP addresses.

2004-04-23  Kasper Skaarhoj  <kasper@typo3.com>

	* Added API for configuring extra tables/fields for listing in Web > Page

2004-04-23  Kasper Skaarhoj  <kasper@typo3.com>

	* Added option "mod.web_list.clickTitleMode = edit/info/show" to determine alternative behaviours of title links in the Web > List module.

2004-04-23  Kasper Skaarhoj  <kasper@typo3.com>

	* Added Page TSconfig option "mod.web_list.listOnlyInSingleTableView = 1" which makes the List module list only the table names by default. You have to click the table name to get the single-table view before records show up. This is useful for pages containing many records from many tables.

2004-04-23  Kasper Skaarhoj  <kasper@typo3.com>

	* Added refresh button to taskcenter (not in core CVS)

2004-04-23  Kasper Skaarhoj  <kasper@typo3.com>

	* Added "Login failure" message in backend login box

2004-04-23  Kasper Skaarhoj  <kasper@typo3.com>

	* Added to user authentication that the HTTP_USER_AGENT is hashed and a part of the session lookup (in other words, if the HTTP_USER_AGENT stays constant the session stays as well). Also added possibility of configuring that the IP adresse used to lock down sessions is only part 1,2,3 or 4 (all) used. Mainly this is easily configurable for frontend users (which has had the "security level" set to "2" now instead of disabled totally!). For backend users I didn't make configuration options in TYPO3_CONF_VARS - just wanted to know if people needed it there first (not to bloat options....)

2004-04-23  Kasper Skaarhoj  <kasper@typo3.com>

	* Added possibility of jumping directly to editing a page in the backend. You specify "alt_main.php?edit=[page id]" and you will be brought directly to the page edit module.

2004-04-22  Kasper Skaarhoj  <kasper@typo3.com>

	* Added in RTE link box: Searched *into* Content ELements of type Text and Text w/Image after anchors (<a name="...">) and lists them as well with content elements to which an anchor link can be made.

2004-04-22  Kasper Skaarhoj  <kasper@typo3.com>

	* Added configuration options for what level of pages cache is cleared when you edit a page header. You can not get children and grand-parents cleared as well. (TCEMAIN.clear..... in Page TSconfig)

2004-04-21  Kasper Skaarhoj  <kasper@typo3.com>

	* Added "altText" and "titleText" attributes to the IMGMAP object (used for IMGMENU: Now you can add values to the alt and title attributes of image maps).
	* Added "ATagTitle" attribute for TMENU / GMENU so the menu links can have a title attribute for accessible websites.
	* Added "allStdWrap" attributes for TMENUITEM/GMENU item states. + some other properties requested.

2004-04-21  Kasper Skaarhoj  <kasper@typo3.com>

	* Added features around "includeCSS" TypoScript property for PAGE objects: "import" and "alternate" attributes (booleans) are now supported.

2004-04-20  Kasper Skaarhoj  <kasper@typo3.com>

	* Changed a bunch of things, added a few new features to make TYPO3 accessible. One significant thing was the attributes "altText", "titleText" and "longdescURL" for IMAGE, IMGTEXT, FILE and ->filelink() in TypoScript.

2004-04-20  Kasper Skaarhoj  <kasper@typo3.com>

	* Completed changes for XHTML compliance requests from the Accessibility group. Mainly adding support for more XHTML types, adding attributes like xml:lang to <html> tag, support for "dir" attributes in HTML tags, support for writing inline styles and JavaScript to a temporary file to keep a clean HTML <head> section...

2004-04-19  Kasper Skaarhoj  <kasper@typo3.com>

	* "minItems", "maxItems" and "begin" has been added as properties to MENU objects (like TMENU, GMENU, IMGMENU etc) so you can set these values for the individual menus (as they probably should have been in the first place...).

2004-04-19  Kasper Skaarhoj  <kasper@typo3.com>

	* Added a checkbox to the page header in the "cms" extension called "Hide in menu". With this checkbox the page is excluded from menus on the totally same terms as doktype=5 ("Not in menu") does. The implementation is believed to be complete (although there might be some places overlooked). The checkbox renders the doktype 5 "Not in menu" obsolete; the idea is that the checkbox should be used in the future. Finally - if anyone read this far - I prophecise, that within two weeks from this moment someone will approach me and want to have a visual response to the "Hide in menu" checkbox in the icon; currently the page icon does NOT change it looks (and it would be very doubtful if we could justify making it change...).

2004-04-19  Kasper Skaarhoj  <kasper@typo3.com>

	* Added new FORM cObject type, "label", which inserts a label instead of a field. Also fixed ordering problem when the "dataArray" attribute of FORM is used (now renders the form in the numerical order of the elements instead of order of appearance).

2004-04-19  Kasper Skaarhoj  <kasper@typo3.com>

	* Fixed incompatibility between Mount Points and property "overrideId" in menus.

2004-04-19  Kasper Skaarhoj  <kasper@typo3.com>

	* Added support for JavaScript regular expression evaluation in FORM cObject. Means that fields in formmails can now be checked for a pattern and not only for "required".

2004-04-19  Kasper Skaarhoj  <kasper@typo3.com>

	* Added possibility to copy database/file elements attached to records; You can now click the icon of these elements in the editing forms and get a (limited) context menu for these elements.
	* Fixed some other bugs around.

2004-04-16  Kasper Skaarhoj  <kasper@typo3.com>

	* fixed detection of schemes (http://, ftp:// etc) in "typolinks". Now email addresses are detected only if NOT prepended with a scheme. Also the presence of a scheme will make typolink function detect the input as a plain URL which should just be passed through untouched.

2004-04-14  Kasper Skaarhoj  <kasper@typo3.com>

	* Mount Points (Mount pages) reworking:
Changelog:
Fixed bugs in Mount Points / Status:
- Added protection against forging the MP variable value; The exact number of MP var parts must exist, mountpoints cannot exist in rootline (must be resolved) etc.
- Fixed false detection of CUR, ACT etc. states in HMENU (including x_LAYERS menus)
- Added support for typolink linking to closest page in rootline (thus detecting Mounts)
- Fixed support for correct MP-vars for any entryLevel number for HMENU
- Added option to overlay the mount point with the mounted page; This means the mount point gets substituted with the mounted page and not only the subpages of the mounted page. This is called "Overlay" mode. Can be set on a per-mount level (checkbox in the pages record). Only doktypes < 200 can be mounted in overlay mode.
- Checked consistency of exclude pages/hidden/starttime/endtime and found it to be ok.
- HMENU special types supported:
	rootline : full support
	list,directory : Supported, but only if the ID values supplied are in the main rootline of the site. The pages in the menus are allowed to be mount points of course. If the supplied IDs are outside the rootline they will loose their connection to the rootline unless "config.MP_mapRootPoints" is configured to supply some mapping.
	browse : Not supported: Didn't have time to do it, but should be possible to implement technically.
	keyword/updated : Supported.
- Support for chained mount points; A mount point can mount another mount point. "Substitute Mount Point (this page) with Mounted page:" (overlay mode) is evaluated based on the LAST mountpoint in chain. In overlay mode enableFields are evaluated for the Mounted page while in normal mode it is evaluated for the mount point.
- Fixed problem with caching of the same page id with various MP vars; The page in the "cache_pageSection" table had to be identified by a combination of page id and MPvar.
- No support for Page "shortcut" mode: You cannot successfully make a shortcut to a mounted page. Support is currently not planned.
- Support added for search in mount pages; basically this is done since tslib_cObj::getTreeList() is now including MountPages as well! Since getTreeList() does not return any information about MPvars for an ID (its only a list of ids!) then you should enable "config.MP_mapRootPoints = root" or so - otherwise the mounted page ids will not obtain the necessary "MP" var.
- links to mount points re-maps themselves to right title/uid


2004-04-05  Robert Lemke  <rl@robertlemke.de>

	* Modified typo3/sysext/cms/tslib/class.tslib_content.php:
		* fixed bug: When providing an imgList for the IMGTEXT TLO, no spaces were accepted in the comma separated list. Now using t3lib_div::trimExplode for splitting.
		* fixed bug: The alt and title parameters have not been set correctly when using IMGTEXT with the imgList property. Now everything works as expected: You may specify alt/title texts for the whole IMGTEXT, or for each imgObj independently

	* Added support for automatically caching image dimensions instead of executing IM identify.  Original extension provided by Michael Stucki.
		* Affected files: t3lib/class.t3lib_stdgraphic.php, typo3/sysext/cms/ext_tables.sql
		* Tested by Ingmar, Michael and Robert

2004-04-01  Kasper Skaarhoj  <kasper@typo3.com>

	* Fixed problem with domain look-up when an extra "/" was added to eg. "typo3.com//" -> showing "typo3.org" instead

2004-04-01  Kasper Skaarhoj  <kasper@typo3.com>

	* Fixed some browser detection bugs in t3lib_matchcondition and t3lib_div. Not necessarily exhaustive! For instance a report on Netscape 7.2 being wrongly detected may not be resolved (need teh value of HTTP_USER_AGENT to solve it since I do not have netscape 7.2!)

2004-04-01  Kasper Skaarhoj  <kasper@typo3.com>

	* Added full safety for the internal TYPO3 formmail; email addresses in the fields "recipient" and "recipient_copy" are encrypted in the transfer and the "formmail" interface is safe for spam-misuse (since a proper recipient address cannot be forged automatically).
	* !!! If someone is using the "formmail" API from other renderers than the FORM cObject in TypoScript you will have to set the recipient address to the encrypted value by default OR alternatively disabled the check by TYPO3_CONF_VARS[FE][strictFormmail] = FALSE

2004-04-01  Kasper Skaarhoj  <kasper@typo3.com>

	* Added Jens Ellerbrocks suggestion for "postUserFuncInt" in stdWrap.

2004-04-01  Kasper Skaarhoj  <kasper@typo3.com>

	* Added some file icons from Ben and Emile

2004-04-01  Kasper Skaarhoj  <kasper@typo3.com>

	* Added "General Plugin" to content elmeent wizard list.

2004-04-01  Kasper Skaarhoj  <kasper@typo3.com>

	* Fixed SSL problem and many other minor things

2004-03-31  Kasper Skaarhoj  <kasper@typo3.com>

	* Fixed spam-protection of email adresses inserted by "mailto:..." in text.

2004-03-31  Kasper Skaarhoj  <kasper@typo3.com>

	* Fixed another small bug in detection of simulateStaticDocuments.

2004-03-31  Kasper Skaarhoj  <kasper@typo3.com>

	* Fixed distinction between ' and " in EM.

2004-03-31  Kasper Skaarhoj  <kasper@typo3.com>

	* Removed "onblur" handler in "browser.php" - had no great significance apparently and bugged people on Mac.

2004-03-31  Kasper Skaarhoj  <kasper@typo3.com>

	* In t3lib_div::linkThisUrl(), remove "?" if no parameters were found.

2004-03-31  Kasper Skaarhoj  <kasper@typo3.com>

	* Added "config.doctype = none" support - omits any doctype in the frontend.

2004-03-31  Kasper Skaarhoj  <kasper@typo3.com>

	* Fixed an error for form wizard (and others...) where the return URL would be wrong if the wizard was activated right after having saved a new record (would like back to a new record again).
	* Further, I added the option of xmlOutput from the table and form wizards. This option is configured in the wizard setup. There is NO frontend rendering supporting the XML format yet. But it might be very handy (and recommended) for other applications wanting to use the table and formwizards.

2004-03-31  Kasper Skaarhoj  <kasper@typo3.com>

	* Changed the way simulateStaticDocuments are resolved

2004-03-28  Kasper Skaarhoj  <kasper@typo3.com>

	* Changed "t3lib_div::calluserFunc" and t3lib_div::getUserObj to use "&" as token for persistent (global) objects rather than ">" - PLEASE UPDATE YOUR CODE if you happend to use these features already (less than a week old).

2004-03-24  Kasper Skaarhoj  <kasper@typo3.com>

	* Added <span title=""> to path in backend modules in Web main module; you can now see the full path (non-truncated) as title text.

2004-03-24  Kasper Skaarhoj  <kasper@typo3.com>

	* Added RTE API and changed the "rte" extension to use that.
	* Added t3lib_div::getUserObj() which returns an OBJECT , instead of executing a method call like callUserFunc() does.

2004-03-23  Kasper Skaarhoj  <kasper@typo3.com>

	* Fixed problem in Extension Manager where files and directories was not written with correct permissions. I also added t3lib_div::mkdir() general function for creating directories.

2004-03-23  Kasper Skaarhoj  <kasper@typo3.com>

	* Fixed bug that page tree didn't unfold when entering page id in the shortcut frame.

2004-03-23  Kasper Skaarhoj  <kasper@typo3.com>

	* Added a checkbox for be-users to disable IP locking. This is useful if you have backend users complaining about being thrown off sessions.

[RC2 note:
As usual the changelog is not at all "complete" in terms of what has been changed. I regret this, but the tradeoff would be slower development if all details had to go in here which is why they don't.
However all IMPORTANT changes that might break compatibility somewhere is always entered in the log with "!!!" prefixed.
- kasper
]

- Modified how external URLs for pages are redirected to: In case the URL seems to be *relative* ("blabla/index.php", "?id=12..") the URL is prefixed with the site URL. Otherwise it won't work with "realurl" extension.
- Added features in t3lib_div::callUserFunction(); You can not specify objects to be instantiated once and stored globally for reuse (simply change "->" to "->>") and you can additionally specify a class file to include as a prefix to the method/function reference.
- Added a new constant "TYPO3_DLOG" which is tied to TYPO3_CONF_VARS[SYS][enable_DLOG] and t3lib_div::devLog function; the framework provides possibility of implementing logging calls all over the source code, both frontend and backend with a minimum loss of speed if no logging is asked for and with the possibility of better debugging/tracking for developers
- Added some new options to array2xml to obtain XML creation from arrays which observes PHP data types and has options for better protection of tag names etc. Fixed a bug in the detection of binary data in arrays for base64 encoding as well.
- Script "tslib/media/scripts/makeMenu_keywords_updated.inc has been removed since it was obsolete.
- Fixed problem with references in FlexForms! Now all references gets correct when copying a page and images will also be copied.

Generally:
- Database Wrapper class "t3lib_DB" has been created, containing simple wrapper functions for MySQL and query building functions.

!!! - tslib_content::getUpdateJS()		Is NEVER stripping off slashes now, please update your code in extensions if you rely on this (most unlikely)
!!! - tslib_content::DBgetInsert() + tslib_content::DBgetUpdate() 	Will ALWAYS apply slashes to values in queries now (for security). If you use these functions in your extensions, please update your code to the new situation! (These two functions now use their counterparts in t3lib_DB class)
!!! - IP locking has been added to user sessions: For backend this is DEFAULT (which means that users might experience to be logged out if their IP changes dynamically during a session!) and for frontend users it is disabled by default (but can be enabled from TYPO3_CONF_VARS)
!!! - t3lib_BEfunc::DBcompileInsert() and t3lib_BEfunc::DBcompileUpdate() has been modified so they ALWAYS add slashes to values inserted in queries. (Further they are deprecated now since they just call their counterparts in t3lib_DB class.)
- Implemented t3lib_DB class as a first step towards database abstraction. For now it contains wrapper functions that ALL code should use in the future.
!!! - tslib_cObj::DBcompileInsert has been removed since it was obsolete.

25/2:
!!!- Removed global extension "Extrep"

2004-03-19  Robert Lemke  <rl@robertlemke.de>

- Fixed SQL statement (missing quotes) in t3lib_dmailer, reported by Martin Erichsen.
  See: http://typo3.org/1422+M55c87d9b3b8.0.html'

2004-02-12  Robert Lemke  <rl@robertlemke.de>

	*
Made changes to class.tslib_content.php:
- added function getAltParam () which acts as an abstraction method / API creating alt and title parameters for img tags
- added a new TypoScript configuration property: "titleText" (string / stdWrp) similar to "altText". If only altText is specified, it will also be used for the "title" parameter
- used getAltParam in IMGTEXT () for rendering the alt tag
- used getAltParam in cImage () for rendering the alt tag
- added title="" when neccessary, ie. all cleargifs havin an alt="" parameter now also have a title=""


Kasper Skaarhoj, 6/2:
 - Added processing option to RTE, "proc.plainImageMode"
 - Added options for select and group types in TCA to set the selector box style.
 - Added $altPageId parameter to function linkTP*() in tslib_pibase + pi_list_linkSingle()
 - Changed the order of <?xml> and <!DOCTYPE> in the frontend for XHTML around again. And added an option, "doctypeSwitch" which will reverse the order for those needing that. And finally the "doctype" option fed with a value that is not "xhtml_frames", "xhtml_trans" or "xhtml_strict" will be outputted AS the doctype!
 - Implemented checkbox for show thumbnails in Element browser/file and RTE select image dialog.
 - Implemented pop-up window size selector in link wizard


Kasper Skaarhoj
	* Removed "mininews" from global extensions - that was an error in RC1
	* Removed global extensions "beuser_tracking/ classic_welcome/ design_components/ tt_links/" from main distribtion. They are either obsolete or irrelevant and it has been considered responsible to remove them like this.

2003-12-23  Robert Lemke  <rl@robertlemke.de>

	* Added another TSconfig option for replacing the create new content wizard (-> templavoila). Only added a few lines.

20/12: Change the backend icon processing: Not, by default icons are NOT processed with overlay of hidden, start/endtime icons; The icons are found preprocessed with the source icon. This can be disabled so the old behaviour will apply, see TYPO3_CONF_VARS[GFX] - however group-numbers on icons have been permanently disabled.

Fixed all:
- Click menu does not work in task-center/weblist
- admin-only flag in TYPO3_CONF_VARS so only administrators can log in/be authenticated.
- Click menu does not work in Opera.
- BUG: Row-highlighting for both Page and Folder trees are not stable enough.
- BUG: when editing records from Web>View the palette will not show properly in the topframe!
- BUG: Email forms wizard: "Checked: " for checkboxes does not work!
- BUG: File>List , list-frame: Click menu does NOT work in Mozilla! cannot find the bug!
- Convert selecting of filemounts from GROUP selector to a selectorbox.
- Option: Frameset modules without the "border" frame and therefore adjustable freely.
Changed all usage of t3lib_div::GPvar('SET') to t3lib_div::GPvar('SET',1) (stripping slashes) where its used to set MOD_SETTINGS for backend modules.

2003-12-16  Robert Lemke  <rl@robertlemke.de>

	* Added and changed some features related to the replacement of default page module by a custom one (templavoila). See t3lib_positionmap, t3lib_tsfebeuserauth, alt_shortcut, alt_clickmenu

2003-12-16  Kasper Skaarhoj  <kasper@typo3.com>

	* Added new languages labels for cms and lang extensions // increased version number to 3.6.0RC1

2003-12-16  Kasper Skaarhoj  <kasper@typo3.com>

	* Changed order of DOCTYPE and XML declaration for XHTML support (for standards compliance mode detection in MSIE)

2003-10-24  Kasper Skaarhoj  <kasper@typo3.com>

	* Moved changelog.txt to ChangeLog ("cvs compliant")

TYPO3 3.6.0-dev
PHP:
!!! $LANG->php3Lang + ->mainLang has been cancelled and replaced with a local-lang call: Search/replace regex: search for '->php3Lang\["([^]]*)"\]\["([^]]*)"\]', replace with '->sL("LLL:EXT:lang/locallang_core.php:\1.\2")'. Same for ->mainLang.
!!! The global var $AB has been removed (since the "alternative backend" is now THE backend and the classic is totally gone. If you use this var, you can safely expect $AB's value to be TRUE and therefore remove all code which would excute if it was FALSE.
!!! Removed what looked like unused functions and variables in the backend frameset JavaScript.
!!! Change db_list_frame and file_list_frame to just "list_frame".
!!! Cleaned up a lot in the template-class.
!!! dfw() and rfw() functions must be substituted with $GLOBALS["TBE_TEMPLATE"]->dfw() / ->rfw()
!!! fw() is highly deprecated (and does NOT wrap strings anymore!)
!!! if (top.theMenu) top.theMenu.recentuid
!!! Constant "PATH_temp" has been cancelled - no scripts seemed to use it and the dir is deprecated.
!!! typo3/temp/ has been cancelled. Changed to typo3/icons/ for STATIC icons and PATH_site.typo3temp/ is now used for the locally generated icons. So no more typo3/temp/ to be writable.
!!! t3lib_BEfunc::loadTablesDescriptions() and t3lib_BEfunc::loadSingleTableDescription is removed. A function call like t3lib_BEfunc::loadSingleTableDescription("pages",$LANG->lang); is substituted with $LANG->loadSingleTableDescription("pages");
!!! Function t3lib_BEfunc::pTypes() remove - nothing used it (apparently. prove me wrong... :-)
!!! Function t3lib_div::extParseurl removed
!!! Function t3lib_div::imagefinder, t3lib_div::linkfinder, t3lib_div::getStrippedURL, t3lib_div::getMimeType, t3lib_div::debug_white_space, t3lib_div::debug_code, t3lib_div::parsetime, t3lib_div::hardspace, t3lib_div::break_text, t3lib_div::unbreak_text removed
!!! The font files "arial.ttf" and "verdana.ttf" has been removed from the folder t3lib/fonts/ and substituted with similar typefaces, "nimbus.ttf" and "vera.ttf" respectively.
!!! The script "t3lib/formmail.php" has been removed. Was not used and didn't work anyways.
!!! The classes t3lib_pagetree and t3lib_browsetree has been divided into four new classes (folder,page,browse + treeview) - and as a rule of thumb, the API has been modified so much that you should rather check all you applications using these classes in DETAIL! Consider it a reimplementation.
!!! The three rte_*.php scripts in TYPO3 core has been moved TO the "rte" extension! This also means that any extension classes must have updated their XCLASS registration keys to the new file positions.
!!! status_file.php is gone...
!!! The typo3/ scripts db_new_content_el.php and db_layout.php has been moved into the sysext/cms/layout/ folder. Further, the classes have been remodelled a lot. If you link to these scripts or extend their classes in your applications, you should observe the compatibility!
Charsets:
- A new class "t3lib_cs" has been added. It contains homemade functions for conversion to and from a list of charsets (conversion tables found in t3lib/csconvtbl/). The conversion could be speeded up enourmously by using PHP functions but I simply didn't find any that could be used. By time we can substitute the PHP-processing with internal PHP functions if possible.
- In TYPO3_CONF_VARS we can now set up a system charset. [BE][forceCharset] This is used a) for storage of information and b) for whole backend. Default is that charset of the current user (as always), but clearly recommended is "UTF-8"!!!
	- The recommendation is that the forceCharset configuration is used for multilingual sites. In this way the SAME charset is ALWAYS used in the backend regardless of which language the current backend user has chosen. Thus all content in the sysmte is stored in the same charset.
